from numpy import array

"""
reference file for the following crystal symmetry properties
as a function of space group numbers
symmetry operators are for general positions
"""


POINT_GROUPS = {1: '1', 2: '-1', 3: '2', 4: '2', 5: '2', 6: 'm', 7: 'm', 8: 'm', 9: 'm', 10: '2/m', 11: '2/m', 12: '2/m', 13: '2/m', 14: '2/m', 15: '2/m', 16: '222', 17: '222', 18: '222', 19: '222', 20: '222', 21: '222', 22: '222',
                23: '222', 24: '222', 25: 'mm2', 26: 'mm2', 27: 'mm2', 28: 'mm2', 29: 'mm2', 30: 'mm2', 31: 'mm2', 32: 'mm2', 33: 'mm2', 34: 'mm2', 35: 'mm2', 36: 'mm2', 37: 'mm2', 38: 'mm2', 39: 'mm2', 40: 'mm2', 41: 'mm2', 42: 'mm2',
                43: 'mm2', 44: 'mm2', 45: 'mm2', 46: 'mm2', 47: 'mmm', 48: 'mmm', 49: 'mmm', 50: 'mmm', 51: 'mmm', 52: 'mmm', 53: 'mmm', 54: 'mmm', 55: 'mmm', 56: 'mmm', 57: 'mmm', 58: 'mmm', 59: 'mmm', 60: 'mmm', 61: 'mmm', 62: 'mmm',
                63: 'mmm', 64: 'mmm', 65: 'mmm', 66: 'mmm', 67: 'mmm', 68: 'mmm', 69: 'mmm', 70: 'mmm', 71: 'mmm', 72: 'mmm', 73: 'mmm', 74: 'mmm', 75: '4', 76: '4', 77: '4', 78: '4', 79: '4', 80: '4', 81: '-4', 82: '-4', 83: '4/m',
                84: '4/m', 85: '4/m', 86: '4/m', 87: '4/m', 88: '4/m', 89: '422', 90: '422', 91: '422', 92: '422', 93: '422', 94: '422', 95: '422', 96: '422', 97: '422', 98: '422', 99: '4mm', 100: '4mm', 101: '4mm', 102: '4mm', 103: '4mm',
                104: '4mm', 105: '4mm', 106: '4mm', 107: '4mm', 108: '4mm', 109: '4mm', 110: '4mm', 111: '-42m', 112: '-42m', 113: '-42m', 114: '-42m', 115: '-42m', 116: '-42m', 117: '-42m', 118: '-42m', 119: '-42m', 120: '-42m',
                121: '-42m', 122: '-42m', 123: '4/mmm', 124: '4/mmm', 125: '4/mmm', 126: '4/mmm', 127: '4/mmm', 128: '4/mmm', 129: '4/mmm', 130: '4/mmm', 131: '4/mmm', 132: '4/mmm', 133: '4/mmm', 134: '4/mmm', 135: '4/mmm', 136: '4/mmm',
                137: '4/mmm', 138: '4/mmm', 139: '4/mmm', 140: '4/mmm', 141: '4/mmm', 142: '4/mmm', 143: '3', 144: '3', 145: '3', 146: '3', 147: '-3', 148: '-3', 149: '32', 150: '32', 151: '32', 152: '32', 153: '32', 154: '32', 155: '32',
                156: '3m', 157: '3m', 158: '3m', 159: '3m', 160: '3m', 161: '3m', 162: '-3m', 163: '-3m', 164: '-3m', 165: '-3m', 166: '-3m', 167: '-3m', 168: '6', 169: '6', 170: '6', 171: '6', 172: '6', 173: '6', 174: '-6', 175: '6/m',
                176: '6/m', 177: '622', 178: '622', 179: '622', 180: '622', 181: '622', 182: '622', 183: '6mm', 184: '6mm', 185: '6mm', 186: '6mm', 187: '-62m', 188: '-62m', 189: '-62m', 190: '-62m', 191: '6/mmm', 192: '6/mmm',
                193: '6/mmm', 194: '6/mmm', 195: '23', 196: '23', 197: '23', 198: '23', 199: '23', 200: 'm-3', 201: 'm-3', 202: 'm-3', 203: 'm-3', 204: 'm-3', 205: 'm-3', 206: 'm-3', 207: '432', 208: '432', 209: '432', 210: '432',
                211: '432', 212: '432', 213: '432', 214: '432', 215: '-43m', 216: '-43m', 217: '-43m', 218: '-43m', 219: '-43m', 220: '-43m', 221: 'm-3m', 222: 'm-3m', 223: 'm-3m', 224: 'm-3m', 225: 'm-3m', 226: 'm-3m', 227: 'm-3m',
                228: 'm-3m', 229: 'm-3m', 230: 'm-3m'}
LATTICE_TYPE = {1: 'triclinic', 2: 'triclinic', 3: 'monoclinic', 4: 'monoclinic', 5: 'monoclinic', 6: 'monoclinic', 7: 'monoclinic', 8: 'monoclinic', 9: 'monoclinic', 10: 'monoclinic', 11: 'monoclinic', 12: 'monoclinic', 13: 'monoclinic',
                14: 'monoclinic', 15: 'monoclinic', 16: 'orthorhombic', 17: 'orthorhombic', 18: 'orthorhombic', 19: 'orthorhombic', 20: 'orthorhombic', 21: 'orthorhombic', 22: 'orthorhombic', 23: 'orthorhombic', 24: 'orthorhombic',
                25: 'orthorhombic', 26: 'orthorhombic', 27: 'orthorhombic', 28: 'orthorhombic', 29: 'orthorhombic', 30: 'orthorhombic', 31: 'orthorhombic', 32: 'orthorhombic', 33: 'orthorhombic', 34: 'orthorhombic', 35: 'orthorhombic',
                36: 'orthorhombic', 37: 'orthorhombic', 38: 'orthorhombic', 39: 'orthorhombic', 40: 'orthorhombic', 41: 'orthorhombic', 42: 'orthorhombic', 43: 'orthorhombic', 44: 'orthorhombic', 45: 'orthorhombic', 46: 'orthorhombic',
                47: 'orthorhombic', 48: 'orthorhombic', 49: 'orthorhombic', 50: 'orthorhombic', 51: 'orthorhombic', 52: 'orthorhombic', 53: 'orthorhombic', 54: 'orthorhombic', 55: 'orthorhombic', 56: 'orthorhombic', 57: 'orthorhombic',
                58: 'orthorhombic', 59: 'orthorhombic', 60: 'orthorhombic', 61: 'orthorhombic', 62: 'orthorhombic', 63: 'orthorhombic', 64: 'orthorhombic', 65: 'orthorhombic', 66: 'orthorhombic', 67: 'orthorhombic', 68: 'orthorhombic',
                69: 'orthorhombic', 70: 'orthorhombic', 71: 'orthorhombic', 72: 'orthorhombic', 73: 'orthorhombic', 74: 'orthorhombic', 75: 'tetragonal', 76: 'tetragonal', 77: 'tetragonal', 78: 'tetragonal', 79: 'tetragonal',
                80: 'tetragonal', 81: 'tetragonal', 82: 'tetragonal', 83: 'tetragonal', 84: 'tetragonal', 85: 'tetragonal', 86: 'tetragonal', 87: 'tetragonal', 88: 'tetragonal', 89: 'tetragonal', 90: 'tetragonal', 91: 'tetragonal',
                92: 'tetragonal', 93: 'tetragonal', 94: 'tetragonal', 95: 'tetragonal', 96: 'tetragonal', 97: 'tetragonal', 98: 'tetragonal', 99: 'tetragonal', 100: 'tetragonal', 101: 'tetragonal', 102: 'tetragonal', 103: 'tetragonal',
                104: 'tetragonal', 105: 'tetragonal', 106: 'tetragonal', 107: 'tetragonal', 108: 'tetragonal', 109: 'tetragonal', 110: 'tetragonal', 111: 'tetragonal', 112: 'tetragonal', 113: 'tetragonal', 114: 'tetragonal',
                115: 'tetragonal', 116: 'tetragonal', 117: 'tetragonal', 118: 'tetragonal', 119: 'tetragonal', 120: 'tetragonal', 121: 'tetragonal', 122: 'tetragonal', 123: 'tetragonal', 124: 'tetragonal', 125: 'tetragonal',
                126: 'tetragonal', 127: 'tetragonal', 128: 'tetragonal', 129: 'tetragonal', 130: 'tetragonal', 131: 'tetragonal', 132: 'tetragonal', 133: 'tetragonal', 134: 'tetragonal', 135: 'tetragonal', 136: 'tetragonal',
                137: 'tetragonal', 138: 'tetragonal', 139: 'tetragonal', 140: 'tetragonal', 141: 'tetragonal', 142: 'tetragonal', 143: 'hexagonal', 144: 'hexagonal', 145: 'hexagonal', 146: 'hexagonal', 147: 'hexagonal', 148: 'hexagonal',
                149: 'hexagonal', 150: 'hexagonal', 151: 'hexagonal', 152: 'hexagonal', 153: 'hexagonal', 154: 'hexagonal', 155: 'hexagonal', 156: 'hexagonal', 157: 'hexagonal', 158: 'hexagonal', 159: 'hexagonal', 160: 'hexagonal',
                161: 'hexagonal', 162: 'hexagonal', 163: 'hexagonal', 164: 'hexagonal', 165: 'hexagonal', 166: 'hexagonal', 167: 'hexagonal', 168: 'hexagonal', 169: 'hexagonal', 170: 'hexagonal', 171: 'hexagonal', 172: 'hexagonal',
                173: 'hexagonal', 174: 'hexagonal', 175: 'hexagonal', 176: 'hexagonal', 177: 'hexagonal', 178: 'hexagonal', 179: 'hexagonal', 180: 'hexagonal', 181: 'hexagonal', 182: 'hexagonal', 183: 'hexagonal', 184: 'hexagonal',
                185: 'hexagonal', 186: 'hexagonal', 187: 'hexagonal', 188: 'hexagonal', 189: 'hexagonal', 190: 'hexagonal', 191: 'hexagonal', 192: 'hexagonal', 193: 'hexagonal', 194: 'hexagonal', 195: 'cubic', 196: 'cubic', 197: 'cubic',
                198: 'cubic', 199: 'cubic', 200: 'cubic', 201: 'cubic', 202: 'cubic', 203: 'cubic', 204: 'cubic', 205: 'cubic', 206: 'cubic', 207: 'cubic', 208: 'cubic', 209: 'cubic', 210: 'cubic', 211: 'cubic', 212: 'cubic', 213: 'cubic',
                214: 'cubic', 215: 'cubic', 216: 'cubic', 217: 'cubic', 218: 'cubic', 219: 'cubic', 220: 'cubic', 221: 'cubic', 222: 'cubic', 223: 'cubic', 224: 'cubic', 225: 'cubic', 226: 'cubic', 227: 'cubic', 228: 'cubic', 229: 'cubic',
                230: 'cubic'}
SPACE_GROUPS = {1: 'P1', 2: 'P-1', 3: 'P2', 4: 'P21', 5: 'C2', 6: 'Pm', 7: 'Pc', 8: 'Cm', 9: 'Cc', 10: 'P2/m', 11: 'P21/m', 12: 'C2/m', 13: 'P2/c', 14: 'P21/c', 15: 'C2/c', 16: 'P222', 17: 'P2221', 18: 'P21212', 19: 'P212121', 20: 'C2221',
                21: 'C222', 22: 'F222', 23: 'I222', 24: 'I212121', 25: 'Pmm2', 26: 'Pmc21', 27: 'Pcc2', 28: 'Pma2', 29: 'Pca21', 30: 'Pnc2', 31: 'Pmn21', 32: 'Pba2', 33: 'Pna21', 34: 'Pnn2', 35: 'Cmm2', 36: 'Cmc21', 37: 'Ccc2', 38: 'Amm2',
                39: 'Aem2', 40: 'Ama2', 41: 'Aea2', 42: 'Fmm2', 43: 'Fdd2', 44: 'Imm2', 45: 'Iba2', 46: 'Ima2', 47: 'Pmmm', 48: 'Pnnn', 49: 'Pccm', 50: 'Pban', 51: 'Pmma', 52: 'Pnna', 53: 'Pmna', 54: 'Pcca', 55: 'Pbam', 56: 'Pccn',
                57: 'Pbcm', 58: 'Pnnm', 59: 'Pmmn', 60: 'Pbcn', 61: 'Pbca', 62: 'Pnma', 63: 'Cmcm', 64: 'Cmce', 65: 'Cmmm', 66: 'Cccm', 67: 'Cmme', 68: 'Ccce', 69: 'Fmmm', 70: 'Fddd', 71: 'Immm', 72: 'Ibam', 73: 'Ibca', 74: 'Imma',
                75: 'P4', 76: 'P41', 77: 'P42', 78: 'P43', 79: 'I4', 80: 'I41', 81: 'P-4', 82: 'I-4', 83: 'P4/m', 84: 'P42/m', 85: 'P4/n', 86: 'P42/n', 87: 'I4/m', 88: 'I41/a', 89: 'P422', 90: 'P4212', 91: 'P4122', 92: 'P41212',
                93: 'P4222', 94: 'P42212', 95: 'P4322', 96: 'P43212', 97: 'I422', 98: 'I4122', 99: 'P4mm', 100: 'P4bm', 101: 'P42cm', 102: 'P42nm', 103: 'P4cc', 104: 'P4nc', 105: 'P42mc', 106: 'P42bc', 107: 'I4mm', 108: 'I4cm',
                109: 'I41md', 110: 'I41cd', 111: 'P-42m', 112: 'P-42c', 113: 'P-421m', 114: 'P-421c', 115: 'P-4m2', 116: 'P-4c2', 117: 'P-4b2', 118: 'P-4n2', 119: 'I-4m2', 120: 'I-4c2', 121: 'I-42m', 122: 'I-42d', 123: 'P4/mmm',
                124: 'P4/mcc', 125: 'P4/nbm', 126: 'P4/nnc', 127: 'P4/mbm', 128: 'P4/mnc', 129: 'P4/nmm', 130: 'P4/ncc', 131: 'P42/mmc', 132: 'P42/mcm', 133: 'P42/nbc', 134: 'P42/nnm', 135: 'P42/mbc', 136: 'P42/mnm', 137: 'P42/nmc',
                138: 'P42/ncm', 139: 'I4/mmm', 140: 'I4/mcm', 141: 'I41/amd', 142: 'I41/acd', 143: 'P3', 144: 'P31', 145: 'P32', 146: 'R3', 147: 'P-3', 148: 'R-3', 149: 'P312', 150: 'P321', 151: 'P3112', 152: 'P3121', 153: 'P3212',
                154: 'P3221', 155: 'R32', 156: 'P3m1', 157: 'P31m', 158: 'P3c1', 159: 'P31c', 160: 'R3m', 161: 'R3c', 162: 'P-31m', 163: 'P-31c', 164: 'P-3m1', 165: 'P-3c1', 166: 'R-3m', 167: 'R-3c', 168: 'P6', 169: 'P61', 170: 'P65',
                171: 'P62', 172: 'P64', 173: 'P63', 174: 'P-6', 175: 'P6/m', 176: 'P63/m', 177: 'P622', 178: 'P6122', 179: 'P6522', 180: 'P6222', 181: 'P6422', 182: 'P6322', 183: 'P6mm', 184: 'P6cc', 185: 'P63cm', 186: 'P63mc',
                187: 'P-6m2', 188: 'P-6c2', 189: 'P-62m', 190: 'P-62c', 191: 'P6/mmm', 192: 'P6/mcc', 193: 'P63/mcm', 194: 'P63/mmc', 195: 'P23', 196: 'F23', 197: 'I23', 198: 'P213', 199: 'I213', 200: 'Pm-3', 201: 'Pn-3', 202: 'Fm-3',
                203: 'Fd-3', 204: 'Im-3', 205: 'Pa-3', 206: 'Ia-3', 207: 'P432', 208: 'P4232', 209: 'F432', 210: 'F4132', 211: 'I432', 212: 'P4332', 213: 'P4132', 214: 'I4132', 215: 'P-43m', 216: 'F-43m', 217: 'I-43m', 218: 'P-43n',
                219: 'F-43c', 220: 'I-43d', 221: 'Pm-3m', 222: 'Pn-3n', 223: 'Pm-3n', 224: 'Pn-3m', 225: 'Fm-3m', 226: 'Fm-3c', 227: 'Fd-3m', 228: 'Fd-3c', 229: 'Im-3m', 230: 'Ia-3d'}

SYM_OPS = {1: [array([[1., 0., 0., 0.],
                       [0., 1., 0., 0.],
                       [0., 0., 1., 0.],
                       [0., 0., 0., 1.]])], 2: [array([[1., 0., 0., 0.],
                                                       [0., 1., 0., 0.],
                                                       [0., 0., 1., 0.],
                                                       [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                  [0., -1., 0., 0.],
                                                                                  [0., 0., -1., 0.],
                                                                                  [0., 0., 0., 1.]])], 3: [array([[1., 0., 0., 0.],
                                                                                                                  [0., 1., 0., 0.],
                                                                                                                  [0., 0., 1., 0.],
                                                                                                                  [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                             [0., 1., 0., 0.],
                                                                                                                                             [0., 0., -1., 0.],
                                                                                                                                             [0., 0., 0., 1.]])], 4: [array([[1., 0., 0., 0.],
                                                                                                                                                                             [0., 1., 0., 0.],
                                                                                                                                                                             [0., 0., 1., 0.],
                                                                                                                                                                             [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                        [0., 1., 0., 0.5],
                                                                                                                                                                                                        [0., 0., -1., 0.],
                                                                                                                                                                                                        [0., 0., 0., 1.]])],
            5: [array([[1., 0., 0., 0.],
                       [0., 1., 0., 0.],
                       [0., 0., 1., 0.],
                       [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                  [0., 1., 0., 0.],
                                                  [0., 0., -1., 0.],
                                                  [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                             [0., 1., 0., 0.5],
                                                                             [0., 0., 1., 0.],
                                                                             [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                        [0., 1., 0., 0.5],
                                                                                                        [0., 0., -1., 0.],
                                                                                                        [0., 0., 0., 1.]])], 6: [array([[1., 0., 0., 0.],
                                                                                                                                        [0., 1., 0., 0.],
                                                                                                                                        [0., 0., 1., 0.],
                                                                                                                                        [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                   [0., -1., 0., 0.],
                                                                                                                                                                   [0., 0., 1., 0.],
                                                                                                                                                                   [0., 0., 0., 1.]])], 7: [array([[1., 0., 0., 0.],
                                                                                                                                                                                                   [0., 1., 0., 0.],
                                                                                                                                                                                                   [0., 0., 1., 0.],
                                                                                                                                                                                                   [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                                                              [0., -1., 0., 0.],
                                                                                                                                                                                                                              [0., 0., 1., 0.5],
                                                                                                                                                                                                                              [0., 0., 0.,
                                                                                                                                                                                                                               1.]])],
            8: [array([[1., 0., 0., 0.],
                       [0., 1., 0., 0.],
                       [0., 0., 1., 0.],
                       [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                  [0., -1., 0., 0.],
                                                  [0., 0., 1., 0.],
                                                  [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                             [0., 1., 0., 0.5],
                                                                             [0., 0., 1., 0.],
                                                                             [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                        [0., -1., 0., 0.5],
                                                                                                        [0., 0., 1., 0.],
                                                                                                        [0., 0., 0., 1.]])], 9: [array([[1., 0., 0., 0.],
                                                                                                                                        [0., 1., 0., 0.],
                                                                                                                                        [0., 0., 1., 0.],
                                                                                                                                        [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                   [0., -1., 0., 0.],
                                                                                                                                                                   [0., 0., 1., 0.5],
                                                                                                                                                                   [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                              [0., 1., 0., 0.5],
                                                                                                                                                                                              [0., 0., 1., 0.],
                                                                                                                                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                                                         [0., -1., 0., 0.5],
                                                                                                                                                                                                                         [0., 0., 1., 0.5],
                                                                                                                                                                                                                         [0., 0., 0., 1.]])],
            10: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., 1., 0., 0.],
                                                   [0., 0., -1., 0.],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                              [0., -1., 0., 0.],
                                                                              [0., 0., -1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                         [0., -1., 0., 0.],
                                                                                                         [0., 0., 1., 0.],
                                                                                                         [0., 0., 0., 1.]])], 11: [array([[1., 0., 0., 0.],
                                                                                                                                          [0., 1., 0., 0.],
                                                                                                                                          [0., 0., 1., 0.],
                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                                                [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                                                           [0., -1., 0., 0.5],
                                                                                                                                                                                                                           [0., 0., 1., 0.],
                                                                                                                                                                                                                           [0., 0., 0., 1.]])],
            12: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., 1., 0., 0.],
                                                   [0., 0., -1., 0.],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                              [0., -1., 0., 0.],
                                                                              [0., 0., -1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                         [0., -1., 0., 0.],
                                                                                                         [0., 0., 1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                    [0., 1., 0., 0.5],
                                                                                                                                    [0., 0., 1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                               [0., 1., 0., 0.5],
                                                                                                                                                               [0., 0., -1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                          [0., -1., 0., 0.5],
                                                                                                                                                                                          [0., 0., -1., 0.],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            13: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., 1., 0., 0.],
                                                   [0., 0., -1., 0.5],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                              [0., -1., 0., 0.],
                                                                              [0., 0., -1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                         [0., -1., 0., 0.],
                                                                                                         [0., 0., 1., 0.5],
                                                                                                         [0., 0., 0., 1.]])], 14: [array([[1., 0., 0., 0.],
                                                                                                                                          [0., 1., 0., 0.],
                                                                                                                                          [0., 0., 1., 0.],
                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                                                [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                                                           [0., -1., 0., 0.5],
                                                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                                                           [0., 0., 0., 1.]])],
            15: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., 1., 0., 0.],
                                                   [0., 0., -1., 0.5],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                              [0., -1., 0., 0.],
                                                                              [0., 0., -1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                         [0., -1., 0., 0.],
                                                                                                         [0., 0., 1., 0.5],
                                                                                                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                    [0., 1., 0., 0.5],
                                                                                                                                    [0., 0., 1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                               [0., 1., 0., 0.5],
                                                                                                                                                               [0., 0., -1., 0.5],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                          [0., -1., 0., 0.5],
                                                                                                                                                                                          [0., 0., -1., 0.],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            16: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                              [0., 1., 0., 0.],
                                                                              [0., 0., -1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                         [0., -1., 0., 0.],
                                                                                                         [0., 0., -1., 0.],
                                                                                                         [0., 0., 0., 1.]])], 17: [array([[1., 0., 0., 0.],
                                                                                                                                          [0., 1., 0., 0.],
                                                                                                                                          [0., 0., 1., 0.],
                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                                                [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                                                           [0., -1., 0., 0.],
                                                                                                                                                                                                                           [0., 0., -1., 0.],
                                                                                                                                                                                                                           [0., 0., 0., 1.]])],
            18: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                              [0., 1., 0., 0.5],
                                                                              [0., 0., -1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                         [0., -1., 0., 0.5],
                                                                                                         [0., 0., -1., 0.],
                                                                                                         [0., 0., 0., 1.]])], 19: [array([[1., 0., 0., 0.],
                                                                                                                                          [0., 1., 0., 0.],
                                                                                                                                          [0., 0., 1., 0.],
                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                                                [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                                                           [0., -1., 0., 0.5],
                                                                                                                                                                                                                           [0., 0., -1., 0.],
                                                                                                                                                                                                                           [0., 0., 0., 1.]])],
            20: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.5],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                              [0., 1., 0., 0.],
                                                                              [0., 0., -1., 0.5],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                         [0., -1., 0., 0.],
                                                                                                         [0., 0., -1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                    [0., 1., 0., 0.5],
                                                                                                                                    [0., 0., 1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                               [0., -1., 0., 0.5],
                                                                                                                                                               [0., 0., 1., 0.5],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                          [0., 1., 0., 0.5],
                                                                                                                                                                                          [0., 0., -1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            21: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                              [0., 1., 0., 0.],
                                                                              [0., 0., -1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                         [0., -1., 0., 0.],
                                                                                                         [0., 0., -1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                    [0., 1., 0., 0.5],
                                                                                                                                    [0., 0., 1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                               [0., -1., 0., 0.5],
                                                                                                                                                               [0., 0., 1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                          [0., 1., 0., 0.5],
                                                                                                                                                                                          [0., 0., -1., 0.],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            22: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                              [0., 1., 0., 0.],
                                                                              [0., 0., -1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                         [0., -1., 0., 0.],
                                                                                                         [0., 0., -1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                    [0., 1., 0., 0.5],
                                                                                                                                    [0., 0., 1., 0.5],
                                                                                                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                               [0., -1., 0., 0.5],
                                                                                                                                                               [0., 0., 1., 0.5],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                          [0., 1., 0., 0.5],
                                                                                                                                                                                          [0., 0., -1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                                                                                                     [0., 0., 0., 1.]]),
                 array([[1., 0., 0., 0.5],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.5],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.5],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                              [0., 1., 0., 0.],
                                                                              [0., 0., -1., 0.5],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                         [0., -1., 0., 0.],
                                                                                                         [0., 0., -1., 0.5],
                                                                                                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                    [0., 1., 0., 0.5],
                                                                                                                                    [0., 0., 1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                               [0., -1., 0., 0.5],
                                                                                                                                                               [0., 0., 1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                          [0., 1., 0., 0.5],
                                                                                                                                                                                          [0., 0., -1., 0.],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            23: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                              [0., 1., 0., 0.],
                                                                              [0., 0., -1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                         [0., -1., 0., 0.],
                                                                                                         [0., 0., -1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                    [0., 1., 0., 0.5],
                                                                                                                                    [0., 0., 1., 0.5],
                                                                                                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                               [0., -1., 0., 0.5],
                                                                                                                                                               [0., 0., 1., 0.5],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                          [0., 1., 0., 0.5],
                                                                                                                                                                                          [0., 0., -1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            24: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.5],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                              [0., 1., 0., 0.5],
                                                                              [0., 0., -1., 0.5],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                         [0., -1., 0., 0.5],
                                                                                                         [0., 0., -1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                    [0., 1., 0., 0.5],
                                                                                                                                    [0., 0., 1., 0.5],
                                                                                                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                                                                                                                               [0., -1., 0., 0.5],
                                                                                                                                                               [0., 0., 1., 1.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                          [0., 1., 0., 1.],
                                                                                                                                                                                          [0., 0., -1., 1.],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 1.],
                                                                                                                                                                                                                     [0., -1., 0., 1.],
                                                                                                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            25: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                              [0., -1., 0., 0.],
                                                                              [0., 0., 1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                         [0., 1., 0., 0.],
                                                                                                         [0., 0., 1., 0.],
                                                                                                         [0., 0., 0., 1.]])], 26: [array([[1., 0., 0., 0.],
                                                                                                                                          [0., 1., 0., 0.],
                                                                                                                                          [0., 0., 1., 0.],
                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                                                [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                                                           [0., 0., 1., 0.],
                                                                                                                                                                                                                           [0., 0., 0., 1.]])],
            27: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                              [0., -1., 0., 0.],
                                                                              [0., 0., 1., 0.5],
                                                                              [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                         [0., 1., 0., 0.],
                                                                                                         [0., 0., 1., 0.5],
                                                                                                         [0., 0., 0., 1.]])], 28: [array([[1., 0., 0., 0.],
                                                                                                                                          [0., 1., 0., 0.],
                                                                                                                                          [0., 0., 1., 0.],
                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                                                [0., 0., 1., 0.],
                                                                                                                                                                                                [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                                                           [0., 0., 1., 0.],
                                                                                                                                                                                                                           [0., 0., 0., 1.]])],
            29: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.5],
                                                   [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                              [0., -1., 0., 0.],
                                                                              [0., 0., 1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                         [0., 1., 0., 0.],
                                                                                                         [0., 0., 1., 0.5],
                                                                                                         [0., 0., 0., 1.]])], 30: [array([[1., 0., 0., 0.],
                                                                                                                                          [0., 1., 0., 0.],
                                                                                                                                          [0., 0., 1., 0.],
                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                                                [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                                                           [0., 0., 0., 1.]])],
            31: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.5],
                                                   [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                              [0., -1., 0., 0.],
                                                                              [0., 0., 1., 0.5],
                                                                              [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                         [0., 1., 0., 0.],
                                                                                                         [0., 0., 1., 0.],
                                                                                                         [0., 0., 0., 1.]])], 32: [array([[1., 0., 0., 0.],
                                                                                                                                          [0., 1., 0., 0.],
                                                                                                                                          [0., 0., 1., 0.],
                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                                                [0., 0., 1., 0.],
                                                                                                                                                                                                [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                                                           [0., 0., 1., 0.],
                                                                                                                                                                                                                           [0., 0., 0., 1.]])],
            33: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.5],
                                                   [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                              [0., -1., 0., 0.5],
                                                                              [0., 0., 1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                         [0., 1., 0., 0.5],
                                                                                                         [0., 0., 1., 0.5],
                                                                                                         [0., 0., 0., 1.]])], 34: [array([[1., 0., 0., 0.],
                                                                                                                                          [0., 1., 0., 0.],
                                                                                                                                          [0., 0., 1., 0.],
                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                                                [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                                                           [0., 0., 0., 1.]])],
            35: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                              [0., -1., 0., 0.],
                                                                              [0., 0., 1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                         [0., 1., 0., 0.],
                                                                                                         [0., 0., 1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                    [0., 1., 0., 0.5],
                                                                                                                                    [0., 0., 1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                               [0., -1., 0., 0.5],
                                                                                                                                                               [0., 0., 1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                          [0., -1., 0., 0.5],
                                                                                                                                                                                          [0., 0., 1., 0.],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            36: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.5],
                                                   [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                              [0., -1., 0., 0.],
                                                                              [0., 0., 1., 0.5],
                                                                              [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                         [0., 1., 0., 0.],
                                                                                                         [0., 0., 1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                    [0., 1., 0., 0.5],
                                                                                                                                    [0., 0., 1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                               [0., -1., 0., 0.5],
                                                                                                                                                               [0., 0., 1., 0.5],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                          [0., -1., 0., 0.5],
                                                                                                                                                                                          [0., 0., 1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            37: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                              [0., -1., 0., 0.],
                                                                              [0., 0., 1., 0.5],
                                                                              [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                         [0., 1., 0., 0.],
                                                                                                         [0., 0., 1., 0.5],
                                                                                                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                    [0., 1., 0., 0.5],
                                                                                                                                    [0., 0., 1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                               [0., -1., 0., 0.5],
                                                                                                                                                               [0., 0., 1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                          [0., -1., 0., 0.5],
                                                                                                                                                                                          [0., 0., 1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            38: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                              [0., -1., 0., 0.],
                                                                              [0., 0., 1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                         [0., 1., 0., 0.],
                                                                                                         [0., 0., 1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                    [0., 1., 0., 0.5],
                                                                                                                                    [0., 0., 1., 0.5],
                                                                                                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                               [0., -1., 0., 0.5],
                                                                                                                                                               [0., 0., 1., 0.5],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                          [0., -1., 0., 0.5],
                                                                                                                                                                                          [0., 0., 1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            39: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                              [0., -1., 0., 0.5],
                                                                              [0., 0., 1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                         [0., 1., 0., 0.5],
                                                                                                         [0., 0., 1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                    [0., 1., 0., 0.5],
                                                                                                                                    [0., 0., 1., 0.5],
                                                                                                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                               [0., -1., 0., 0.5],
                                                                                                                                                               [0., 0., 1., 0.5],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                          [0., -1., 0., 1.],
                                                                                                                                                                                          [0., 0., 1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                     [0., 1., 0., 1.],
                                                                                                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            40: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                              [0., -1., 0., 0.],
                                                                              [0., 0., 1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                         [0., 1., 0., 0.],
                                                                                                         [0., 0., 1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                    [0., 1., 0., 0.5],
                                                                                                                                    [0., 0., 1., 0.5],
                                                                                                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                               [0., -1., 0., 0.5],
                                                                                                                                                               [0., 0., 1., 0.5],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                          [0., -1., 0., 0.5],
                                                                                                                                                                                          [0., 0., 1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            41: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                              [0., -1., 0., 0.5],
                                                                              [0., 0., 1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                         [0., 1., 0., 0.5],
                                                                                                         [0., 0., 1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                    [0., 1., 0., 0.5],
                                                                                                                                    [0., 0., 1., 0.5],
                                                                                                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                               [0., -1., 0., 0.5],
                                                                                                                                                               [0., 0., 1., 0.5],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                          [0., -1., 0., 1.],
                                                                                                                                                                                          [0., 0., 1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., 1., 0., 1.],
                                                                                                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            42: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                              [0., -1., 0., 0.],
                                                                              [0., 0., 1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                         [0., 1., 0., 0.],
                                                                                                         [0., 0., 1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                    [0., 1., 0., 0.5],
                                                                                                                                    [0., 0., 1., 0.5],
                                                                                                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                               [0., -1., 0., 0.5],
                                                                                                                                                               [0., 0., 1., 0.5],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                          [0., -1., 0., 0.5],
                                                                                                                                                                                          [0., 0., 1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                                                                                                     [0., 0., 0., 1.]]),
                 array([[1., 0., 0., 0.5],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.5],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.5],
                                                   [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                              [0., -1., 0., 0.],
                                                                              [0., 0., 1., 0.5],
                                                                              [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                         [0., 1., 0., 0.],
                                                                                                         [0., 0., 1., 0.5],
                                                                                                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                    [0., 1., 0., 0.5],
                                                                                                                                    [0., 0., 1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                               [0., -1., 0., 0.5],
                                                                                                                                                               [0., 0., 1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                          [0., -1., 0., 0.5],
                                                                                                                                                                                          [0., 0., 1., 0.],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            43: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[1., 0., 0., 0.25],
                                                                              [0., -1., 0., 0.25],
                                                                              [0., 0., 1., 0.25],
                                                                              [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.25],
                                                                                                         [0., 1., 0., 0.25],
                                                                                                         [0., 0., 1., 0.25],
                                                                                                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                    [0., 1., 0., 0.5],
                                                                                                                                    [0., 0., 1., 0.5],
                                                                                                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                               [0., -1., 0., 0.5],
                                                                                                                                                               [0., 0., 1., 0.5],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.25],
                                                                                                                                                                                          [0., -1., 0., 0.75],
                                                                                                                                                                                          [0., 0., 1., 0.75],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.25],
                                                                                                                                                                                                                     [0., 1., 0., 0.75],
                                                                                                                                                                                                                     [0., 0., 1., 0.75],
                                                                                                                                                                                                                     [0., 0., 0., 1.]]),
                 array([[1., 0., 0., 0.5],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.5],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.5],
                                                   [0., 0., 0., 1.]]), array([[1., 0., 0., 0.75],
                                                                              [0., -1., 0., 0.25],
                                                                              [0., 0., 1., 0.75],
                                                                              [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.75],
                                                                                                         [0., 1., 0., 0.25],
                                                                                                         [0., 0., 1., 0.75],
                                                                                                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                    [0., 1., 0., 0.5],
                                                                                                                                    [0., 0., 1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                               [0., -1., 0., 0.5],
                                                                                                                                                               [0., 0., 1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.75],
                                                                                                                                                                                          [0., -1., 0., 0.75],
                                                                                                                                                                                          [0., 0., 1., 0.25],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.75],
                                                                                                                                                                                                                     [0., 1., 0., 0.75],
                                                                                                                                                                                                                     [0., 0., 1., 0.25],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            44: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                              [0., -1., 0., 0.],
                                                                              [0., 0., 1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                         [0., 1., 0., 0.],
                                                                                                         [0., 0., 1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                    [0., 1., 0., 0.5],
                                                                                                                                    [0., 0., 1., 0.5],
                                                                                                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                               [0., -1., 0., 0.5],
                                                                                                                                                               [0., 0., 1., 0.5],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                          [0., -1., 0., 0.5],
                                                                                                                                                                                          [0., 0., 1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            45: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                              [0., -1., 0., 0.5],
                                                                              [0., 0., 1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                         [0., 1., 0., 0.5],
                                                                                                         [0., 0., 1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                    [0., 1., 0., 0.5],
                                                                                                                                    [0., 0., 1., 0.5],
                                                                                                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                               [0., -1., 0., 0.5],
                                                                                                                                                               [0., 0., 1., 0.5],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 1.],
                                                                                                                                                                                          [0., -1., 0., 1.],
                                                                                                                                                                                          [0., 0., 1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                                                                                                                                                                                     [0., 1., 0., 1.],
                                                                                                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            46: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                              [0., -1., 0., 0.],
                                                                              [0., 0., 1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                         [0., 1., 0., 0.],
                                                                                                         [0., 0., 1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                    [0., 1., 0., 0.5],
                                                                                                                                    [0., 0., 1., 0.5],
                                                                                                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                               [0., -1., 0., 0.5],
                                                                                                                                                               [0., 0., 1., 0.5],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 1.],
                                                                                                                                                                                          [0., -1., 0., 0.5],
                                                                                                                                                                                          [0., 0., 1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                                                                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            47: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                              [0., 1., 0., 0.],
                                                                              [0., 0., -1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                         [0., -1., 0., 0.],
                                                                                                         [0., 0., -1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., -1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                               [0., 1., 0., 0.],
                                                                                                                                                               [0., 0., -1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                          [0., -1., 0., 0.],
                                                                                                                                                                                          [0., 0., 1., 0.],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            48: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                   [0., -1., 0., 0.5],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                              [0., 1., 0., 0.],
                                                                              [0., 0., -1., 0.5],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                         [0., -1., 0., 0.5],
                                                                                                         [0., 0., -1., 0.5],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., -1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                               [0., 1., 0., 0.5],
                                                                                                                                                               [0., 0., -1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                          [0., -1., 0., 0.],
                                                                                                                                                                                          [0., 0., 1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            49: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                              [0., 1., 0., 0.],
                                                                              [0., 0., -1., 0.5],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                         [0., -1., 0., 0.],
                                                                                                         [0., 0., -1., 0.5],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., -1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                               [0., 1., 0., 0.],
                                                                                                                                                               [0., 0., -1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                          [0., -1., 0., 0.],
                                                                                                                                                                                          [0., 0., 1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            50: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                   [0., -1., 0., 0.5],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                              [0., 1., 0., 0.],
                                                                              [0., 0., -1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                         [0., -1., 0., 0.5],
                                                                                                         [0., 0., -1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., -1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                               [0., 1., 0., 0.5],
                                                                                                                                                               [0., 0., -1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                          [0., -1., 0., 0.],
                                                                                                                                                                                          [0., 0., 1., 0.],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            51: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                              [0., 1., 0., 0.],
                                                                              [0., 0., -1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                         [0., -1., 0., 0.],
                                                                                                         [0., 0., -1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., -1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                               [0., 1., 0., 0.],
                                                                                                                                                               [0., 0., -1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                          [0., -1., 0., 0.],
                                                                                                                                                                                          [0., 0., 1., 0.],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            52: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                              [0., 1., 0., 0.5],
                                                                              [0., 0., -1., 0.5],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                         [0., -1., 0., 0.5],
                                                                                                         [0., 0., -1., 0.5],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., -1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                               [0., 1., 0., 0.],
                                                                                                                                                               [0., 0., -1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                          [0., -1., 0., 0.5],
                                                                                                                                                                                          [0., 0., 1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            53: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.5],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                              [0., 1., 0., 0.],
                                                                              [0., 0., -1., 0.5],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                         [0., -1., 0., 0.],
                                                                                                         [0., 0., -1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., -1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                               [0., 1., 0., 0.],
                                                                                                                                                               [0., 0., -1., 0.5],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                          [0., -1., 0., 0.],
                                                                                                                                                                                          [0., 0., 1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            54: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                              [0., 1., 0., 0.],
                                                                              [0., 0., -1., 0.5],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                         [0., -1., 0., 0.],
                                                                                                         [0., 0., -1., 0.5],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., -1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                               [0., 1., 0., 0.],
                                                                                                                                                               [0., 0., -1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                          [0., -1., 0., 0.],
                                                                                                                                                                                          [0., 0., 1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            55: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                              [0., 1., 0., 0.5],
                                                                              [0., 0., -1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                         [0., -1., 0., 0.5],
                                                                                                         [0., 0., -1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., -1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                               [0., 1., 0., 0.],
                                                                                                                                                               [0., 0., -1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                          [0., -1., 0., 0.5],
                                                                                                                                                                                          [0., 0., 1., 0.],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            56: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                   [0., -1., 0., 0.5],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                              [0., 1., 0., 0.5],
                                                                              [0., 0., -1., 0.5],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                         [0., -1., 0., 0.],
                                                                                                         [0., 0., -1., 0.5],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., -1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                               [0., 1., 0., 0.5],
                                                                                                                                                               [0., 0., -1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                          [0., -1., 0., 0.5],
                                                                                                                                                                                          [0., 0., 1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            57: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.5],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                              [0., 1., 0., 0.5],
                                                                              [0., 0., -1., 0.5],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                         [0., -1., 0., 0.5],
                                                                                                         [0., 0., -1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., -1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                               [0., 1., 0., 0.],
                                                                                                                                                               [0., 0., -1., 0.5],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                          [0., -1., 0., 0.5],
                                                                                                                                                                                          [0., 0., 1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            58: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                              [0., 1., 0., 0.5],
                                                                              [0., 0., -1., 0.5],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                         [0., -1., 0., 0.5],
                                                                                                         [0., 0., -1., 0.5],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., -1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                               [0., 1., 0., 0.],
                                                                                                                                                               [0., 0., -1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                          [0., -1., 0., 0.5],
                                                                                                                                                                                          [0., 0., 1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            59: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                   [0., -1., 0., 0.5],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                              [0., 1., 0., 0.5],
                                                                              [0., 0., -1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                         [0., -1., 0., 0.],
                                                                                                         [0., 0., -1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., -1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                               [0., 1., 0., 0.5],
                                                                                                                                                               [0., 0., -1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                          [0., -1., 0., 0.5],
                                                                                                                                                                                          [0., 0., 1., 0.],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            60: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                   [0., -1., 0., 0.5],
                                                   [0., 0., 1., 0.5],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                              [0., 1., 0., 0.],
                                                                              [0., 0., -1., 0.5],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                         [0., -1., 0., 0.5],
                                                                                                         [0., 0., -1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., -1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                               [0., 1., 0., 0.5],
                                                                                                                                                               [0., 0., -1., 0.5],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                          [0., -1., 0., 0.],
                                                                                                                                                                                          [0., 0., 1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            61: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.5],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                              [0., 1., 0., 0.5],
                                                                              [0., 0., -1., 0.5],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                         [0., -1., 0., 0.5],
                                                                                                         [0., 0., -1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., -1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                               [0., 1., 0., 0.],
                                                                                                                                                               [0., 0., -1., 0.5],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                          [0., -1., 0., 0.5],
                                                                                                                                                                                          [0., 0., 1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            62: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.5],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                              [0., 1., 0., 0.5],
                                                                              [0., 0., -1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                         [0., -1., 0., 0.5],
                                                                                                         [0., 0., -1., 0.5],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., -1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                               [0., 1., 0., 0.],
                                                                                                                                                               [0., 0., -1., 0.5],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                          [0., -1., 0., 0.5],
                                                                                                                                                                                          [0., 0., 1., 0.],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            63: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.5],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                              [0., 1., 0., 0.],
                                                                              [0., 0., -1., 0.5],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                         [0., -1., 0., 0.],
                                                                                                         [0., 0., -1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., -1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                               [0., 1., 0., 0.],
                                                                                                                                                               [0., 0., -1., 0.5],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                          [0., -1., 0., 0.],
                                                                                                                                                                                          [0., 0., 1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                                                                                                     [0., 0., 0., 1.]]),
                 array([[1., 0., 0., 0.5],
                        [0., 1., 0., 0.5],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                   [0., -1., 0., 0.5],
                                                   [0., 0., 1., 0.5],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                              [0., 1., 0., 0.5],
                                                                              [0., 0., -1., 0.5],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                         [0., -1., 0., 0.5],
                                                                                                         [0., 0., -1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                    [0., -1., 0., 0.5],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                               [0., 1., 0., 0.5],
                                                                                                                                                               [0., 0., -1., 0.5],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                          [0., -1., 0., 0.5],
                                                                                                                                                                                          [0., 0., 1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            64: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.5],
                                                   [0., 0., 1., 0.5],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                              [0., 1., 0., 0.5],
                                                                              [0., 0., -1., 0.5],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                         [0., -1., 0., 0.],
                                                                                                         [0., 0., -1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., -1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                               [0., 1., 0., 0.5],
                                                                                                                                                               [0., 0., -1., 0.5],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                          [0., -1., 0., 0.5],
                                                                                                                                                                                          [0., 0., 1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                                                                                                     [0., 0., 0., 1.]]),
                 array([[1., 0., 0., 0.5],
                        [0., 1., 0., 0.5],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                   [0., -1., 0., 1.],
                                                   [0., 0., 1., 0.5],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                              [0., 1., 0., 1.],
                                                                              [0., 0., -1., 0.5],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                         [0., -1., 0., 0.5],
                                                                                                         [0., 0., -1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                    [0., -1., 0., 0.5],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                               [0., 1., 0., 1.],
                                                                                                                                                               [0., 0., -1., 0.5],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                          [0., -1., 0., 1.],
                                                                                                                                                                                          [0., 0., 1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            65: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                              [0., 1., 0., 0.],
                                                                              [0., 0., -1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                         [0., -1., 0., 0.],
                                                                                                         [0., 0., -1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., -1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                               [0., 1., 0., 0.],
                                                                                                                                                               [0., 0., -1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                          [0., -1., 0., 0.],
                                                                                                                                                                                          [0., 0., 1., 0.],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                                                                                                     [0., 0., 0., 1.]]),
                 array([[1., 0., 0., 0.5],
                        [0., 1., 0., 0.5],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                   [0., -1., 0., 0.5],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                              [0., 1., 0., 0.5],
                                                                              [0., 0., -1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                         [0., -1., 0., 0.5],
                                                                                                         [0., 0., -1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                    [0., -1., 0., 0.5],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                               [0., 1., 0., 0.5],
                                                                                                                                                               [0., 0., -1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                          [0., -1., 0., 0.5],
                                                                                                                                                                                          [0., 0., 1., 0.],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            66: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                              [0., 1., 0., 0.],
                                                                              [0., 0., -1., 0.5],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                         [0., -1., 0., 0.],
                                                                                                         [0., 0., -1., 0.5],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., -1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                               [0., 1., 0., 0.],
                                                                                                                                                               [0., 0., -1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                          [0., -1., 0., 0.],
                                                                                                                                                                                          [0., 0., 1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                                                                                                     [0., 0., 0., 1.]]),
                 array([[1., 0., 0., 0.5],
                        [0., 1., 0., 0.5],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                   [0., -1., 0., 0.5],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                              [0., 1., 0., 0.5],
                                                                              [0., 0., -1., 0.5],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                         [0., -1., 0., 0.5],
                                                                                                         [0., 0., -1., 0.5],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                    [0., -1., 0., 0.5],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                               [0., 1., 0., 0.5],
                                                                                                                                                               [0., 0., -1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                          [0., -1., 0., 0.5],
                                                                                                                                                                                          [0., 0., 1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            67: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.5],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                              [0., 1., 0., 0.5],
                                                                              [0., 0., -1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                         [0., -1., 0., 0.],
                                                                                                         [0., 0., -1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., -1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                               [0., 1., 0., 0.5],
                                                                                                                                                               [0., 0., -1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                          [0., -1., 0., 0.5],
                                                                                                                                                                                          [0., 0., 1., 0.],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                                                                                                     [0., 0., 0., 1.]]),
                 array([[1., 0., 0., 0.5],
                        [0., 1., 0., 0.5],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                   [0., -1., 0., 1.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                              [0., 1., 0., 1.],
                                                                              [0., 0., -1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                         [0., -1., 0., 0.5],
                                                                                                         [0., 0., -1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                    [0., -1., 0., 0.5],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                               [0., 1., 0., 1.],
                                                                                                                                                               [0., 0., -1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                          [0., -1., 0., 1.],
                                                                                                                                                                                          [0., 0., 1., 0.],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            68: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                              [0., 1., 0., 0.],
                                                                              [0., 0., -1., 0.5],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                         [0., -1., 0., 0.],
                                                                                                         [0., 0., -1., 0.5],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., -1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                               [0., 1., 0., 0.],
                                                                                                                                                               [0., 0., -1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                          [0., -1., 0., 0.],
                                                                                                                                                                                          [0., 0., 1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                                                                                                     [0., 0., 0., 1.]]),
                 array([[1., 0., 0., 0.5],
                        [0., 1., 0., 0.5],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                   [0., -1., 0., 0.5],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                              [0., 1., 0., 0.5],
                                                                              [0., 0., -1., 0.5],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 1.],
                                                                                                         [0., -1., 0., 0.5],
                                                                                                         [0., 0., -1., 0.5],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                    [0., -1., 0., 0.5],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 1.],
                                                                                                                                                               [0., 1., 0., 0.5],
                                                                                                                                                               [0., 0., -1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                          [0., -1., 0., 0.5],
                                                                                                                                                                                          [0., 0., 1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                                                                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            69: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                              [0., 1., 0., 0.],
                                                                              [0., 0., -1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                         [0., -1., 0., 0.],
                                                                                                         [0., 0., -1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., -1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                               [0., 1., 0., 0.],
                                                                                                                                                               [0., 0., -1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                          [0., -1., 0., 0.],
                                                                                                                                                                                          [0., 0., 1., 0.],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                                                                                                     [0., 0., 0., 1.]]),
                 array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.5],
                        [0., 0., 1., 0.5],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.5],
                                                   [0., 0., 1., 0.5],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                              [0., 1., 0., 0.5],
                                                                              [0., 0., -1., 0.5],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                         [0., -1., 0., 0.5],
                                                                                                         [0., 0., -1., 0.5],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., -1., 0., 0.5],
                                                                                                                                    [0., 0., -1., 0.5],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                               [0., 1., 0., 0.5],
                                                                                                                                                               [0., 0., -1., 0.5],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                          [0., -1., 0., 0.5],
                                                                                                                                                                                          [0., 0., 1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                                                                                                     [0., 0., 0., 1.]]),
                 array([[1., 0., 0., 0.5],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.5],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.5],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                              [0., 1., 0., 0.],
                                                                              [0., 0., -1., 0.5],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                         [0., -1., 0., 0.],
                                                                                                         [0., 0., -1., 0.5],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                    [0., -1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.5],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                               [0., 1., 0., 0.],
                                                                                                                                                               [0., 0., -1., 0.5],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                          [0., -1., 0., 0.],
                                                                                                                                                                                          [0., 0., 1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                                                                                                     [0., 0., 0., 1.]]),
                 array([[1., 0., 0., 0.5],
                        [0., 1., 0., 0.5],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                   [0., -1., 0., 0.5],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                              [0., 1., 0., 0.5],
                                                                              [0., 0., -1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                         [0., -1., 0., 0.5],
                                                                                                         [0., 0., -1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                    [0., -1., 0., 0.5],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                               [0., 1., 0., 0.5],
                                                                                                                                                               [0., 0., -1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                          [0., -1., 0., 0.5],
                                                                                                                                                                                          [0., 0., 1., 0.],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            70: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.75],
                                                   [0., -1., 0., 0.75],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.75],
                                                                              [0., 1., 0., 0.],
                                                                              [0., 0., -1., 0.75],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                         [0., -1., 0., 0.75],
                                                                                                         [0., 0., -1., 0.75],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., -1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.25],
                                                                                                                                                               [0., 1., 0., 0.25],
                                                                                                                                                               [0., 0., -1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.25],
                                                                                                                                                                                          [0., -1., 0., 0.],
                                                                                                                                                                                          [0., 0., 1., 0.25],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                     [0., 1., 0., 0.25],
                                                                                                                                                                                                                     [0., 0., 1., 0.25],
                                                                                                                                                                                                                     [0., 0., 0., 1.]]),
                 array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.5],
                        [0., 0., 1., 0.5],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.75],
                                                   [0., -1., 0., 1.25],
                                                   [0., 0., 1., 0.5],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.75],
                                                                              [0., 1., 0., 0.5],
                                                                              [0., 0., -1., 1.25],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                         [0., -1., 0., 1.25],
                                                                                                         [0., 0., -1., 1.25],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., -1., 0., 0.5],
                                                                                                                                    [0., 0., -1., 0.5],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.25],
                                                                                                                                                               [0., 1., 0., 0.75],
                                                                                                                                                               [0., 0., -1., 0.5],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.25],
                                                                                                                                                                                          [0., -1., 0., 0.5],
                                                                                                                                                                                          [0., 0., 1., 0.75],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                     [0., 1., 0., 0.75],
                                                                                                                                                                                                                     [0., 0., 1., 0.75],
                                                                                                                                                                                                                     [0., 0., 0., 1.]]),
                 array([[1., 0., 0., 0.5],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.5],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.25],
                                                   [0., -1., 0., 0.75],
                                                   [0., 0., 1., 0.5],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.25],
                                                                              [0., 1., 0., 0.],
                                                                              [0., 0., -1., 1.25],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                         [0., -1., 0., 0.75],
                                                                                                         [0., 0., -1., 1.25],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                    [0., -1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.5],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.75],
                                                                                                                                                               [0., 1., 0., 0.25],
                                                                                                                                                               [0., 0., -1., 0.5],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.75],
                                                                                                                                                                                          [0., -1., 0., 0.],
                                                                                                                                                                                          [0., 0., 1., 0.75],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., 1., 0., 0.25],
                                                                                                                                                                                                                     [0., 0., 1., 0.75],
                                                                                                                                                                                                                     [0., 0., 0., 1.]]),
                 array([[1., 0., 0., 0.5],
                        [0., 1., 0., 0.5],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.25],
                                                   [0., -1., 0., 1.25],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.25],
                                                                              [0., 1., 0., 0.5],
                                                                              [0., 0., -1., 0.75],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                         [0., -1., 0., 1.25],
                                                                                                         [0., 0., -1., 0.75],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                    [0., -1., 0., 0.5],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.75],
                                                                                                                                                               [0., 1., 0., 0.75],
                                                                                                                                                               [0., 0., -1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.75],
                                                                                                                                                                                          [0., -1., 0., 0.5],
                                                                                                                                                                                          [0., 0., 1., 0.25],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., 1., 0., 0.75],
                                                                                                                                                                                                                     [0., 0., 1., 0.25],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            71: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                              [0., 1., 0., 0.],
                                                                              [0., 0., -1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                         [0., -1., 0., 0.],
                                                                                                         [0., 0., -1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., -1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                               [0., 1., 0., 0.],
                                                                                                                                                               [0., 0., -1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                          [0., -1., 0., 0.],
                                                                                                                                                                                          [0., 0., 1., 0.],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                                                                                                     [0., 0., 0., 1.]]),
                 array([[1., 0., 0., 0.5],
                        [0., 1., 0., 0.5],
                        [0., 0., 1., 0.5],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                   [0., -1., 0., 0.5],
                                                   [0., 0., 1., 0.5],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                              [0., 1., 0., 0.5],
                                                                              [0., 0., -1., 0.5],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                         [0., -1., 0., 0.5],
                                                                                                         [0., 0., -1., 0.5],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                    [0., -1., 0., 0.5],
                                                                                                                                    [0., 0., -1., 0.5],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                               [0., 1., 0., 0.5],
                                                                                                                                                               [0., 0., -1., 0.5],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                          [0., -1., 0., 0.5],
                                                                                                                                                                                          [0., 0., 1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            72: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                              [0., 1., 0., 0.5],
                                                                              [0., 0., -1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                         [0., -1., 0., 0.5],
                                                                                                         [0., 0., -1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., -1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                               [0., 1., 0., 0.],
                                                                                                                                                               [0., 0., -1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                          [0., -1., 0., 0.5],
                                                                                                                                                                                          [0., 0., 1., 0.],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                                                                                                     [0., 0., 0., 1.]]),
                 array([[1., 0., 0., 0.5],
                        [0., 1., 0., 0.5],
                        [0., 0., 1., 0.5],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                   [0., -1., 0., 0.5],
                                                   [0., 0., 1., 0.5],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                                              [0., 1., 0., 1.],
                                                                              [0., 0., -1., 0.5],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 1.],
                                                                                                         [0., -1., 0., 1.],
                                                                                                         [0., 0., -1., 0.5],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                    [0., -1., 0., 0.5],
                                                                                                                                    [0., 0., -1., 0.5],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                               [0., 1., 0., 0.5],
                                                                                                                                                               [0., 0., -1., 0.5],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 1.],
                                                                                                                                                                                          [0., -1., 0., 1.],
                                                                                                                                                                                          [0., 0., 1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                                                                                                                                                                                     [0., 1., 0., 1.],
                                                                                                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            73: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.5],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                              [0., 1., 0., 0.5],
                                                                              [0., 0., -1., 0.5],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                         [0., -1., 0., 0.5],
                                                                                                         [0., 0., -1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., -1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                               [0., 1., 0., 0.],
                                                                                                                                                               [0., 0., -1., 0.5],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                          [0., -1., 0., 0.5],
                                                                                                                                                                                          [0., 0., 1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                                                                                                     [0., 0., 0., 1.]]),
                 array([[1., 0., 0., 0.5],
                        [0., 1., 0., 0.5],
                        [0., 0., 1., 0.5],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                   [0., -1., 0., 0.5],
                                                   [0., 0., 1., 1.],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                              [0., 1., 0., 1.],
                                                                              [0., 0., -1., 1.],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 1.],
                                                                                                         [0., -1., 0., 1.],
                                                                                                         [0., 0., -1., 0.5],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                    [0., -1., 0., 0.5],
                                                                                                                                    [0., 0., -1., 0.5],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 1.],
                                                                                                                                                               [0., 1., 0., 0.5],
                                                                                                                                                               [0., 0., -1., 1.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                          [0., -1., 0., 1.],
                                                                                                                                                                                          [0., 0., 1., 1.],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                                                                                                                                                                                     [0., 1., 0., 1.],
                                                                                                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            74: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.5],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                              [0., 1., 0., 0.5],
                                                                              [0., 0., -1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                         [0., -1., 0., 0.],
                                                                                                         [0., 0., -1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., -1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                               [0., 1., 0., 0.5],
                                                                                                                                                               [0., 0., -1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                          [0., -1., 0., 0.5],
                                                                                                                                                                                          [0., 0., 1., 0.],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                                                                                                     [0., 0., 0., 1.]]),
                 array([[1., 0., 0., 0.5],
                        [0., 1., 0., 0.5],
                        [0., 0., 1., 0.5],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                   [0., -1., 0., 1.],
                                                   [0., 0., 1., 0.5],
                                                   [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                              [0., 1., 0., 1.],
                                                                              [0., 0., -1., 0.5],
                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                         [0., -1., 0., 0.5],
                                                                                                         [0., 0., -1., 0.5],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                    [0., -1., 0., 0.5],
                                                                                                                                    [0., 0., -1., 0.5],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                               [0., 1., 0., 1.],
                                                                                                                                                               [0., 0., -1., 0.5],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                          [0., -1., 0., 1.],
                                                                                                                                                                                          [0., 0., 1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            75: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                              [1., 0., 0., 0.],
                                                                              [0., 0., 1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                         [-1., 0., 0., 0.],
                                                                                                         [0., 0., 1., 0.],
                                                                                                         [0., 0., 0., 1.]])], 76: [array([[1., 0., 0., 0.],
                                                                                                                                          [0., 1., 0., 0.],
                                                                                                                                          [0., 0., 1., 0.],
                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                                                [0., 0., 1., 0.25],
                                                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                                                           [0., 0., 1., 0.75],
                                                                                                                                                                                                                           [0., 0., 0., 1.]])],
            77: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                              [1., 0., 0., 0.],
                                                                              [0., 0., 1., 0.5],
                                                                              [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                         [-1., 0., 0., 0.],
                                                                                                         [0., 0., 1., 0.5],
                                                                                                         [0., 0., 0., 1.]])], 78: [array([[1., 0., 0., 0.],
                                                                                                                                          [0., 1., 0., 0.],
                                                                                                                                          [0., 0., 1., 0.],
                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                                                [0., 0., 1., 0.75],
                                                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                                                           [0., 0., 1., 0.25],
                                                                                                                                                                                                                           [0., 0., 0., 1.]])],
            79: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                              [1., 0., 0., 0.],
                                                                              [0., 0., 1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                         [-1., 0., 0., 0.],
                                                                                                         [0., 0., 1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                    [0., 1., 0., 0.5],
                                                                                                                                    [0., 0., 1., 0.5],
                                                                                                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                               [0., -1., 0., 0.5],
                                                                                                                                                               [0., 0., 1., 0.5],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                          [1., 0., 0., 0.5],
                                                                                                                                                                                          [0., 0., 1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            80: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                   [0., -1., 0., 0.5],
                                                   [0., 0., 1., 0.5],
                                                   [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                              [1., 0., 0., 0.5],
                                                                              [0., 0., 1., 0.25],
                                                                              [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                         [-1., 0., 0., 0.],
                                                                                                         [0., 0., 1., 0.75],
                                                                                                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                    [0., 1., 0., 0.5],
                                                                                                                                    [0., 0., 1., 0.5],
                                                                                                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                                                                                                                               [0., -1., 0., 1.],
                                                                                                                                                               [0., 0., 1., 1.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                          [1., 0., 0., 1.],
                                                                                                                                                                                          [0., 0., 1., 0.75],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 1.],
                                                                                                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., 1., 1.25],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            81: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                              [-1., 0., 0., 0.],
                                                                              [0., 0., -1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                         [1., 0., 0., 0.],
                                                                                                         [0., 0., -1., 0.],
                                                                                                         [0., 0., 0., 1.]])], 82: [array([[1., 0., 0., 0.],
                                                                                                                                          [0., 1., 0., 0.],
                                                                                                                                          [0., 0., 1., 0.],
                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                                                           [0., 0., -1., 0.],
                                                                                                                                                                                                                           [0., 0., 0., 1.]]),
                                                                                                                                   array([[1., 0., 0., 0.5],
                                                                                                                                          [0., 1., 0., 0.5],
                                                                                                                                          [0., 0., 1., 0.5],
                                                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                                                           [0., 0., -1., 0.5],
                                                                                                                                                                                                                           [0., 0., 0., 1.]])],
            83: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                              [1., 0., 0., 0.],
                                                                              [0., 0., 1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                         [-1., 0., 0., 0.],
                                                                                                         [0., 0., 1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., -1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                               [0., 1., 0., 0.],
                                                                                                                                                               [0., 0., -1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                          [-1., 0., 0., 0.],
                                                                                                                                                                                          [0., 0., -1., 0.],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            84: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                              [1., 0., 0., 0.],
                                                                              [0., 0., 1., 0.5],
                                                                              [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                         [-1., 0., 0., 0.],
                                                                                                         [0., 0., 1., 0.5],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., -1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                               [0., 1., 0., 0.],
                                                                                                                                                               [0., 0., -1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                          [-1., 0., 0., 0.],
                                                                                                                                                                                          [0., 0., -1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            85: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                   [0., -1., 0., 0.5],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                              [1., 0., 0., 0.],
                                                                              [0., 0., 1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                         [-1., 0., 0., 0.5],
                                                                                                         [0., 0., 1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., -1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                               [0., 1., 0., 0.5],
                                                                                                                                                               [0., 0., -1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                          [-1., 0., 0., 0.],
                                                                                                                                                                                          [0., 0., -1., 0.],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            86: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                   [0., -1., 0., 0.5],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                              [1., 0., 0., 0.5],
                                                                              [0., 0., 1., 0.5],
                                                                              [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                         [-1., 0., 0., 0.],
                                                                                                         [0., 0., 1., 0.5],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., -1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                               [0., 1., 0., 0.5],
                                                                                                                                                               [0., 0., -1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                          [-1., 0., 0., 0.5],
                                                                                                                                                                                          [0., 0., -1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            87: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                              [1., 0., 0., 0.],
                                                                              [0., 0., 1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                         [-1., 0., 0., 0.],
                                                                                                         [0., 0., 1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., -1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                               [0., 1., 0., 0.],
                                                                                                                                                               [0., 0., -1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                          [-1., 0., 0., 0.],
                                                                                                                                                                                          [0., 0., -1., 0.],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                                                                                                     [0., 0., 0., 1.]]),
                 array([[1., 0., 0., 0.5],
                        [0., 1., 0., 0.5],
                        [0., 0., 1., 0.5],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                   [0., -1., 0., 0.5],
                                                   [0., 0., 1., 0.5],
                                                   [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                              [1., 0., 0., 0.5],
                                                                              [0., 0., 1., 0.5],
                                                                              [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                         [-1., 0., 0., 0.5],
                                                                                                         [0., 0., 1., 0.5],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                    [0., -1., 0., 0.5],
                                                                                                                                    [0., 0., -1., 0.5],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                               [0., 1., 0., 0.5],
                                                                                                                                                               [0., 0., -1., 0.5],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                          [-1., 0., 0., 0.5],
                                                                                                                                                                                          [0., 0., -1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            88: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.5],
                                                   [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                                              [1., 0., 0., 0.25],
                                                                              [0., 0., 1., 0.25],
                                                                              [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                                                                         [-1., 0., 0., 0.75],
                                                                                                         [0., 0., 1., 0.75],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., -1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                               [0., 1., 0., 0.],
                                                                                                                                                               [0., 0., -1., 0.5],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.25],
                                                                                                                                                                                          [-1., 0., 0., 0.75],
                                                                                                                                                                                          [0., 0., -1., 0.75],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.25],
                                                                                                                                                                                                                     [1., 0., 0., 0.25],
                                                                                                                                                                                                                     [0., 0., -1., 0.25],
                                                                                                                                                                                                                     [0., 0., 0., 1.]]),
                 array([[1., 0., 0., 0.5],
                        [0., 1., 0., 0.5],
                        [0., 0., 1., 0.5],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                   [0., -1., 0., 0.5],
                                                   [0., 0., 1., 1.],
                                                   [0., 0., 0., 1.]]), array([[0., -1., 0., 1.25],
                                                                              [1., 0., 0., 0.75],
                                                                              [0., 0., 1., 0.75],
                                                                              [0., 0., 0., 1.]]), array([[0., 1., 0., 1.25],
                                                                                                         [-1., 0., 0., 1.25],
                                                                                                         [0., 0., 1., 1.25],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                    [0., -1., 0., 0.5],
                                                                                                                                    [0., 0., -1., 0.5],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 1.],
                                                                                                                                                               [0., 1., 0., 0.5],
                                                                                                                                                               [0., 0., -1., 1.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                                                                                                                                                          [-1., 0., 0., 1.25],
                                                                                                                                                                                          [0., 0., -1., 1.25],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                                                                                                                                                                                     [1., 0., 0., 0.75],
                                                                                                                                                                                                                     [0., 0., -1., 0.75],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            89: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                              [1., 0., 0., 0.],
                                                                              [0., 0., 1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                         [-1., 0., 0., 0.],
                                                                                                         [0., 0., 1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., 1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                               [0., -1., 0., 0.],
                                                                                                                                                               [0., 0., -1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                          [1., 0., 0., 0.],
                                                                                                                                                                                          [0., 0., -1., 0.],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            90: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                              [1., 0., 0., 0.5],
                                                                              [0., 0., 1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                         [-1., 0., 0., 0.5],
                                                                                                         [0., 0., 1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                    [0., 1., 0., 0.5],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                               [0., -1., 0., 0.5],
                                                                                                                                                               [0., 0., -1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                          [1., 0., 0., 0.],
                                                                                                                                                                                          [0., 0., -1., 0.],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            91: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.5],
                                                   [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                              [1., 0., 0., 0.],
                                                                              [0., 0., 1., 0.25],
                                                                              [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                         [-1., 0., 0., 0.],
                                                                                                         [0., 0., 1., 0.75],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., 1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                               [0., -1., 0., 0.],
                                                                                                                                                               [0., 0., -1., 0.5],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                          [1., 0., 0., 0.],
                                                                                                                                                                                          [0., 0., -1., 0.75],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                                                                                                     [0., 0., -1., 0.25],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            92: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.5],
                                                   [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                              [1., 0., 0., 0.5],
                                                                              [0., 0., 1., 0.25],
                                                                              [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                         [-1., 0., 0., 0.5],
                                                                                                         [0., 0., 1., 0.75],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                    [0., 1., 0., 0.5],
                                                                                                                                    [0., 0., -1., 0.25],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                               [0., -1., 0., 0.5],
                                                                                                                                                               [0., 0., -1., 0.75],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                          [1., 0., 0., 0.],
                                                                                                                                                                                          [0., 0., -1., 0.],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            93: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                              [1., 0., 0., 0.],
                                                                              [0., 0., 1., 0.5],
                                                                              [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                         [-1., 0., 0., 0.],
                                                                                                         [0., 0., 1., 0.5],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., 1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                               [0., -1., 0., 0.],
                                                                                                                                                               [0., 0., -1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                          [1., 0., 0., 0.],
                                                                                                                                                                                          [0., 0., -1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            94: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                              [1., 0., 0., 0.5],
                                                                              [0., 0., 1., 0.5],
                                                                              [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                         [-1., 0., 0., 0.5],
                                                                                                         [0., 0., 1., 0.5],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                    [0., 1., 0., 0.5],
                                                                                                                                    [0., 0., -1., 0.5],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                               [0., -1., 0., 0.5],
                                                                                                                                                               [0., 0., -1., 0.5],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                          [1., 0., 0., 0.],
                                                                                                                                                                                          [0., 0., -1., 0.],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            95: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.5],
                                                   [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                              [1., 0., 0., 0.],
                                                                              [0., 0., 1., 0.75],
                                                                              [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                         [-1., 0., 0., 0.],
                                                                                                         [0., 0., 1., 0.25],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., 1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                               [0., -1., 0., 0.],
                                                                                                                                                               [0., 0., -1., 0.5],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                          [1., 0., 0., 0.],
                                                                                                                                                                                          [0., 0., -1., 0.25],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                                                                                                     [0., 0., -1., 0.75],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            96: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.5],
                                                   [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                              [1., 0., 0., 0.5],
                                                                              [0., 0., 1., 0.75],
                                                                              [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                         [-1., 0., 0., 0.5],
                                                                                                         [0., 0., 1., 0.25],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                    [0., 1., 0., 0.5],
                                                                                                                                    [0., 0., -1., 0.75],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                               [0., -1., 0., 0.5],
                                                                                                                                                               [0., 0., -1., 0.25],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                          [1., 0., 0., 0.],
                                                                                                                                                                                          [0., 0., -1., 0.],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            97: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                              [1., 0., 0., 0.],
                                                                              [0., 0., 1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                         [-1., 0., 0., 0.],
                                                                                                         [0., 0., 1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                    [0., 1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                               [0., -1., 0., 0.],
                                                                                                                                                               [0., 0., -1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                          [1., 0., 0., 0.],
                                                                                                                                                                                          [0., 0., -1., 0.],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                                                                                                     [0., 0., 0., 1.]]),
                 array([[1., 0., 0., 0.5],
                        [0., 1., 0., 0.5],
                        [0., 0., 1., 0.5],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                   [0., -1., 0., 0.5],
                                                   [0., 0., 1., 0.5],
                                                   [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                              [1., 0., 0., 0.5],
                                                                              [0., 0., 1., 0.5],
                                                                              [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                         [-1., 0., 0., 0.5],
                                                                                                         [0., 0., 1., 0.5],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                    [0., 1., 0., 0.5],
                                                                                                                                    [0., 0., -1., 0.5],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                               [0., -1., 0., 0.5],
                                                                                                                                                               [0., 0., -1., 0.5],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                          [1., 0., 0., 0.5],
                                                                                                                                                                                          [0., 0., -1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            98: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                   [0., -1., 0., 0.5],
                                                   [0., 0., 1., 0.5],
                                                   [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                              [1., 0., 0., 0.5],
                                                                              [0., 0., 1., 0.25],
                                                                              [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                         [-1., 0., 0., 0.],
                                                                                                         [0., 0., 1., 0.75],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                    [0., 1., 0., 0.],
                                                                                                                                    [0., 0., -1., 0.75],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                               [0., -1., 0., 0.5],
                                                                                                                                                               [0., 0., -1., 0.25],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                          [1., 0., 0., 0.5],
                                                                                                                                                                                          [0., 0., -1., 0.5],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                                                                                                     [0., 0., 0., 1.]]),
                 array([[1., 0., 0., 0.5],
                        [0., 1., 0., 0.5],
                        [0., 0., 1., 0.5],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                   [0., -1., 0., 1.],
                                                   [0., 0., 1., 1.],
                                                   [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                              [1., 0., 0., 1.],
                                                                              [0., 0., 1., 0.75],
                                                                              [0., 0., 0., 1.]]), array([[0., 1., 0., 1.],
                                                                                                         [-1., 0., 0., 0.5],
                                                                                                         [0., 0., 1., 1.25],
                                                                                                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                                                                                                    [0., 1., 0., 0.5],
                                                                                                                                    [0., 0., -1., 1.25],
                                                                                                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                               [0., -1., 0., 1.],
                                                                                                                                                               [0., 0., -1., 0.75],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 1.],
                                                                                                                                                                                          [1., 0., 0., 1.],
                                                                                                                                                                                          [0., 0., -1., 1.],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            99: [array([[1., 0., 0., 0.],
                        [0., 1., 0., 0.],
                        [0., 0., 1., 0.],
                        [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                   [0., -1., 0., 0.],
                                                   [0., 0., 1., 0.],
                                                   [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                              [1., 0., 0., 0.],
                                                                              [0., 0., 1., 0.],
                                                                              [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                         [-1., 0., 0., 0.],
                                                                                                         [0., 0., 1., 0.],
                                                                                                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                    [0., -1., 0., 0.],
                                                                                                                                    [0., 0., 1., 0.],
                                                                                                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                               [0., 1., 0., 0.],
                                                                                                                                                               [0., 0., 1., 0.],
                                                                                                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                          [-1., 0., 0., 0.],
                                                                                                                                                                                          [0., 0., 1., 0.],
                                                                                                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                                                                                                     [0., 0., 0., 1.]])],
            100: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                               [1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                          [-1., 0., 0., 0.],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            101: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                               [1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                          [-1., 0., 0., 0.],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            102: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                               [1., 0., 0., 0.5],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                          [-1., 0., 0., 0.5],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            103: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                               [1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                          [-1., 0., 0., 0.],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            104: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                               [1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                          [-1., 0., 0., 0.],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            105: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                               [1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                          [-1., 0., 0., 0.],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            106: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                               [1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                          [-1., 0., 0., 0.],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            107: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                               [1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                          [-1., 0., 0., 0.],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                               [1., 0., 0., 0.5],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                          [-1., 0., 0., 0.5],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            108: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                               [1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                          [-1., 0., 0., 0.],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                               [1., 0., 0., 0.5],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                          [-1., 0., 0., 0.5],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [0., 0., 1., 1.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 1.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 1.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 1.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            109: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                               [1., 0., 0., 0.5],
                                                                               [0., 0., 1., 0.25],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                          [-1., 0., 0., 0.],
                                                                                                          [0., 0., 1., 0.75],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                    [0., -1., 0., 1.],
                                                    [0., 0., 1., 1.],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                               [1., 0., 0., 1.],
                                                                               [0., 0., 1., 0.75],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 1.],
                                                                                                          [-1., 0., 0., 0.5],
                                                                                                          [0., 0., 1., 1.25],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                                                                                                                                [0., 1., 0., 1.],
                                                                                                                                                                [0., 0., 1., 1.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 1.],
                                                                                                                                                                                           [0., 0., 1., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 1.],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 1.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            110: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                               [1., 0., 0., 0.5],
                                                                               [0., 0., 1., 0.25],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                          [-1., 0., 0., 0.],
                                                                                                          [0., 0., 1., 0.75],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                    [0., -1., 0., 1.],
                                                    [0., 0., 1., 1.],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                               [1., 0., 0., 1.],
                                                                               [0., 0., 1., 0.75],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 1.],
                                                                                                          [-1., 0., 0., 0.5],
                                                                                                          [0., 0., 1., 1.25],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [0., 0., 1., 1.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                                                                                                                                [0., 1., 0., 1.],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 1.],
                                                                                                                                                                                           [0., 0., 1., 1.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 1.],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            111: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            112: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            113: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            114: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            115: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., -1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            116: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            117: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., -1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            118: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            119: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., -1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [-1., 0., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            120: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [-1., 0., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [0., 0., 1., 1.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 1.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., -1., 1.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., -1., 1.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            121: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [-1., 0., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            122: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.75],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.75],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [-1., 0., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., -1., 1.25],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 1.],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 1.25],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 1.],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 1.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 1.],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 1.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            123: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                               [1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                          [-1., 0., 0., 0.],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., -1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                    [0., 1., 0., 0.],
                                                    [0., 0., -1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            124: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                               [1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                          [-1., 0., 0., 0.],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                    [0., 1., 0., 0.],
                                                    [0., 0., -1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            125: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                               [1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                          [-1., 0., 0., 0.5],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., -1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                    [0., 1., 0., 0.5],
                                                    [0., 0., -1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            126: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                               [1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                          [-1., 0., 0., 0.5],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                    [0., 1., 0., 0.5],
                                                    [0., 0., -1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            127: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                               [1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                          [-1., 0., 0., 0.],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., -1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                    [0., 1., 0., 0.],
                                                    [0., 0., -1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            128: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                               [1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                          [-1., 0., 0., 0.],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                    [0., 1., 0., 0.],
                                                    [0., 0., -1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            129: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                               [1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                          [-1., 0., 0., 0.5],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., -1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                    [0., 1., 0., 0.5],
                                                    [0., 0., -1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            130: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                               [1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                          [-1., 0., 0., 0.5],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                    [0., 1., 0., 0.5],
                                                    [0., 0., -1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            131: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                               [1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                          [-1., 0., 0., 0.],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                    [0., 1., 0., 0.],
                                                    [0., 0., -1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            132: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                               [1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                          [-1., 0., 0., 0.],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., -1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                    [0., 1., 0., 0.],
                                                    [0., 0., -1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            133: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                               [1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                          [-1., 0., 0., 0.5],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                    [0., 1., 0., 0.5],
                                                    [0., 0., -1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            134: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                               [1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                          [-1., 0., 0., 0.5],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., -1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                    [0., 1., 0., 0.5],
                                                    [0., 0., -1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            135: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                               [1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                          [-1., 0., 0., 0.],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                    [0., 1., 0., 0.],
                                                    [0., 0., -1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            136: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                               [1., 0., 0., 0.5],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                          [-1., 0., 0., 0.5],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., -1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                    [0., 1., 0., 0.],
                                                    [0., 0., -1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [-1., 0., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            137: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                               [1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                          [-1., 0., 0., 0.5],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                    [0., 1., 0., 0.5],
                                                    [0., 0., -1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            138: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                               [1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                          [-1., 0., 0., 0.5],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.],

                                                                                             [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., -1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                    [0., 1., 0., 0.5],
                                                    [0., 0., -1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            139: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                               [1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                          [-1., 0., 0., 0.],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., -1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                    [0., 1., 0., 0.],
                                                    [0., 0., -1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                               [1., 0., 0., 0.5],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                          [-1., 0., 0., 0.5],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.5],
                         [0., -1., 0., 0.5],
                         [0., 0., -1., 0.5],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                    [0., 1., 0., 0.5],
                                                    [0., 0., -1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [-1., 0., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            140: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                               [1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                          [-1., 0., 0., 0.],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                    [0., 1., 0., 0.],
                                                    [0., 0., -1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                               [1., 0., 0., 0.5],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                          [-1., 0., 0., 0.5],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., -1., 1.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 1.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., -1., 1.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., -1., 1.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.5],
                         [0., -1., 0., 0.5],
                         [0., 0., -1., 0.5],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                    [0., 1., 0., 0.5],
                                                    [0., 0., -1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [-1., 0., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [0., 0., 1., 1.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 1.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 1.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 1.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            141: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.25],
                                                                               [1., 0., 0., 0.75],
                                                                               [0., 0., 1., 0.25],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.25],
                                                                                                          [-1., 0., 0., 0.25],
                                                                                                          [0., 0., 1., 0.75],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.25],
                                                                                                                                                                                           [1., 0., 0., 0.75],
                                                                                                                                                                                           [0., 0., -1., 0.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.25],
                                                                                                                                                                                                                      [-1., 0., 0., 0.25],
                                                                                                                                                                                                                      [0., 0., -1., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                    [0., 1., 0., 0.],
                                                    [0., 0., -1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                                               [-1., 0., 0., 0.25],
                                                                               [0., 0., -1., 0.75],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                                                                          [1., 0., 0., 0.75],
                                                                                                          [0., 0., -1., 0.25],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                                                                                                                                                           [-1., 0., 0., 0.25],
                                                                                                                                                                                           [0., 0., 1., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                                                                                                                                                                                      [1., 0., 0., 0.75],
                                                                                                                                                                                                                      [0., 0., 1., 0.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 1.],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                                               [1., 0., 0., 1.25],
                                                                               [0., 0., 1., 0.75],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                                                                          [-1., 0., 0., 0.75],
                                                                                                          [0., 0., 1., 1.25],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., -1., 1.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                                                                                                                                                           [1., 0., 0., 1.25],
                                                                                                                                                                                           [0., 0., -1., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                                                                                                                                                                                      [-1., 0., 0., 0.75],
                                                                                                                                                                                                                      [0., 0., -1., 1.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.5],
                         [0., -1., 0., 0.5],
                         [0., 0., -1., 0.5],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 1.],
                                                    [0., 1., 0., 0.5],
                                                    [0., 0., -1., 1.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 1.25],
                                                                               [-1., 0., 0., 0.75],
                                                                               [0., 0., -1., 1.25],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 1.25],
                                                                                                          [1., 0., 0., 1.25],
                                                                                                          [0., 0., -1., 0.75],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 1.],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [0., 0., 1., 1.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 1.25],
                                                                                                                                                                                           [-1., 0., 0., 0.75],
                                                                                                                                                                                           [0., 0., 1., 1.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 1.25],
                                                                                                                                                                                                                      [1., 0., 0., 1.25],
                                                                                                                                                                                                                      [0., 0., 1., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            142: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.25],
                                                                               [1., 0., 0., 0.75],
                                                                               [0., 0., 1., 0.25],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.25],
                                                                                                          [-1., 0., 0., 0.25],
                                                                                                          [0., 0., 1., 0.75],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.25],
                                                                                                                                                                                           [1., 0., 0., 0.75],
                                                                                                                                                                                           [0., 0., -1., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.25],
                                                                                                                                                                                                                      [-1., 0., 0., 0.25],
                                                                                                                                                                                                                      [0., 0., -1., 0.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                    [0., 1., 0., 0.],
                                                    [0., 0., -1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                                               [-1., 0., 0., 0.25],
                                                                               [0., 0., -1., 0.75],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                                                                          [1., 0., 0., 0.75],
                                                                                                          [0., 0., -1., 0.25],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                                                                                                                                                           [-1., 0., 0., 0.25],
                                                                                                                                                                                           [0., 0., 1., 0.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                                                                                                                                                                                      [1., 0., 0., 0.75],
                                                                                                                                                                                                                      [0., 0., 1., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 1.],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                                               [1., 0., 0., 1.25],
                                                                               [0., 0., 1., 0.75],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                                                                          [-1., 0., 0., 0.75],
                                                                                                          [0., 0., 1., 1.25],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 1.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                                                                                                                                                           [1., 0., 0., 1.25],
                                                                                                                                                                                           [0., 0., -1., 1.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                                                                                                                                                                                      [-1., 0., 0., 0.75],
                                                                                                                                                                                                                      [0., 0., -1., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.5],
                         [0., -1., 0., 0.5],
                         [0., 0., -1., 0.5],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 1.],
                                                    [0., 1., 0., 0.5],
                                                    [0., 0., -1., 1.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 1.25],
                                                                               [-1., 0., 0., 0.75],
                                                                               [0., 0., -1., 1.25],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 1.25],
                                                                                                          [1., 0., 0., 1.25],
                                                                                                          [0., 0., -1., 0.75],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 1.],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 1.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 1.25],
                                                                                                                                                                                           [-1., 0., 0., 0.75],
                                                                                                                                                                                           [0., 0., 1., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 1.25],
                                                                                                                                                                                                                      [1., 0., 0., 1.25],
                                                                                                                                                                                                                      [0., 0., 1., 1.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            143: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [1., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]])], 144: [array([[1., 0., 0., 0.],
                                                                                                                 [0., 1., 0., 0.],
                                                                                                                 [0., 0., 1., 0.],
                                                                                                                 [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                            [1., -1., 0., 0.],
                                                                                                                                            [0., 0., 1., 0.33333333],
                                                                                                                                            [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                                                       [-1., 0., 0., 0.],
                                                                                                                                                                       [0., 0., 1., 0.66666667],
                                                                                                                                                                       [0., 0., 0., 1.]])], 145: [array([[1., 0., 0., 0.],
                                                                                                                                                                                                         [0., 1., 0., 0.],
                                                                                                                                                                                                         [0., 0., 1., 0.],
                                                                                                                                                                                                         [0., 0., 0., 1.]]),
                                                                                                                                                                                                  array([[0., -1., 0., 0.],
                                                                                                                                                                                                         [1., -1., 0., 0.],
                                                                                                                                                                                                         [0., 0., 1., 0.66666667],
                                                                                                                                                                                                         [0., 0., 0., 1.]]),
                                                                                                                                                                                                  array([[-1., 1., 0., 0.],
                                                                                                                                                                                                         [-1., 0., 0., 0.],
                                                                                                                                                                                                         [0., 0., 1., 0.33333333],
                                                                                                                                                                                                         [0., 0., 0., 1.]])],
            146: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [1., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.66666667],
                                                                                                          [0., 1., 0., 0.33333333],
                                                                                                          [0., 0., 1., 0.33333333],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.66666667],
                                                                                                                                     [1., -1., 0., 0.33333333],
                                                                                                                                     [0., 0., 1., 0.33333333],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.66666667],
                                                                                                                                                                [-1., 0., 0., 0.33333333],
                                                                                                                                                                [0., 0., 1., 0.33333333],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[1., 0., 0., 0.33333333],
                                                                                                                                                                                           [0., 1., 0., 0.66666667],
                                                                                                                                                                                           [0., 0., 1., 0.66666667],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.33333333],
                                                                                                                                                                                                                      [1., -1., 0., 0.66666667],
                                                                                                                                                                                                                      [0., 0., 1., 0.66666667],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 1., 0., 0.33333333],
                         [-1., 0., 0., 0.66666667],
                         [0., 0., 1., 0.66666667],
                         [0., 0., 0., 1.]])], 147: [array([[1., 0., 0., 0.],
                                                           [0., 1., 0., 0.],
                                                           [0., 0., 1., 0.],
                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                      [1., -1., 0., 0.],
                                                                                      [0., 0., 1., 0.],
                                                                                      [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                 [-1., 0., 0., 0.],
                                                                                                                 [0., 0., 1., 0.],
                                                                                                                 [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                            [0., -1., 0., 0.],
                                                                                                                                            [0., 0., -1., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                       [-1., 1., 0., 0.],
                                                                                                                                                                       [0., 0., -1., 0.],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                                                  [1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 0., -1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]])],
            148: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [1., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                     [-1., 1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[1., 0., 0., 0.66666667],
                                                                                                                                                                                           [0., 1., 0., 0.33333333],
                                                                                                                                                                                           [0., 0., 1., 0.33333333],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.66666667],
                                                                                                                                                                                                                      [1., -1., 0., 0.33333333],
                                                                                                                                                                                                                      [0., 0., 1., 0.33333333],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 1., 0., 0.66666667],
                         [-1., 0., 0., 0.33333333],
                         [0., 0., 1., 0.33333333],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.66666667],
                                                    [0., -1., 0., 0.33333333],
                                                    [0., 0., -1., 0.33333333],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.66666667],
                                                                               [-1., 1., 0., 0.33333333],
                                                                               [0., 0., -1., 0.33333333],
                                                                               [0., 0., 0., 1.]]), array([[1., -1., 0., 0.66666667],
                                                                                                          [1., 0., 0., 0.33333333],
                                                                                                          [0., 0., -1., 0.33333333],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.33333333],
                                                                                                                                     [0., 1., 0., 0.66666667],
                                                                                                                                     [0., 0., 1., 0.66666667],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.33333333],
                                                                                                                                                                [1., -1., 0., 0.66666667],
                                                                                                                                                                [0., 0., 1., 0.66666667],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.33333333],
                                                                                                                                                                                           [-1., 0., 0., 0.66666667],
                                                                                                                                                                                           [0., 0., 1., 0.66666667],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.33333333],
                                                                                                                                                                                                                      [0., -1., 0., 0.66666667],
                                                                                                                                                                                                                      [0., 0., -1., 0.66666667],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.33333333],
                         [-1., 1., 0., 0.66666667],
                         [0., 0., -1., 0.66666667],
                         [0., 0., 0., 1.]]), array([[1., -1., 0., 0.33333333],
                                                    [1., 0., 0., 0.66666667],
                                                    [0., 0., -1., 0.66666667],
                                                    [0., 0., 0., 1.]])], 149: [array([[1., 0., 0., 0.],
                                                                                      [0., 1., 0., 0.],
                                                                                      [0., 0., 1., 0.],
                                                                                      [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                 [1., -1., 0., 0.],
                                                                                                                 [0., 0., 1., 0.],
                                                                                                                 [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                            [-1., 0., 0., 0.],
                                                                                                                                            [0., 0., 1., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                       [-1., 0., 0., 0.],
                                                                                                                                                                       [0., 0., -1., 0.],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                                                                                  [0., 1., 0., 0.],
                                                                                                                                                                                                  [0., 0., -1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                                                             [1., -1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., -1., 0.],
                                                                                                                                                                                                                             [0., 0., 0.,
                                                                                                                                                                                                                              1.]])],
            150: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [1., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                [-1., 1., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]])], 151: [array([[1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 1., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                             [1., -1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., 1.,
                                                                                                                                                                                                                              0.33333333],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                                                                           array([[-1., 1., 0., 0.],
                                                                                                                                                                                                  [-1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.66666667],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                             [-1., 0., 0., 0.],
                                                                                                                                                                                                                             [0., 0., -1.,
                                                                                                                                                                                                                              0.66666667],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                                                                           array([[-1., 1., 0., 0.],
                                                                                                                                                                                                  [0., 1., 0., 0.],
                                                                                                                                                                                                  [0., 0., -1., 0.33333333],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                                                             [1., -1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., -1., 0.],
                                                                                                                                                                                                                             [0., 0., 0.,
                                                                                                                                                                                                                              1.]])],
            152: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [1., -1., 0., 0.],
                                                    [0., 0., 1., 0.33333333],
                                                    [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.66666667],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.66666667],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                [-1., 1., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.33333333],
                                                                                                                                                                [0., 0., 0., 1.]])], 153: [array([[1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 1., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                             [1., -1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., 1.,
                                                                                                                                                                                                                              0.66666667],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                                                                           array([[-1., 1., 0., 0.],
                                                                                                                                                                                                  [-1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.33333333],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                             [-1., 0., 0., 0.],
                                                                                                                                                                                                                             [0., 0., -1.,
                                                                                                                                                                                                                              0.33333333],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                                                                           array([[-1., 1., 0., 0.],
                                                                                                                                                                                                  [0., 1., 0., 0.],
                                                                                                                                                                                                  [0., 0., -1., 0.66666667],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                                                             [1., -1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., -1., 0.],
                                                                                                                                                                                                                             [0., 0., 0.,
                                                                                                                                                                                                                              1.]])],
            154: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [1., -1., 0., 0.],
                                                    [0., 0., 1., 0.66666667],
                                                    [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.33333333],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.33333333],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                [-1., 1., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.66666667],
                                                                                                                                                                [0., 0., 0., 1.]])], 155: [array([[1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 1., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                             [1., -1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., 1., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                                                                           array([[-1., 1., 0., 0.],
                                                                                                                                                                                                  [-1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                             [1., 0., 0., 0.],
                                                                                                                                                                                                                             [0., 0., -1., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                                                                           array([[1., -1., 0., 0.],
                                                                                                                                                                                                  [0., -1., 0., 0.],
                                                                                                                                                                                                  [0., 0., -1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                             [-1., 1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., -1., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                                                                           array([[1., 0., 0., 0.66666667],
                                                                                                                                                                                                  [0., 1., 0., 0.33333333],
                                                                                                                                                                                                  [0., 0., 1., 0.33333333],
                                                                                                                                                                                                  [0., 0., 0., 1.]]),
                                                                                                                                                                                           array([[0., -1., 0., 0.66666667],
                                                                                                                                                                                                  [1., -1., 0., 0.33333333],
                                                                                                                                                                                                  [0., 0., 1., 0.33333333],
                                                                                                                                                                                                  [0., 0., 0., 1.]]),
                                                                                                                                                                                           array([[-1., 1., 0., 0.66666667],
                                                                                                                                                                                                  [-1., 0., 0., 0.33333333],
                                                                                                                                                                                                  [0., 0., 1., 0.33333333],
                                                                                                                                                                                                  [0., 0., 0., 1.]]),
                                                                                                                                                                                           array([[0., 1., 0., 0.66666667],
                                                                                                                                                                                                  [1., 0., 0., 0.33333333],
                                                                                                                                                                                                  [0., 0., -1., 0.33333333],
                                                                                                                                                                                                  [0., 0., 0., 1.]]),
                                                                                                                                                                                           array([[1., -1., 0., 0.66666667],
                                                                                                                                                                                                  [0., -1., 0., 0.33333333],
                                                                                                                                                                                                  [0., 0., -1., 0.33333333],
                                                                                                                                                                                                  [0., 0., 0., 1.]]),
                                                                                                                                                                                           array([[-1., 0., 0., 0.66666667],
                                                                                                                                                                                                  [-1., 1., 0., 0.33333333],
                                                                                                                                                                                                  [0., 0., -1., 0.33333333],
                                                                                                                                                                                                  [0., 0., 0., 1.]]),
                                                                                                                                                                                           array([[1., 0., 0., 0.33333333],
                                                                                                                                                                                                  [0., 1., 0., 0.66666667],
                                                                                                                                                                                                  [0., 0., 1., 0.66666667],
                                                                                                                                                                                                  [0., 0., 0., 1.]]),
                                                                                                                                                                                           array([[0., -1., 0., 0.33333333],
                                                                                                                                                                                                  [1., -1., 0., 0.66666667],
                                                                                                                                                                                                  [0., 0., 1., 0.66666667],
                                                                                                                                                                                                  [0., 0., 0., 1.]]),
                                                                                                                                                                                           array([[-1., 1., 0., 0.33333333],
                                                                                                                                                                                                  [-1., 0., 0., 0.66666667],
                                                                                                                                                                                                  [0., 0., 1., 0.66666667],
                                                                                                                                                                                                  [0., 0., 0., 1.]]),
                                                                                                                                                                                           array([[0., 1., 0., 0.33333333],
                                                                                                                                                                                                  [1., 0., 0., 0.66666667],
                                                                                                                                                                                                  [0., 0., -1., 0.66666667],
                                                                                                                                                                                                  [0., 0., 0., 1.]]),
                                                                                                                                                                                           array([[1., -1., 0., 0.33333333],
                                                                                                                                                                                                  [0., -1., 0., 0.66666667],
                                                                                                                                                                                                  [0., 0., -1., 0.66666667],
                                                                                                                                                                                                  [0., 0., 0., 1.]]),
                                                                                                                                                                                           array([[-1., 0., 0., 0.33333333],
                                                                                                                                                                                                  [-1., 1., 0., 0.66666667],
                                                                                                                                                                                                  [0., 0., -1., 0.66666667],
                                                                                                                                                                                                  [0., 0., 0., 1.]])],
            156: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [1., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [-1., 0., 0., 0.],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                [1., -1., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]])], 157: [array([[1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 1., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                             [1., -1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., 1., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                                                                           array([[-1., 1., 0., 0.],
                                                                                                                                                                                                  [-1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                             [1., 0., 0., 0.],
                                                                                                                                                                                                                             [0., 0., 1., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                                                                           array([[1., -1., 0., 0.],
                                                                                                                                                                                                  [0., -1., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                             [-1., 1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., 1., 0.],
                                                                                                                                                                                                                             [0., 0., 0.,
                                                                                                                                                                                                                              1.]])],
            158: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [1., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [-1., 0., 0., 0.],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                [1., -1., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]])], 159: [array([[1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 1., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                             [1., -1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., 1., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                                                                           array([[-1., 1., 0., 0.],
                                                                                                                                                                                                  [-1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                             [1., 0., 0., 0.],
                                                                                                                                                                                                                             [0., 0., 1., 0.5],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                                                                           array([[1., -1., 0., 0.],
                                                                                                                                                                                                  [0., -1., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.5],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                             [-1., 1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., 1., 0.5],
                                                                                                                                                                                                                             [0., 0., 0.,
                                                                                                                                                                                                                              1.]])],
            160: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [1., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [-1., 0., 0., 0.],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                [1., -1., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[1., 0., 0., 0.66666667],
                                                                                                                                                                                           [0., 1., 0., 0.33333333],
                                                                                                                                                                                           [0., 0., 1., 0.33333333],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.66666667],
                                                                                                                                                                                                                      [1., -1., 0., 0.33333333],
                                                                                                                                                                                                                      [0., 0., 1., 0.33333333],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 1., 0., 0.66666667],
                         [-1., 0., 0., 0.33333333],
                         [0., 0., 1., 0.33333333],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.66666667],
                                                    [-1., 0., 0., 0.33333333],
                                                    [0., 0., 1., 0.33333333],
                                                    [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.66666667],
                                                                               [0., 1., 0., 0.33333333],
                                                                               [0., 0., 1., 0.33333333],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.66666667],
                                                                                                          [1., -1., 0., 0.33333333],
                                                                                                          [0., 0., 1., 0.33333333],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.33333333],
                                                                                                                                     [0., 1., 0., 0.66666667],
                                                                                                                                     [0., 0., 1., 0.66666667],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.33333333],
                                                                                                                                                                [1., -1., 0., 0.66666667],
                                                                                                                                                                [0., 0., 1., 0.66666667],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.33333333],
                                                                                                                                                                                           [-1., 0., 0., 0.66666667],
                                                                                                                                                                                           [0., 0., 1., 0.66666667],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.33333333],
                                                                                                                                                                                                                      [-1., 0., 0., 0.66666667],
                                                                                                                                                                                                                      [0., 0., 1., 0.66666667],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 1., 0., 0.33333333],
                         [0., 1., 0., 0.66666667],
                         [0., 0., 1., 0.66666667],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.33333333],
                                                    [1., -1., 0., 0.66666667],
                                                    [0., 0., 1., 0.66666667],
                                                    [0., 0., 0., 1.]])], 161: [array([[1., 0., 0., 0.],
                                                                                      [0., 1., 0., 0.],
                                                                                      [0., 0., 1., 0.],
                                                                                      [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                 [1., -1., 0., 0.],
                                                                                                                 [0., 0., 1., 0.],
                                                                                                                 [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                            [-1., 0., 0., 0.],
                                                                                                                                            [0., 0., 1., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                       [-1., 0., 0., 0.],
                                                                                                                                                                       [0., 0., 1., 0.5],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                                                                                  [0., 1., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.5],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                                                             [1., -1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., 1., 0.5],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                               array([[1., 0., 0., 0.66666667],
                                                                                      [0., 1., 0., 0.33333333],
                                                                                      [0., 0., 1., 0.33333333],
                                                                                      [0., 0., 0., 1.]]), array([[0., -1., 0., 0.66666667],
                                                                                                                 [1., -1., 0., 0.33333333],
                                                                                                                 [0., 0., 1., 0.33333333],
                                                                                                                 [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.66666667],
                                                                                                                                            [-1., 0., 0., 0.33333333],
                                                                                                                                            [0., 0., 1., 0.33333333],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., -1., 0., 0.66666667],
                                                                                                                                                                       [-1., 0., 0., 0.33333333],
                                                                                                                                                                       [0., 0., 1., 0.83333333],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.66666667],
                                                                                                                                                                                                  [0., 1., 0., 0.33333333],
                                                                                                                                                                                                  [0., 0., 1., 0.83333333],
                                                                                                                                                                                                  [0., 0., 0., 1.]]),
                                                                               array([[1., 0., 0., 0.66666667],
                                                                                      [1., -1., 0., 0.33333333],
                                                                                      [0., 0., 1., 0.83333333],
                                                                                      [0., 0., 0., 1.]]), array([[1., 0., 0., 0.33333333],
                                                                                                                 [0., 1., 0., 0.66666667],
                                                                                                                 [0., 0., 1., 0.66666667],
                                                                                                                 [0., 0., 0., 1.]]), array([[0., -1., 0., 0.33333333],
                                                                                                                                            [1., -1., 0., 0.66666667],
                                                                                                                                            [0., 0., 1., 0.66666667],
                                                                                                                                            [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.33333333],
                                                                                                                                                                       [-1., 0., 0., 0.66666667],
                                                                                                                                                                       [0., 0., 1., 0.66666667],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[0., -1., 0., 0.33333333],
                                                                                                                                                                                                  [-1., 0., 0., 0.66666667],
                                                                                                                                                                                                  [0., 0., 1., 1.16666667],
                                                                                                                                                                                                  [0., 0., 0., 1.]]),
                                                                               array([[-1., 1., 0., 0.33333333],
                                                                                      [0., 1., 0., 0.66666667],
                                                                                      [0., 0., 1., 1.16666667],
                                                                                      [0., 0., 0., 1.]]), array([[1., 0., 0., 0.33333333],
                                                                                                                 [1., -1., 0., 0.66666667],
                                                                                                                 [0., 0., 1., 1.16666667],
                                                                                                                 [0., 0., 0., 1.]])], 162: [array([[1., 0., 0., 0.],
                                                                                                                                                   [0., 1., 0., 0.],
                                                                                                                                                   [0., 0., 1., 0.],
                                                                                                                                                   [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                              [1., -1., 0., 0.],
                                                                                                                                                                              [0., 0., 1., 0.],
                                                                                                                                                                              [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                                                                                         [-1., 0., 0., 0.],
                                                                                                                                                                                                         [0., 0., 1., 0.],
                                                                                                                                                                                                         [0., 0., 0., 1.]]),
                                                                                                                                            array([[0., -1., 0., 0.],
                                                                                                                                                   [-1., 0., 0., 0.],
                                                                                                                                                   [0., 0., -1., 0.],
                                                                                                                                                   [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                                                              [0., 1., 0., 0.],
                                                                                                                                                                              [0., 0., -1., 0.],
                                                                                                                                                                              [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                                         [1., -1., 0., 0.],
                                                                                                                                                                                                         [0., 0., -1., 0.],
                                                                                                                                                                                                         [0., 0., 0., 1.]]),
                                                                                                                                            array([[-1., 0., 0., 0.],
                                                                                                                                                   [0., -1., 0., 0.],
                                                                                                                                                   [0., 0., -1., 0.],
                                                                                                                                                   [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                              [-1., 1., 0., 0.],
                                                                                                                                                                              [0., 0., -1., 0.],
                                                                                                                                                                              [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                                                         [1., 0., 0., 0.],
                                                                                                                                                                                                         [0., 0., -1., 0.],
                                                                                                                                                                                                         [0., 0., 0., 1.]]),
                                                                                                                                            array([[0., 1., 0., 0.],
                                                                                                                                                   [1., 0., 0., 0.],
                                                                                                                                                   [0., 0., 1., 0.],
                                                                                                                                                   [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                              [0., -1., 0., 0.],
                                                                                                                                                                              [0., 0., 1., 0.],
                                                                                                                                                                              [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                         [-1., 1., 0., 0.],
                                                                                                                                                                                                         [0., 0., 1., 0.],
                                                                                                                                                                                                         [0., 0., 0., 1.]])],
            163: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [1., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [-1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                [1., -1., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                           [0., -1., 0., 0.],
                                                                                                                                                                                           [0., 0., -1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                      [-1., 1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., -1., 0., 0.],
                         [1., 0., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                    [1., 0., 0., 0.],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                               [0., -1., 0., 0.],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                          [-1., 1., 0., 0.],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., 0., 0., 1.]])], 164: [array([[1., 0., 0., 0.],
                                                                                                                                            [0., 1., 0., 0.],
                                                                                                                                            [0., 0., 1., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                       [1., -1., 0., 0.],
                                                                                                                                                                       [0., 0., 1., 0.],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                                                                                  [-1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                             [1., 0., 0., 0.],
                                                                                                                                                                                                                             [0., 0., -1., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[1., -1., 0., 0.],
                                                                                                                                            [0., -1., 0., 0.],
                                                                                                                                            [0., 0., -1., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                       [-1., 1., 0., 0.],
                                                                                                                                                                       [0., 0., -1., 0.],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                  [0., -1., 0., 0.],
                                                                                                                                                                                                  [0., 0., -1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                             [-1., 1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., -1., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[1., -1., 0., 0.],
                                                                                                                                            [1., 0., 0., 0.],
                                                                                                                                            [0., 0., -1., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                       [-1., 0., 0., 0.],
                                                                                                                                                                       [0., 0., 1., 0.],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                                                                                  [0., 1., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                                                             [1., -1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., 1., 0.],
                                                                                                                                                                                                                             [0., 0., 0.,
                                                                                                                                                                                                                              1.]])],
            165: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [1., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                [-1., 1., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                           [0., -1., 0., 0.],
                                                                                                                                                                                           [0., 0., -1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                      [-1., 1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., -1., 0., 0.],
                         [1., 0., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [-1., 0., 0., 0.],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [1., -1., 0., 0.],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., 0., 0., 1.]])], 166: [array([[1., 0., 0., 0.],
                                                                                                                                            [0., 1., 0., 0.],
                                                                                                                                            [0., 0., 1., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                       [1., -1., 0., 0.],
                                                                                                                                                                       [0., 0., 1., 0.],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                                                                                  [-1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                             [1., 0., 0., 0.],
                                                                                                                                                                                                                             [0., 0., -1., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[1., -1., 0., 0.],
                                                                                                                                            [0., -1., 0., 0.],
                                                                                                                                            [0., 0., -1., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                       [-1., 1., 0., 0.],
                                                                                                                                                                       [0., 0., -1., 0.],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                  [0., -1., 0., 0.],
                                                                                                                                                                                                  [0., 0., -1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                             [-1., 1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., -1., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[1., -1., 0., 0.],
                                                                                                                                            [1., 0., 0., 0.],
                                                                                                                                            [0., 0., -1., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                       [-1., 0., 0., 0.],
                                                                                                                                                                       [0., 0., 1., 0.],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                                                                                  [0., 1., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                                                             [1., -1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., 1., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[1., 0., 0., 0.66666667],
                                                                                                                                            [0., 1., 0., 0.33333333],
                                                                                                                                            [0., 0., 1., 0.33333333],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., -1., 0., 0.66666667],
                                                                                                                                                                       [1., -1., 0., 0.33333333],
                                                                                                                                                                       [0., 0., 1., 0.33333333],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.66666667],
                                                                                                                                                                                                  [-1., 0., 0., 0.33333333],
                                                                                                                                                                                                  [0., 0., 1., 0.33333333],
                                                                                                                                                                                                  [0., 0., 0., 1.]]),
                                                                                                                                     array([[0., 1., 0., 0.66666667],
                                                                                                                                            [1., 0., 0., 0.33333333],
                                                                                                                                            [0., 0., -1., 0.33333333],
                                                                                                                                            [0., 0., 0., 1.]]), array([[1., -1., 0., 0.66666667],
                                                                                                                                                                       [0., -1., 0., 0.33333333],
                                                                                                                                                                       [0., 0., -1., 0.33333333],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.66666667],
                                                                                                                                                                                                  [-1., 1., 0., 0.33333333],
                                                                                                                                                                                                  [0., 0., -1., 0.33333333],
                                                                                                                                                                                                  [0., 0., 0., 1.]]),
                                                                                                                                     array([[-1., 0., 0., 0.66666667],
                                                                                                                                            [0., -1., 0., 0.33333333],
                                                                                                                                            [0., 0., -1., 0.33333333],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., 1., 0., 0.66666667],
                                                                                                                                                                       [-1., 1., 0., 0.33333333],
                                                                                                                                                                       [0., 0., -1., 0.33333333],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[1., -1., 0., 0.66666667],
                                                                                                                                                                                                  [1., 0., 0., 0.33333333],
                                                                                                                                                                                                  [0., 0., -1., 0.33333333],
                                                                                                                                                                                                  [0., 0., 0., 1.]]),
                                                                                                                                     array([[0., -1., 0., 0.66666667],
                                                                                                                                            [-1., 0., 0., 0.33333333],
                                                                                                                                            [0., 0., 1., 0.33333333],
                                                                                                                                            [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.66666667],
                                                                                                                                                                       [0., 1., 0., 0.33333333],
                                                                                                                                                                       [0., 0., 1., 0.33333333],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[1., 0., 0., 0.66666667],
                                                                                                                                                                                                  [1., -1., 0., 0.33333333],
                                                                                                                                                                                                  [0., 0., 1., 0.33333333],
                                                                                                                                                                                                  [0., 0., 0., 1.]]),
                                                                                                                                     array([[1., 0., 0., 0.33333333],
                                                                                                                                            [0., 1., 0., 0.66666667],
                                                                                                                                            [0., 0., 1., 0.66666667],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., -1., 0., 0.33333333],
                                                                                                                                                                       [1., -1., 0., 0.66666667],
                                                                                                                                                                       [0., 0., 1., 0.66666667],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.33333333],
                                                                                                                                                                                                  [-1., 0., 0., 0.66666667],
                                                                                                                                                                                                  [0., 0., 1., 0.66666667],
                                                                                                                                                                                                  [0., 0., 0., 1.]]),
                                                                                                                                     array([[0., 1., 0., 0.33333333],
                                                                                                                                            [1., 0., 0., 0.66666667],
                                                                                                                                            [0., 0., -1., 0.66666667],
                                                                                                                                            [0., 0., 0., 1.]]), array([[1., -1., 0., 0.33333333],
                                                                                                                                                                       [0., -1., 0., 0.66666667],
                                                                                                                                                                       [0., 0., -1., 0.66666667],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.33333333],
                                                                                                                                                                                                  [-1., 1., 0., 0.66666667],
                                                                                                                                                                                                  [0., 0., -1., 0.66666667],
                                                                                                                                                                                                  [0., 0., 0., 1.]]),
                                                                                                                                     array([[-1., 0., 0., 0.33333333],
                                                                                                                                            [0., -1., 0., 0.66666667],
                                                                                                                                            [0., 0., -1., 0.66666667],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., 1., 0., 0.33333333],
                                                                                                                                                                       [-1., 1., 0., 0.66666667],
                                                                                                                                                                       [0., 0., -1., 0.66666667],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[1., -1., 0., 0.33333333],
                                                                                                                                                                                                  [1., 0., 0., 0.66666667],
                                                                                                                                                                                                  [0., 0., -1., 0.66666667],
                                                                                                                                                                                                  [0., 0., 0., 1.]]),
                                                                                                                                     array([[0., -1., 0., 0.33333333],
                                                                                                                                            [-1., 0., 0., 0.66666667],
                                                                                                                                            [0., 0., 1., 0.66666667],
                                                                                                                                            [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.33333333],
                                                                                                                                                                       [0., 1., 0., 0.66666667],
                                                                                                                                                                       [0., 0., 1., 0.66666667],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[1., 0., 0., 0.33333333],
                                                                                                                                                                                                  [1., -1., 0., 0.66666667],
                                                                                                                                                                                                  [0., 0., 1., 0.66666667],
                                                                                                                                                                                                  [0., 0., 0., 1.]])],
            167: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [1., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                [-1., 1., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                           [0., -1., 0., 0.],
                                                                                                                                                                                           [0., 0., -1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                      [-1., 1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., -1., 0., 0.],
                         [1., 0., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [-1., 0., 0., 0.],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [1., -1., 0., 0.],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.66666667],
                                                                                                                                     [0., 1., 0., 0.33333333],
                                                                                                                                     [0., 0., 1., 0.33333333],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.66666667],
                                                                                                                                                                [1., -1., 0., 0.33333333],
                                                                                                                                                                [0., 0., 1., 0.33333333],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.66666667],
                                                                                                                                                                                           [-1., 0., 0., 0.33333333],
                                                                                                                                                                                           [0., 0., 1., 0.33333333],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.66666667],
                                                                                                                                                                                                                      [1., 0., 0., 0.33333333],
                                                                                                                                                                                                                      [0., 0., -1., 0.83333333],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., -1., 0., 0.66666667],
                         [0., -1., 0., 0.33333333],
                         [0., 0., -1., 0.83333333],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.66666667],
                                                    [-1., 1., 0., 0.33333333],
                                                    [0., 0., -1., 0.83333333],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.66666667],
                                                                               [0., -1., 0., 0.33333333],
                                                                               [0., 0., -1., 0.33333333],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.66666667],
                                                                                                          [-1., 1., 0., 0.33333333],
                                                                                                          [0., 0., -1., 0.33333333],
                                                                                                          [0., 0., 0., 1.]]), array([[1., -1., 0., 0.66666667],
                                                                                                                                     [1., 0., 0., 0.33333333],
                                                                                                                                     [0., 0., -1., 0.33333333],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.66666667],
                                                                                                                                                                [-1., 0., 0., 0.33333333],
                                                                                                                                                                [0., 0., 1., 0.83333333],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.66666667],
                                                                                                                                                                                           [0., 1., 0., 0.33333333],
                                                                                                                                                                                           [0., 0., 1., 0.83333333],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[1., 0., 0., 0.66666667],
                                                                                                                                                                                                                      [1., -1., 0., 0.33333333],
                                                                                                                                                                                                                      [0., 0., 1., 0.83333333],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.33333333],
                         [0., 1., 0., 0.66666667],
                         [0., 0., 1., 0.66666667],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.33333333],
                                                    [1., -1., 0., 0.66666667],
                                                    [0., 0., 1., 0.66666667],
                                                    [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.33333333],
                                                                               [-1., 0., 0., 0.66666667],
                                                                               [0., 0., 1., 0.66666667],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.33333333],
                                                                                                          [1., 0., 0., 0.66666667],
                                                                                                          [0., 0., -1., 1.16666667],
                                                                                                          [0., 0., 0., 1.]]), array([[1., -1., 0., 0.33333333],
                                                                                                                                     [0., -1., 0., 0.66666667],
                                                                                                                                     [0., 0., -1., 1.16666667],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.33333333],
                                                                                                                                                                [-1., 1., 0., 0.66666667],
                                                                                                                                                                [0., 0., -1., 1.16666667],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.33333333],
                                                                                                                                                                                           [0., -1., 0., 0.66666667],
                                                                                                                                                                                           [0., 0., -1., 0.66666667],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.33333333],
                                                                                                                                                                                                                      [-1., 1., 0., 0.66666667],
                                                                                                                                                                                                                      [0., 0., -1., 0.66666667],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., -1., 0., 0.33333333],
                         [1., 0., 0., 0.66666667],
                         [0., 0., -1., 0.66666667],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.33333333],
                                                    [-1., 0., 0., 0.66666667],
                                                    [0., 0., 1., 1.16666667],
                                                    [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.33333333],
                                                                               [0., 1., 0., 0.66666667],
                                                                               [0., 0., 1., 1.16666667],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.33333333],
                                                                                                          [1., -1., 0., 0.66666667],
                                                                                                          [0., 0., 1., 1.16666667],
                                                                                                          [0., 0., 0., 1.]])], 168: [array([[1., 0., 0., 0.],
                                                                                                                                            [0., 1., 0., 0.],
                                                                                                                                            [0., 0., 1., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                       [1., -1., 0., 0.],
                                                                                                                                                                       [0., 0., 1., 0.],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                                                                                  [-1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                             [0., -1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., 1., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[0., 1., 0., 0.],
                                                                                                                                            [-1., 1., 0., 0.],
                                                                                                                                            [0., 0., 1., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                       [1., 0., 0., 0.],
                                                                                                                                                                       [0., 0., 1., 0.],
                                                                                                                                                                       [0., 0., 0., 1.]])], 169: [array([[1., 0., 0., 0.],
                                                                                                                                                                                                         [0., 1., 0., 0.],
                                                                                                                                                                                                         [0., 0., 1., 0.],
                                                                                                                                                                                                         [0., 0., 0., 1.]]),
                                                                                                                                                                                                  array([[0., -1., 0., 0.],
                                                                                                                                                                                                         [1., -1., 0., 0.],
                                                                                                                                                                                                         [0., 0., 1., 0.33333333],
                                                                                                                                                                                                         [0., 0., 0., 1.]]),
                                                                                                                                                                                                  array([[-1., 1., 0., 0.],
                                                                                                                                                                                                         [-1., 0., 0., 0.],
                                                                                                                                                                                                         [0., 0., 1., 0.66666667],
                                                                                                                                                                                                         [0., 0., 0., 1.]]),
                                                                                                                                                                                                  array([[-1., 0., 0., 0.],
                                                                                                                                                                                                         [0., -1., 0., 0.],
                                                                                                                                                                                                         [0., 0., 1., 0.5],
                                                                                                                                                                                                         [0., 0., 0., 1.]]),
                                                                                                                                                                                                  array([[0., 1., 0., 0.],
                                                                                                                                                                                                         [-1., 1., 0., 0.],
                                                                                                                                                                                                         [0., 0., 1., 0.83333333],
                                                                                                                                                                                                         [0., 0., 0., 1.]]),
                                                                                                                                                                                                  array([[1., -1., 0., 0.],
                                                                                                                                                                                                         [1., 0., 0., 0.],
                                                                                                                                                                                                         [0., 0., 1., 0.16666667],
                                                                                                                                                                                                         [0., 0., 0., 1.]])],
            170: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [1., -1., 0., 0.],
                                                    [0., 0., 1., 0.66666667],
                                                    [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.33333333],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                     [-1., 1., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.16666667],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.83333333],
                                                                                                                                                                [0., 0., 0., 1.]])], 171: [array([[1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 1., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                             [1., -1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., 1.,
                                                                                                                                                                                                                              0.66666667],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                                                                           array([[-1., 1., 0., 0.],
                                                                                                                                                                                                  [-1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.33333333],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                             [0., -1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., 1., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                                                                           array([[0., 1., 0., 0.],
                                                                                                                                                                                                  [-1., 1., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.66666667],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                                                                             [1., 0., 0., 0.],
                                                                                                                                                                                                                             [0., 0., 1.,
                                                                                                                                                                                                                              0.33333333],
                                                                                                                                                                                                                             [0., 0., 0.,
                                                                                                                                                                                                                              1.]])],
            172: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [1., -1., 0., 0.],
                                                    [0., 0., 1., 0.33333333],
                                                    [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.66666667],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                     [-1., 1., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.33333333],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.66666667],
                                                                                                                                                                [0., 0., 0., 1.]])], 173: [array([[1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 1., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                             [1., -1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., 1., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                                                                           array([[-1., 1., 0., 0.],
                                                                                                                                                                                                  [-1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                             [0., -1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., 1., 0.5],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                                                                           array([[0., 1., 0., 0.],
                                                                                                                                                                                                  [-1., 1., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.5],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                                                                             [1., 0., 0., 0.],
                                                                                                                                                                                                                             [0., 0., 1., 0.5],
                                                                                                                                                                                                                             [0., 0., 0.,
                                                                                                                                                                                                                              1.]])],
            174: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [1., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., 1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                     [1., -1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]])], 175: [array([[1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 1., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                             [1., -1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., 1., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                                                                           array([[-1., 1., 0., 0.],
                                                                                                                                                                                                  [-1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                             [0., -1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., 1., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                                                                           array([[0., 1., 0., 0.],
                                                                                                                                                                                                  [-1., 1., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                                                                             [1., 0., 0., 0.],
                                                                                                                                                                                                                             [0., 0., 1., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                                                                           array([[-1., 0., 0., 0.],
                                                                                                                                                                                                  [0., -1., 0., 0.],
                                                                                                                                                                                                  [0., 0., -1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                             [-1., 1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., -1., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                                                                           array([[1., -1., 0., 0.],
                                                                                                                                                                                                  [1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 0., -1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                                                             [0., 1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., -1., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                                                                           array([[0., -1., 0., 0.],
                                                                                                                                                                                                  [1., -1., 0., 0.],
                                                                                                                                                                                                  [0., 0., -1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                                                                                                             [-1., 0., 0., 0.],
                                                                                                                                                                                                                             [0., 0., -1., 0.],
                                                                                                                                                                                                                             [0., 0., 0.,
                                                                                                                                                                                                                              1.]])],
            176: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [1., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                     [-1., 1., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                           [0., -1., 0., 0.],
                                                                                                                                                                                           [0., 0., -1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                      [-1., 1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., -1., 0., 0.],
                         [1., 0., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                    [0., 1., 0., 0.],
                                                    [0., 0., -1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                               [1., -1., 0., 0.],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                          [-1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]])], 177: [array([[1., 0., 0., 0.],
                                                                                                                                            [0., 1., 0., 0.],
                                                                                                                                            [0., 0., 1., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                       [1., -1., 0., 0.],
                                                                                                                                                                       [0., 0., 1., 0.],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                                                                                  [-1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                             [0., -1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., 1., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[0., 1., 0., 0.],
                                                                                                                                            [-1., 1., 0., 0.],
                                                                                                                                            [0., 0., 1., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                       [1., 0., 0., 0.],
                                                                                                                                                                       [0., 0., 1., 0.],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                  [1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 0., -1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                                                                             [0., -1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., -1., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[-1., 0., 0., 0.],
                                                                                                                                            [-1., 1., 0., 0.],
                                                                                                                                            [0., 0., -1., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                       [-1., 0., 0., 0.],
                                                                                                                                                                       [0., 0., -1., 0.],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                                                                                  [0., 1., 0., 0.],
                                                                                                                                                                                                  [0., 0., -1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                                                             [1., -1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., -1., 0.],
                                                                                                                                                                                                                             [0., 0., 0.,
                                                                                                                                                                                                                              1.]])],
            178: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [1., -1., 0., 0.],
                                                    [0., 0., 1., 0.33333333],
                                                    [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.66666667],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                     [-1., 1., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.83333333],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.16666667],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., -1., 0.33333333],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [-1., 1., 0., 0.],
                         [0., 0., -1., 0.66666667],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [-1., 0., 0., 0.],
                                                    [0., 0., -1., 0.83333333],
                                                    [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [1., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.16666667],
                                                                                                          [0., 0., 0., 1.]])], 179: [array([[1., 0., 0., 0.],
                                                                                                                                            [0., 1., 0., 0.],
                                                                                                                                            [0., 0., 1., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                       [1., -1., 0., 0.],
                                                                                                                                                                       [0., 0., 1., 0.66666667],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                                                                                  [-1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.33333333],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                             [0., -1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., 1., 0.5],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[0., 1., 0., 0.],
                                                                                                                                            [-1., 1., 0., 0.],
                                                                                                                                            [0., 0., 1., 0.16666667],
                                                                                                                                            [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                       [1., 0., 0., 0.],
                                                                                                                                                                       [0., 0., 1., 0.83333333],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                  [1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 0., -1., 0.66666667],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                                                                             [0., -1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., -1., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[-1., 0., 0., 0.],
                                                                                                                                            [-1., 1., 0., 0.],
                                                                                                                                            [0., 0., -1., 0.33333333],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                       [-1., 0., 0., 0.],
                                                                                                                                                                       [0., 0., -1., 0.16666667],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                                                                                  [0., 1., 0., 0.],
                                                                                                                                                                                                  [0., 0., -1., 0.5],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                                                             [1., -1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., -1.,
                                                                                                                                                                                                                              0.83333333],
                                                                                                                                                                                                                             [0., 0., 0.,
                                                                                                                                                                                                                              1.]])],
            180: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [1., -1., 0., 0.],
                                                    [0., 0., 1., 0.66666667],
                                                    [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.33333333],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                     [-1., 1., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.66666667],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.33333333],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., -1., 0.66666667],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [-1., 1., 0., 0.],
                         [0., 0., -1., 0.33333333],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [-1., 0., 0., 0.],
                                                    [0., 0., -1., 0.66666667],
                                                    [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [1., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.33333333],
                                                                                                          [0., 0., 0., 1.]])], 181: [array([[1., 0., 0., 0.],
                                                                                                                                            [0., 1., 0., 0.],
                                                                                                                                            [0., 0., 1., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                       [1., -1., 0., 0.],
                                                                                                                                                                       [0., 0., 1., 0.33333333],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                                                                                  [-1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.66666667],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                             [0., -1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., 1., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[0., 1., 0., 0.],
                                                                                                                                            [-1., 1., 0., 0.],
                                                                                                                                            [0., 0., 1., 0.33333333],
                                                                                                                                            [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                       [1., 0., 0., 0.],
                                                                                                                                                                       [0., 0., 1., 0.66666667],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                  [1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 0., -1., 0.33333333],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                                                                             [0., -1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., -1., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[-1., 0., 0., 0.],
                                                                                                                                            [-1., 1., 0., 0.],
                                                                                                                                            [0., 0., -1., 0.66666667],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                       [-1., 0., 0., 0.],
                                                                                                                                                                       [0., 0., -1., 0.33333333],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                                                                                  [0., 1., 0., 0.],
                                                                                                                                                                                                  [0., 0., -1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                                                             [1., -1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., -1.,
                                                                                                                                                                                                                              0.66666667],
                                                                                                                                                                                                                             [0., 0., 0.,
                                                                                                                                                                                                                              1.]])],
            182: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [1., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                     [-1., 1., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., -1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [-1., 1., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [-1., 0., 0., 0.],
                                                    [0., 0., -1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [1., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]])], 183: [array([[1., 0., 0., 0.],
                                                                                                                                            [0., 1., 0., 0.],
                                                                                                                                            [0., 0., 1., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                       [1., -1., 0., 0.],
                                                                                                                                                                       [0., 0., 1., 0.],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                                                                                  [-1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                             [0., -1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., 1., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[0., 1., 0., 0.],
                                                                                                                                            [-1., 1., 0., 0.],
                                                                                                                                            [0., 0., 1., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                       [1., 0., 0., 0.],
                                                                                                                                                                       [0., 0., 1., 0.],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                  [-1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                                                                                                             [0., 1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., 1., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[1., 0., 0., 0.],
                                                                                                                                            [1., -1., 0., 0.],
                                                                                                                                            [0., 0., 1., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                       [1., 0., 0., 0.],
                                                                                                                                                                       [0., 0., 1., 0.],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                                                  [0., -1., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                             [-1., 1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., 1., 0.],
                                                                                                                                                                                                                             [0., 0., 0.,
                                                                                                                                                                                                                              1.]])],
            184: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [1., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                     [-1., 1., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                                                                                                      [0., 1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.],
                         [1., -1., 0., 0.],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                    [1., 0., 0., 0.],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                               [0., -1., 0., 0.],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                          [-1., 1., 0., 0.],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., 0., 0., 1.]])], 185: [array([[1., 0., 0., 0.],
                                                                                                                                            [0., 1., 0., 0.],
                                                                                                                                            [0., 0., 1., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                       [1., -1., 0., 0.],
                                                                                                                                                                       [0., 0., 1., 0.],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                                                                                  [-1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                             [0., -1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., 1., 0.5],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[0., 1., 0., 0.],
                                                                                                                                            [-1., 1., 0., 0.],
                                                                                                                                            [0., 0., 1., 0.5],
                                                                                                                                            [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                       [1., 0., 0., 0.],
                                                                                                                                                                       [0., 0., 1., 0.5],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                  [-1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.5],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                                                                                                             [0., 1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., 1., 0.5],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[1., 0., 0., 0.],
                                                                                                                                            [1., -1., 0., 0.],
                                                                                                                                            [0., 0., 1., 0.5],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                       [1., 0., 0., 0.],
                                                                                                                                                                       [0., 0., 1., 0.],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                                                  [0., -1., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                             [-1., 1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., 1., 0.],
                                                                                                                                                                                                                             [0., 0., 0.,
                                                                                                                                                                                                                              1.]])],
            186: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [1., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                     [-1., 1., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                                                                                                      [0., 1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.],
                         [1., -1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                    [1., 0., 0., 0.],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                               [0., -1., 0., 0.],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                          [-1., 1., 0., 0.],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., 0., 0., 1.]])], 187: [array([[1., 0., 0., 0.],
                                                                                                                                            [0., 1., 0., 0.],
                                                                                                                                            [0., 0., 1., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                       [1., -1., 0., 0.],
                                                                                                                                                                       [0., 0., 1., 0.],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                                                                                  [-1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                                                             [0., 1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., -1., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[0., -1., 0., 0.],
                                                                                                                                            [1., -1., 0., 0.],
                                                                                                                                            [0., 0., -1., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                                                       [-1., 0., 0., 0.],
                                                                                                                                                                       [0., 0., -1., 0.],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                  [-1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                                                                                                             [0., 1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., 1., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[1., 0., 0., 0.],
                                                                                                                                            [1., -1., 0., 0.],
                                                                                                                                            [0., 0., 1., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                       [-1., 0., 0., 0.],
                                                                                                                                                                       [0., 0., -1., 0.],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                                                                                  [0., 1., 0., 0.],
                                                                                                                                                                                                  [0., 0., -1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                                                             [1., -1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., -1., 0.],
                                                                                                                                                                                                                             [0., 0., 0.,
                                                                                                                                                                                                                              1.]])],
            188: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [1., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., 1., 0., 0.],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                     [1., -1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                                                                                                      [0., 1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.],
                         [1., -1., 0., 0.],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [-1., 0., 0., 0.],
                                                    [0., 0., -1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [1., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]])], 189: [array([[1., 0., 0., 0.],
                                                                                                                                            [0., 1., 0., 0.],
                                                                                                                                            [0., 0., 1., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                       [1., -1., 0., 0.],
                                                                                                                                                                       [0., 0., 1., 0.],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                                                                                  [-1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                                                             [0., 1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., -1., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[0., -1., 0., 0.],
                                                                                                                                            [1., -1., 0., 0.],
                                                                                                                                            [0., 0., -1., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                                                       [-1., 0., 0., 0.],
                                                                                                                                                                       [0., 0., -1., 0.],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                  [1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 0., -1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                                                                             [0., -1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., -1., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[-1., 0., 0., 0.],
                                                                                                                                            [-1., 1., 0., 0.],
                                                                                                                                            [0., 0., -1., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                       [1., 0., 0., 0.],
                                                                                                                                                                       [0., 0., 1., 0.],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                                                  [0., -1., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                             [-1., 1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., 1., 0.],
                                                                                                                                                                                                                             [0., 0., 0.,
                                                                                                                                                                                                                              1.]])],
            190: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [1., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., 1., 0., 0.],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                     [1., -1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., -1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [-1., 1., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                    [1., 0., 0., 0.],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                               [0., -1., 0., 0.],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                          [-1., 1., 0., 0.],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., 0., 0., 1.]])], 191: [array([[1., 0., 0., 0.],
                                                                                                                                            [0., 1., 0., 0.],
                                                                                                                                            [0., 0., 1., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                       [1., -1., 0., 0.],
                                                                                                                                                                       [0., 0., 1., 0.],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                                                                                  [-1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                             [0., -1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., 1., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[0., 1., 0., 0.],
                                                                                                                                            [-1., 1., 0., 0.],
                                                                                                                                            [0., 0., 1., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                       [1., 0., 0., 0.],
                                                                                                                                                                       [0., 0., 1., 0.],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                  [1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 0., -1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                                                                             [0., -1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., -1., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[-1., 0., 0., 0.],
                                                                                                                                            [-1., 1., 0., 0.],
                                                                                                                                            [0., 0., -1., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                       [-1., 0., 0., 0.],
                                                                                                                                                                       [0., 0., -1., 0.],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                                                                                  [0., 1., 0., 0.],
                                                                                                                                                                                                  [0., 0., -1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                                                             [1., -1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., -1., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[-1., 0., 0., 0.],
                                                                                                                                            [0., -1., 0., 0.],
                                                                                                                                            [0., 0., -1., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                       [-1., 1., 0., 0.],
                                                                                                                                                                       [0., 0., -1., 0.],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                                                  [1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 0., -1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                                                             [0., 1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., -1., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[0., -1., 0., 0.],
                                                                                                                                            [1., -1., 0., 0.],
                                                                                                                                            [0., 0., -1., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                                                       [-1., 0., 0., 0.],
                                                                                                                                                                       [0., 0., -1., 0.],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                  [-1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                                                                                                                                             [0., 1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., 1., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[1., 0., 0., 0.],
                                                                                                                                            [1., -1., 0., 0.],
                                                                                                                                            [0., 0., 1., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                       [1., 0., 0., 0.],
                                                                                                                                                                       [0., 0., 1., 0.],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                                                  [0., -1., 0., 0.],
                                                                                                                                                                                                  [0., 0., 1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                             [-1., 1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., 1., 0.],
                                                                                                                                                                                                                             [0., 0., 0.,
                                                                                                                                                                                                                              1.]])],
            192: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [1., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                     [-1., 1., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [-1., 1., 0., 0.],
                         [0., 0., -1., 0.5],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [-1., 0., 0., 0.],
                                                    [0., 0., -1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [1., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                [-1., 1., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., -1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., -1., 0., 0.],
                         [1., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                    [-1., 0., 0., 0.],
                                                    [0., 0., -1., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                          [0., 1., 0., 0.],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                     [1., -1., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                                           [0., -1., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                      [-1., 1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            193: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [1., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                     [-1., 1., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [-1., 1., 0., 0.],
                         [0., 0., -1., 0.5],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [-1., 0., 0., 0.],
                                                    [0., 0., -1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [1., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                [-1., 1., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., -1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., -1., 0., 0.],
                         [1., -1., 0., 0.],
                         [0., 0., -1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                    [-1., 0., 0., 0.],
                                                    [0., 0., -1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                          [0., 1., 0., 0.],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                     [1., -1., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                                           [0., -1., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                      [-1., 1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            194: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [1., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                     [-1., 1., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., -1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [-1., 1., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [-1., 0., 0., 0.],
                                                    [0., 0., -1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [1., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                [-1., 1., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., -1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., -1., 0., 0.],
                         [1., -1., 0., 0.],
                         [0., 0., -1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                    [-1., 0., 0., 0.],
                                                    [0., 0., -1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[-1., 1., 0., 0.],
                                                                                                          [0., 1., 0., 0.],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                     [1., -1., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[1., -1., 0., 0.],
                                                                                                                                                                                           [0., -1., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                      [-1., 1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            195: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [-1., 0., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., 0., 1.]])], 196: [array([[1., 0., 0., 0.],
                                                                                                                                            [0., 1., 0., 0.],
                                                                                                                                            [0., 0., 1., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                       [0., -1., 0., 0.],
                                                                                                                                                                       [0., 0., 1., 0.],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 1., 0., 0.],
                                                                                                                                                                                                  [0., 0., -1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                                                             [0., -1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., -1., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[0., 0., 1., 0.],
                                                                                                                                            [1., 0., 0., 0.],
                                                                                                                                            [0., 1., 0., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                       [-1., 0., 0., 0.],
                                                                                                                                                                       [0., -1., 0., 0.],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                  [-1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 1., 0., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                             [1., 0., 0., 0.],
                                                                                                                                                                                                                             [0., -1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[0., 1., 0., 0.],
                                                                                                                                            [0., 0., 1., 0.],
                                                                                                                                            [1., 0., 0., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                       [0., 0., 1., 0.],
                                                                                                                                                                       [-1., 0., 0., 0.],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                  [0., 0., -1., 0.],
                                                                                                                                                                                                  [-1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., -1., 0.],
                                                                                                                                                                                                                             [1., 0., 0., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[1., 0., 0., 0.],
                                                                                                                                            [0., 1., 0., 0.5],
                                                                                                                                            [0., 0., 1., 0.5],
                                                                                                                                            [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                       [0., -1., 0., 0.5],
                                                                                                                                                                       [0., 0., 1., 0.5],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 1., 0., 0.5],
                                                                                                                                                                                                  [0., 0., -1., 0.5],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                                                             [0., -1., 0., 0.5],
                                                                                                                                                                                                                             [0., 0., -1., 0.5],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[0., 0., 1., 0.],
                                                                                                                                            [1., 0., 0., 0.5],
                                                                                                                                            [0., 1., 0., 0.5],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                       [-1., 0., 0., 0.5],
                                                                                                                                                                       [0., -1., 0., 0.5],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                  [-1., 0., 0., 0.5],
                                                                                                                                                                                                  [0., 1., 0., 0.5],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                             [1., 0., 0., 0.5],
                                                                                                                                                                                                                             [0., -1., 0., 0.5],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[0., 1., 0., 0.],
                                                                                                                                            [0., 0., 1., 0.5],
                                                                                                                                            [1., 0., 0., 0.5],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                       [0., 0., 1., 0.5],
                                                                                                                                                                       [-1., 0., 0., 0.5],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                  [0., 0., -1., 0.5],
                                                                                                                                                                                                  [-1., 0., 0., 0.5],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., -1., 0.5],
                                                                                                                                                                                                                             [1., 0., 0., 0.5],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[1., 0., 0., 0.5],
                                                                                                                                            [0., 1., 0., 0.],
                                                                                                                                            [0., 0., 1., 0.5],
                                                                                                                                            [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                       [0., -1., 0., 0.],
                                                                                                                                                                       [0., 0., 1., 0.5],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                  [0., 1., 0., 0.],
                                                                                                                                                                                                  [0., 0., -1., 0.5],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                                                             [0., -1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., -1., 0.5],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[0., 0., 1., 0.5],
                                                                                                                                            [1., 0., 0., 0.],
                                                                                                                                            [0., 1., 0., 0.5],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                       [-1., 0., 0., 0.],
                                                                                                                                                                       [0., -1., 0., 0.5],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                  [-1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 1., 0., 0.5],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                             [1., 0., 0., 0.],
                                                                                                                                                                                                                             [0., -1., 0., 0.5],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[0., 1., 0., 0.5],
                                                                                                                                            [0., 0., 1., 0.],
                                                                                                                                            [1., 0., 0., 0.5],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                       [0., 0., 1., 0.],
                                                                                                                                                                       [-1., 0., 0., 0.5],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                  [0., 0., -1., 0.],
                                                                                                                                                                                                  [-1., 0., 0., 0.5],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                             [0., 0., -1., 0.],
                                                                                                                                                                                                                             [1., 0., 0., 0.5],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[1., 0., 0., 0.5],
                                                                                                                                            [0., 1., 0., 0.5],
                                                                                                                                            [0., 0., 1., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                       [0., -1., 0., 0.5],
                                                                                                                                                                       [0., 0., 1., 0.],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                  [0., 1., 0., 0.5],
                                                                                                                                                                                                  [0., 0., -1., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                                                             [0., -1., 0., 0.5],
                                                                                                                                                                                                                             [0., 0., -1., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[0., 0., 1., 0.5],
                                                                                                                                            [1., 0., 0., 0.5],
                                                                                                                                            [0., 1., 0., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                       [-1., 0., 0., 0.5],
                                                                                                                                                                       [0., -1., 0., 0.],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                  [-1., 0., 0., 0.5],
                                                                                                                                                                                                  [0., 1., 0., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                             [1., 0., 0., 0.5],
                                                                                                                                                                                                                             [0., -1., 0., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[0., 1., 0., 0.5],
                                                                                                                                            [0., 0., 1., 0.5],
                                                                                                                                            [1., 0., 0., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                       [0., 0., 1., 0.5],
                                                                                                                                                                       [-1., 0., 0., 0.],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                  [0., 0., -1., 0.5],
                                                                                                                                                                                                  [-1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                             [0., 0., -1., 0.5],
                                                                                                                                                                                                                             [1., 0., 0., 0.],
                                                                                                                                                                                                                             [0., 0., 0.,
                                                                                                                                                                                                                              1.]])],
            197: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [-1., 0., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 0., 1., 0.5],
                         [1., 0., 0., 0.5],
                         [0., 1., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                    [-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                               [-1., 0., 0., 0.5],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                           [0., 0., -1., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., -1., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            198: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [0., 0., 1., 0.5],
                                                    [-1., 0., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]])], 199: [array([[1., 0., 0., 0.],
                                                                                                                                            [0., 1., 0., 0.],
                                                                                                                                            [0., 0., 1., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                       [0., -1., 0., 0.],
                                                                                                                                                                       [0., 0., 1., 0.5],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 1., 0., 0.5],
                                                                                                                                                                                                  [0., 0., -1., 0.5],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                                                             [0., -1., 0., 0.5],
                                                                                                                                                                                                                             [0., 0., -1., 0.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[0., 0., 1., 0.],
                                                                                                                                            [1., 0., 0., 0.],
                                                                                                                                            [0., 1., 0., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                       [-1., 0., 0., 0.5],
                                                                                                                                                                       [0., -1., 0., 0.],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                  [-1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 1., 0., 0.5],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                             [1., 0., 0., 0.5],
                                                                                                                                                                                                                             [0., -1., 0., 0.5],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[0., 1., 0., 0.],
                                                                                                                                            [0., 0., 1., 0.],
                                                                                                                                            [1., 0., 0., 0.],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                       [0., 0., 1., 0.5],
                                                                                                                                                                       [-1., 0., 0., 0.5],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                  [0., 0., -1., 0.5],
                                                                                                                                                                                                  [-1., 0., 0., 0.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                             [0., 0., -1., 0.],
                                                                                                                                                                                                                             [1., 0., 0., 0.5],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[1., 0., 0., 0.5],
                                                                                                                                            [0., 1., 0., 0.5],
                                                                                                                                            [0., 0., 1., 0.5],
                                                                                                                                            [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                                                                                                                                       [0., -1., 0., 0.5],
                                                                                                                                                                       [0., 0., 1., 1.],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                  [0., 1., 0., 1.],
                                                                                                                                                                                                  [0., 0., -1., 1.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[1., 0., 0., 1.],
                                                                                                                                                                                                                             [0., -1., 0., 1.],
                                                                                                                                                                                                                             [0., 0., -1., 0.5],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[0., 0., 1., 0.5],
                                                                                                                                            [1., 0., 0., 0.5],
                                                                                                                                            [0., 1., 0., 0.5],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., 0., 1., 1.],
                                                                                                                                                                       [-1., 0., 0., 1.],
                                                                                                                                                                       [0., -1., 0., 0.5],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[0., 0., -1., 1.],
                                                                                                                                                                                                  [-1., 0., 0., 0.5],
                                                                                                                                                                                                  [0., 1., 0., 1.],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                             [1., 0., 0., 1.],
                                                                                                                                                                                                                             [0., -1., 0., 1.],
                                                                                                                                                                                                                             [0., 0., 0., 1.]]),
                                                                                                                                     array([[0., 1., 0., 0.5],
                                                                                                                                            [0., 0., 1., 0.5],
                                                                                                                                            [1., 0., 0., 0.5],
                                                                                                                                            [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                       [0., 0., 1., 1.],
                                                                                                                                                                       [-1., 0., 0., 1.],
                                                                                                                                                                       [0., 0., 0., 1.]]), array([[0., 1., 0., 1.],
                                                                                                                                                                                                  [0., 0., -1., 1.],
                                                                                                                                                                                                  [-1., 0., 0., 0.5],
                                                                                                                                                                                                  [0., 0., 0., 1.]]), array([[0., -1., 0., 1.],
                                                                                                                                                                                                                             [0., 0., -1., 0.5],
                                                                                                                                                                                                                             [1., 0., 0., 1.],
                                                                                                                                                                                                                             [0., 0., 0.,
                                                                                                                                                                                                                              1.]])],
            200: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [-1., 0., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                           [0., -1., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 0., -1., 0.],
                         [-1., 0., 0., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                    [1., 0., 0., 0.],
                                                    [0., 1., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                               [1., 0., 0., 0.],
                                                                               [0., -1., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                          [-1., 0., 0., 0.],
                                                                                                          [0., 1., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            201: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.],
                                                    [-1., 0., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.5],
                                                                               [-1., 0., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                           [0., -1., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 0., -1., 0.],
                         [-1., 0., 0., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                    [1., 0., 0., 0.5],
                                                    [0., 1., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                               [1., 0., 0., 0.5],
                                                                               [0., -1., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                          [-1., 0., 0., 0.],
                                                                                                          [0., 1., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            202: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [-1., 0., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                           [0., -1., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 0., -1., 0.],
                         [-1., 0., 0., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                    [1., 0., 0., 0.],
                                                    [0., 1., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                               [1., 0., 0., 0.],
                                                                               [0., -1., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                          [-1., 0., 0., 0.],
                                                                                                          [0., 1., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.5],
                         [1., 0., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [0., 0., 1., 0.5],
                                                    [-1., 0., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.5],
                                                                               [-1., 0., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                           [0., -1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 0., -1., 0.],
                         [-1., 0., 0., 0.5],
                         [0., -1., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                    [1., 0., 0., 0.5],
                                                    [0., 1., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                               [1., 0., 0., 0.5],
                                                                               [0., -1., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                          [-1., 0., 0., 0.5],
                                                                                                          [0., 1., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.5],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.],
                                                    [-1., 0., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.],
                                                                               [-1., 0., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                           [0., -1., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 0., -1., 0.5],
                         [-1., 0., 0., 0.],
                         [0., -1., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                    [1., 0., 0., 0.],
                                                    [0., 1., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                               [1., 0., 0., 0.],
                                                                               [0., -1., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                          [-1., 0., 0., 0.],
                                                                                                          [0., 1., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 1., 0., 0.5],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [-1., 0., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                           [0., -1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 0., -1., 0.5],
                         [-1., 0., 0., 0.5],
                         [0., -1., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                    [1., 0., 0., 0.5],
                                                    [0., 1., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                               [1., 0., 0., 0.5],
                                                                               [0., -1., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                          [-1., 0., 0., 0.5],
                                                                                                          [0., 1., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            203: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.25],
                                                    [0., -1., 0., 0.25],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.25],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.25],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.25],
                                                                                                          [0., 0., -1., 0.25],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [-1., 0., 0., 0.25],
                                                                                                                                                                [0., -1., 0., 0.25],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.25],
                                                                                                                                                                                           [-1., 0., 0., 0.25],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.25],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.25],
                                                    [0., 0., 1., 0.],
                                                    [-1., 0., 0., 0.25],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.25],
                                                                               [-1., 0., 0., 0.25],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.25],
                                                                                                          [0., 0., -1., 0.25],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.75],
                                                                                                                                                                [0., 1., 0., 0.75],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[1., 0., 0., 0.75],
                                                                                                                                                                                           [0., -1., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 1., 0., 0.75],
                                                                                                                                                                                                                      [0., 0., 1., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 0., -1., 0.],
                         [-1., 0., 0., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                    [1., 0., 0., 0.75],
                                                    [0., 1., 0., 0.75],
                                                    [0., 0., 0., 1.]]), array([[0., 0., 1., 0.75],
                                                                               [1., 0., 0., 0.75],
                                                                               [0., -1., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., 0., 1., 0.75],
                                                                                                          [-1., 0., 0., 0.],
                                                                                                          [0., 1., 0., 0.75],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [1., 0., 0., 0.75],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.75],
                                                                                                                                                                                           [1., 0., 0., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                                                                                                                                                                                      [0., 0., 1., 0.75],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.25],
                                                    [0., -1., 0., 0.75],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.25],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.75],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.75],
                                                                                                          [0., 0., -1., 0.75],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [-1., 0., 0., 0.75],
                                                                                                                                                                [0., -1., 0., 0.75],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.25],
                                                                                                                                                                                           [-1., 0., 0., 0.75],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.25],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.5],
                         [1., 0., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.25],
                                                    [0., 0., 1., 0.5],
                                                    [-1., 0., 0., 0.75],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.75],
                                                                               [-1., 0., 0., 0.75],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.25],
                                                                                                          [0., 0., -1., 0.75],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.75],
                                                                                                                                                                [0., 1., 0., 1.25],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[1., 0., 0., 0.75],
                                                                                                                                                                                           [0., -1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 1.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 1., 0., 1.25],
                                                                                                                                                                                                                      [0., 0., 1., 1.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 0., -1., 0.],
                         [-1., 0., 0., 0.5],
                         [0., -1., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                    [1., 0., 0., 1.25],
                                                    [0., 1., 0., 1.25],
                                                    [0., 0., 0., 1.]]), array([[0., 0., 1., 0.75],
                                                                               [1., 0., 0., 1.25],
                                                                               [0., -1., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., 0., 1., 0.75],
                                                                                                          [-1., 0., 0., 0.5],
                                                                                                          [0., 1., 0., 1.25],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [1., 0., 0., 1.25],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 1.25],
                                                                                                                                                                                           [1., 0., 0., 1.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                                                                                                                                                                                      [0., 0., 1., 1.25],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.75],
                                                    [0., -1., 0., 0.25],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.75],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.75],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., -1., 0., 0.25],
                                                                                                          [0., 0., -1., 0.75],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.25],
                                                                                                                                                                [0., -1., 0., 0.75],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.75],
                                                                                                                                                                                           [-1., 0., 0., 0.25],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.75],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.5],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                    [0., 0., 1., 0.],
                                                    [-1., 0., 0., 0.75],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.25],
                                                                               [-1., 0., 0., 0.75],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                                                                          [0., 0., -1., 0.25],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 1.25],
                                                                                                                                                                [0., 1., 0., 0.75],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[1., 0., 0., 1.25],
                                                                                                                                                                                           [0., -1., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 1.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 1., 0., 0.75],
                                                                                                                                                                                                                      [0., 0., 1., 1.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 0., -1., 0.5],
                         [-1., 0., 0., 0.],
                         [0., -1., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                    [1., 0., 0., 0.75],
                                                    [0., 1., 0., 1.25],
                                                    [0., 0., 0., 1.]]), array([[0., 0., 1., 1.25],
                                                                               [1., 0., 0., 0.75],
                                                                               [0., -1., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., 0., 1., 1.25],
                                                                                                          [-1., 0., 0., 0.],
                                                                                                          [0., 1., 0., 1.25],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 1.25],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [1., 0., 0., 1.25],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.75],
                                                                                                                                                                                           [1., 0., 0., 1.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 1.25],
                                                                                                                                                                                                                      [0., 0., 1., 0.75],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 1., 0., 0.5],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.75],
                                                    [0., -1., 0., 0.75],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.75],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.25],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., -1., 0., 0.75],
                                                                                                          [0., 0., -1., 0.25],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.75],
                                                                                                                                                                [0., -1., 0., 0.25],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.75],
                                                                                                                                                                                           [-1., 0., 0., 0.75],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.75],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                    [0., 0., 1., 0.5],
                                                    [-1., 0., 0., 0.25],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.75],
                                                                               [-1., 0., 0., 0.25],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                                                                          [0., 0., -1., 0.75],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 1.25],
                                                                                                                                                                [0., 1., 0., 1.25],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[1., 0., 0., 1.25],
                                                                                                                                                                                           [0., -1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 1., 0., 1.25],
                                                                                                                                                                                                                      [0., 0., 1., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 0., -1., 0.5],
                         [-1., 0., 0., 0.5],
                         [0., -1., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                    [1., 0., 0., 1.25],
                                                    [0., 1., 0., 0.75],
                                                    [0., 0., 0., 1.]]), array([[0., 0., 1., 1.25],
                                                                               [1., 0., 0., 1.25],
                                                                               [0., -1., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., 0., 1., 1.25],
                                                                                                          [-1., 0., 0., 0.5],
                                                                                                          [0., 1., 0., 0.75],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 1.25],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [1., 0., 0., 0.75],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 1.25],
                                                                                                                                                                                           [1., 0., 0., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 1.25],
                                                                                                                                                                                                                      [0., 0., 1., 1.25],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            204: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [-1., 0., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                           [0., -1., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 0., -1., 0.],
                         [-1., 0., 0., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                    [1., 0., 0., 0.],
                                                    [0., 1., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                               [1., 0., 0., 0.],
                                                                               [0., -1., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                          [-1., 0., 0., 0.],
                                                                                                          [0., 1., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [1., 0., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [-1., 0., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [-1., 0., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                           [0., -1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 0., -1., 0.5],
                         [-1., 0., 0., 0.5],
                         [0., -1., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                    [1., 0., 0., 0.5],
                                                    [0., 1., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                               [1., 0., 0., 0.5],
                                                                               [0., -1., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                          [-1., 0., 0., 0.5],
                                                                                                          [0., 1., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            205: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [0., 0., 1., 0.5],
                                                    [-1., 0., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                           [0., -1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 0., -1., 0.],
                         [-1., 0., 0., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                    [1., 0., 0., 0.5],
                                                    [0., 1., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                               [1., 0., 0., 0.],
                                                                               [0., -1., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                          [-1., 0., 0., 0.5],
                                                                                                          [0., 1., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            206: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [0., 0., 1., 0.5],
                                                    [-1., 0., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                                                                                                           [0., -1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 0., -1., 0.],
                         [-1., 0., 0., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                    [1., 0., 0., 0.5],
                                                    [0., 1., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                               [1., 0., 0., 0.],
                                                                               [0., -1., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                          [-1., 0., 0., 0.5],
                                                                                                          [0., 1., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 1.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 1., 0., 1.],
                                                                               [0., 0., -1., 1.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 1.],
                                                                                                          [0., -1., 0., 1.],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 1.],
                                                                                                                                                                [-1., 0., 0., 1.],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 1.],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 1., 0., 1.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 1.],
                                                                                                                                                                                                                      [0., -1., 0., 1.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [1., 0., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                    [0., 0., 1., 1.],
                                                    [-1., 0., 0., 1.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 1.],
                                                                               [0., 0., -1., 1.],
                                                                               [-1., 0., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 1.],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [1., 0., 0., 1.],
                                                                                                          [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[1., 0., 0., 1.],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 1.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                                                                                                           [0., -1., 0., 1.],
                                                                                                                                                                                           [0., 0., 1., 1.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                                                                                                                                                                                      [0., 1., 0., 1.],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 0., -1., 0.5],
                         [-1., 0., 0., 0.5],
                         [0., -1., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., 0., -1., 1.],
                                                    [1., 0., 0., 1.],
                                                    [0., 1., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 0., 1., 1.],
                                                                               [1., 0., 0., 0.5],
                                                                               [0., -1., 0., 1.],
                                                                               [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                          [-1., 0., 0., 1.],
                                                                                                          [0., 1., 0., 1.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 1.],
                                                                                                                                                                [1., 0., 0., 1.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 1.],
                                                                                                                                                                                           [0., 0., 1., 1.],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 1.],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 1.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            207: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [-1., 0., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 1., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., -1., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 1., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            208: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [-1., 0., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., -1., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [0., 1., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., -1., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 1., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            209: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [-1., 0., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 1., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., -1., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 1., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.5],
                         [1., 0., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [0., 0., 1., 0.5],
                                                    [-1., 0., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.5],
                                                                               [-1., 0., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.],
                         [0., 0., 1., 0.5],
                         [0., -1., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., 0., 1., 0.5],
                                                    [0., 1., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., -1., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 1., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.5],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.],
                                                    [-1., 0., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.],
                                                                               [-1., 0., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 0., 1., 0.],
                         [0., -1., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., 0., 1., 0.],
                                                    [0., 1., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 0., -1., 0.],
                                                                               [0., -1., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 1., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 1., 0., 0.5],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [-1., 0., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., -1., 0., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [0., 1., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., -1., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 1., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            210: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [-1., 0., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.],
                                                                               [-1., 0., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                                                                                                     [1., 0., 0., 0.25],
                                                                                                                                     [0., 0., -1., 0.75],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.25],
                                                                                                                                                                [-1., 0., 0., 0.25],
                                                                                                                                                                [0., 0., -1., 0.25],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.25],
                                                                                                                                                                                           [-1., 0., 0., 0.75],
                                                                                                                                                                                           [0., 0., 1., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                                                                                                                                                                                      [1., 0., 0., 0.75],
                                                                                                                                                                                                                      [0., 0., 1., 0.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.75],
                         [0., 0., 1., 0.25],
                         [0., -1., 0., 0.75],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.75],
                                                    [0., 0., 1., 0.75],
                                                    [0., 1., 0., 0.25],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.25],
                                                                               [0., 0., -1., 0.25],
                                                                               [0., -1., 0., 0.25],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.25],
                                                                                                          [0., 0., -1., 0.75],
                                                                                                          [0., 1., 0., 0.75],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.75],
                                                                                                                                     [0., 1., 0., 0.25],
                                                                                                                                     [-1., 0., 0., 0.75],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.25],
                                                                                                                                                                [0., -1., 0., 0.75],
                                                                                                                                                                [1., 0., 0., 0.75],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.75],
                                                                                                                                                                                           [0., 1., 0., 0.75],
                                                                                                                                                                                           [1., 0., 0., 0.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.25],
                                                                                                                                                                                                                      [0., -1., 0., 0.25],
                                                                                                                                                                                                                      [-1., 0., 0., 0.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 1.],
                                                    [0., 0., 1., 1.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 1., 0., 1.],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 1.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 1.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [-1., 0., 0., 1.],
                                                                                                                                                                                           [0., 1., 0., 1.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 1.],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.5],
                         [1., 0., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                    [0., 0., 1., 1.],
                                                    [-1., 0., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [-1., 0., 0., 1.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 1.],
                                                                                                          [1., 0., 0., 1.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                                                                                                     [1., 0., 0., 0.75],
                                                                                                                                     [0., 0., -1., 1.25],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.25],
                                                                                                                                                                [-1., 0., 0., 0.75],
                                                                                                                                                                [0., 0., -1., 0.75],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.25],
                                                                                                                                                                                           [-1., 0., 0., 1.25],
                                                                                                                                                                                           [0., 0., 1., 1.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                                                                                                                                                                                      [1., 0., 0., 1.25],
                                                                                                                                                                                                                      [0., 0., 1., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.75],
                         [0., 0., 1., 0.75],
                         [0., -1., 0., 1.25],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.75],
                                                    [0., 0., 1., 1.25],
                                                    [0., 1., 0., 0.75],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.25],
                                                                               [0., 0., -1., 0.75],
                                                                               [0., -1., 0., 0.75],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.25],
                                                                                                          [0., 0., -1., 1.25],
                                                                                                          [0., 1., 0., 1.25],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.75],
                                                                                                                                     [0., 1., 0., 0.75],
                                                                                                                                     [-1., 0., 0., 1.25],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.25],
                                                                                                                                                                [0., -1., 0., 1.25],
                                                                                                                                                                [1., 0., 0., 1.25],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.75],
                                                                                                                                                                                           [0., 1., 0., 1.25],
                                                                                                                                                                                           [1., 0., 0., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.25],
                                                                                                                                                                                                                      [0., -1., 0., 0.75],
                                                                                                                                                                                                                      [-1., 0., 0., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 1.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 1.],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 1.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 1.],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 1.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 1., 0., 1.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 1.],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.5],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 1.],
                                                    [0., 0., 1., 0.5],
                                                    [-1., 0., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 1.],
                                                                               [0., 0., -1., 0.],
                                                                               [-1., 0., 0., 1.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [1., 0., 0., 1.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 1.25],
                                                                                                                                     [1., 0., 0., 0.25],
                                                                                                                                     [0., 0., -1., 1.25],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                                                                                                                                [-1., 0., 0., 0.25],
                                                                                                                                                                [0., 0., -1., 0.75],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                                                                                                                                                           [-1., 0., 0., 0.75],
                                                                                                                                                                                           [0., 0., 1., 1.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 1.25],
                                                                                                                                                                                                                      [1., 0., 0., 0.75],
                                                                                                                                                                                                                      [0., 0., 1., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 1.25],
                         [0., 0., 1., 0.25],
                         [0., -1., 0., 1.25],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.25],
                                                    [0., 0., 1., 0.75],
                                                    [0., 1., 0., 0.75],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.75],
                                                                               [0., 0., -1., 0.25],
                                                                               [0., -1., 0., 0.75],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.75],
                                                                                                          [0., 0., -1., 0.75],
                                                                                                          [0., 1., 0., 1.25],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 1.25],
                                                                                                                                     [0., 1., 0., 0.25],
                                                                                                                                     [-1., 0., 0., 1.25],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.75],
                                                                                                                                                                [0., -1., 0., 0.75],
                                                                                                                                                                [1., 0., 0., 1.25],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 1.25],
                                                                                                                                                                                           [0., 1., 0., 0.75],
                                                                                                                                                                                           [1., 0., 0., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.75],
                                                                                                                                                                                                                      [0., -1., 0., 0.25],
                                                                                                                                                                                                                      [-1., 0., 0., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 1., 0., 0.5],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 1.],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                                               [0., 1., 0., 1.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 1.],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 1.],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 1.],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 1.],
                                                                                                                                                                                                                      [1., 0., 0., 1.],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 1.],
                                                    [0., 0., 1., 1.],
                                                    [-1., 0., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 1.],
                                                                               [0., 0., -1., 0.5],
                                                                               [-1., 0., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 1.],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 1.25],
                                                                                                                                     [1., 0., 0., 0.75],
                                                                                                                                     [0., 0., -1., 0.75],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                                                                                                                                [-1., 0., 0., 0.75],
                                                                                                                                                                [0., 0., -1., 0.25],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                                                                                                                                                           [-1., 0., 0., 1.25],
                                                                                                                                                                                           [0., 0., 1., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 1.25],
                                                                                                                                                                                                                      [1., 0., 0., 1.25],
                                                                                                                                                                                                                      [0., 0., 1., 0.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 1.25],
                         [0., 0., 1., 0.75],
                         [0., -1., 0., 0.75],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.25],
                                                    [0., 0., 1., 1.25],
                                                    [0., 1., 0., 0.25],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.75],
                                                                               [0., 0., -1., 0.75],
                                                                               [0., -1., 0., 0.25],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.75],
                                                                                                          [0., 0., -1., 1.25],
                                                                                                          [0., 1., 0., 0.75],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 1.25],
                                                                                                                                     [0., 1., 0., 0.75],
                                                                                                                                     [-1., 0., 0., 0.75],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.75],
                                                                                                                                                                [0., -1., 0., 1.25],
                                                                                                                                                                [1., 0., 0., 0.75],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 1.25],
                                                                                                                                                                                           [0., 1., 0., 1.25],
                                                                                                                                                                                           [1., 0., 0., 0.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.75],
                                                                                                                                                                                                                      [0., -1., 0., 0.75],
                                                                                                                                                                                                                      [-1., 0., 0., 0.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            211: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [-1., 0., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 1., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., -1., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 1., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [1., 0., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [-1., 0., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [-1., 0., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., -1., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [0., 1., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., -1., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 1., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            212: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [0., 0., 1., 0.5],
                                                    [-1., 0., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.25],
                                                                                                                                     [1., 0., 0., 0.75],
                                                                                                                                     [0., 0., -1., 0.75],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.25],
                                                                                                                                                                [-1., 0., 0., 0.25],
                                                                                                                                                                [0., 0., -1., 0.25],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                                                                                                                                                           [-1., 0., 0., 0.75],
                                                                                                                                                                                           [0., 0., 1., 0.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                                                                                                                                                                                      [1., 0., 0., 0.25],
                                                                                                                                                                                                                      [0., 0., 1., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.25],
                         [0., 0., 1., 0.75],
                         [0., -1., 0., 0.75],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.75],
                                                    [0., 0., 1., 0.25],
                                                    [0., 1., 0., 0.75],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.25],
                                                                               [0., 0., -1., 0.25],
                                                                               [0., -1., 0., 0.25],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.75],
                                                                                                          [0., 0., -1., 0.75],
                                                                                                          [0., 1., 0., 0.25],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.25],
                                                                                                                                     [0., 1., 0., 0.75],
                                                                                                                                     [-1., 0., 0., 0.75],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.75],
                                                                                                                                                                [0., -1., 0., 0.75],
                                                                                                                                                                [1., 0., 0., 0.25],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.75],
                                                                                                                                                                                           [0., 1., 0., 0.25],
                                                                                                                                                                                           [1., 0., 0., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.25],
                                                                                                                                                                                                                      [0., -1., 0., 0.25],
                                                                                                                                                                                                                      [-1., 0., 0., 0.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            213: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [0., 0., 1., 0.5],
                                                    [-1., 0., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                                                                                                     [1., 0., 0., 0.25],
                                                                                                                                     [0., 0., -1., 0.25],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                                                                                                                                [-1., 0., 0., 0.75],
                                                                                                                                                                [0., 0., -1., 0.75],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.25],
                                                                                                                                                                                           [-1., 0., 0., 0.25],
                                                                                                                                                                                           [0., 0., 1., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.25],
                                                                                                                                                                                                                      [1., 0., 0., 0.75],
                                                                                                                                                                                                                      [0., 0., 1., 0.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.75],
                         [0., 0., 1., 0.25],
                         [0., -1., 0., 0.25],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.25],
                                                    [0., 0., 1., 0.75],
                                                    [0., 1., 0., 0.25],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.75],
                                                                               [0., 0., -1., 0.75],
                                                                               [0., -1., 0., 0.75],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.25],
                                                                                                          [0., 0., -1., 0.25],
                                                                                                          [0., 1., 0., 0.75],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.75],
                                                                                                                                     [0., 1., 0., 0.25],
                                                                                                                                     [-1., 0., 0., 0.25],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.25],
                                                                                                                                                                [0., -1., 0., 0.25],
                                                                                                                                                                [1., 0., 0., 0.75],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.25],
                                                                                                                                                                                           [0., 1., 0., 0.75],
                                                                                                                                                                                           [1., 0., 0., 0.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.75],
                                                                                                                                                                                                                      [0., -1., 0., 0.75],
                                                                                                                                                                                                                      [-1., 0., 0., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            214: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [0., 0., 1., 0.5],
                                                    [-1., 0., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                                                                                                     [1., 0., 0., 0.25],
                                                                                                                                     [0., 0., -1., 0.25],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                                                                                                                                [-1., 0., 0., 0.75],
                                                                                                                                                                [0., 0., -1., 0.75],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.25],
                                                                                                                                                                                           [-1., 0., 0., 0.25],
                                                                                                                                                                                           [0., 0., 1., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.25],
                                                                                                                                                                                                                      [1., 0., 0., 0.75],
                                                                                                                                                                                                                      [0., 0., 1., 0.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.75],
                         [0., 0., 1., 0.25],
                         [0., -1., 0., 0.25],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.25],
                                                    [0., 0., 1., 0.75],
                                                    [0., 1., 0., 0.25],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.75],
                                                                               [0., 0., -1., 0.75],
                                                                               [0., -1., 0., 0.75],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.25],
                                                                                                          [0., 0., -1., 0.25],
                                                                                                          [0., 1., 0., 0.75],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.75],
                                                                                                                                     [0., 1., 0., 0.25],
                                                                                                                                     [-1., 0., 0., 0.25],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.25],
                                                                                                                                                                [0., -1., 0., 0.25],
                                                                                                                                                                [1., 0., 0., 0.75],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.25],
                                                                                                                                                                                           [0., 1., 0., 0.75],
                                                                                                                                                                                           [1., 0., 0., 0.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.75],
                                                                                                                                                                                                                      [0., -1., 0., 0.75],
                                                                                                                                                                                                                      [-1., 0., 0., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 1.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 1., 0., 1.],
                                                                               [0., 0., -1., 1.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 1.],
                                                                                                          [0., -1., 0., 1.],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 1.],
                                                                                                                                                                [-1., 0., 0., 1.],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 1.],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 1., 0., 1.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 1.],
                                                                                                                                                                                                                      [0., -1., 0., 1.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [1., 0., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                    [0., 0., 1., 1.],
                                                    [-1., 0., 0., 1.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 1.],
                                                                               [0., 0., -1., 1.],
                                                                               [-1., 0., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 1.],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [1., 0., 0., 1.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 1.25],
                                                                                                                                     [1., 0., 0., 0.75],
                                                                                                                                     [0., 0., -1., 0.75],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 1.25],
                                                                                                                                                                [-1., 0., 0., 1.25],
                                                                                                                                                                [0., 0., -1., 1.25],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                                                                                                                                                           [-1., 0., 0., 0.75],
                                                                                                                                                                                           [0., 0., 1., 1.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                                                                                                                                                                                      [1., 0., 0., 1.25],
                                                                                                                                                                                                                      [0., 0., 1., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 1.25],
                         [0., 0., 1., 0.75],
                         [0., -1., 0., 0.75],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.75],
                                                    [0., 0., 1., 1.25],
                                                    [0., 1., 0., 0.75],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.25],
                                                                               [0., 0., -1., 1.25],
                                                                               [0., -1., 0., 1.25],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.75],
                                                                                                          [0., 0., -1., 0.75],
                                                                                                          [0., 1., 0., 1.25],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 1.25],
                                                                                                                                     [0., 1., 0., 0.75],
                                                                                                                                     [-1., 0., 0., 0.75],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.75],
                                                                                                                                                                [0., -1., 0., 0.75],
                                                                                                                                                                [1., 0., 0., 1.25],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.75],
                                                                                                                                                                                           [0., 1., 0., 1.25],
                                                                                                                                                                                           [1., 0., 0., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 1.25],
                                                                                                                                                                                                                      [0., -1., 0., 1.25],
                                                                                                                                                                                                                      [-1., 0., 0., 1.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            215: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [-1., 0., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., -1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            216: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [-1., 0., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., -1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.5],
                         [1., 0., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [0., 0., 1., 0.5],
                                                    [-1., 0., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.5],
                                                                               [-1., 0., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.],
                         [0., 0., 1., 0.5],
                         [0., 1., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., 0., 1., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.5],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.],
                                                    [-1., 0., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.],
                                                                               [-1., 0., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 0., 1., 0.],
                         [0., 1., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., 0., 1., 0.],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 1., 0., 0.5],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [-1., 0., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., -1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., 1., 0., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            217: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [-1., 0., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., -1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [1., 0., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [-1., 0., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [-1., 0., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., 1., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            218: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [-1., 0., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., 1., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            219: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [-1., 0., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., 1., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.5],
                         [1., 0., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [0., 0., 1., 0.5],
                                                    [-1., 0., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.5],
                                                                               [-1., 0., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                     [1., 0., 0., 1.],
                                                                                                                                     [0., 0., 1., 1.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                [-1., 0., 0., 1.],
                                                                                                                                                                [0., 0., 1., 1.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 1.],
                                                                                                                                                                                           [0., 0., -1., 1.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 1.],
                                                                                                                                                                                                                      [0., 0., -1., 1.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 0., 1., 1.],
                         [0., 1., 0., 1.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., 0., 1., 1.],
                                                    [0., -1., 0., 1.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 0., -1., 1.],
                                                                               [0., 1., 0., 1.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., 0., -1., 1.],
                                                                                                          [0., -1., 0., 1.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [0., 1., 0., 1.],
                                                                                                                                     [1., 0., 0., 1.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [0., -1., 0., 1.],
                                                                                                                                                                [-1., 0., 0., 1.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 1., 0., 1.],
                                                                                                                                                                                           [-1., 0., 0., 1.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 1.],
                                                                                                                                                                                                                      [1., 0., 0., 1.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.5],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.],
                                                    [-1., 0., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.],
                                                                               [-1., 0., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 1.],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 1., 1.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 1.],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 1.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 1.],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., -1., 1.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 1.],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., -1., 1.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 1.],
                         [0., 0., 1., 0.5],
                         [0., 1., 0., 1.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                    [0., 0., 1., 0.5],
                                                    [0., -1., 0., 1.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 1., 0., 1.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 1.],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., -1., 0., 1.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 1.],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [1., 0., 0., 1.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 1.],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [-1., 0., 0., 1.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 1.],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 1.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 1.],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 1.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 1., 0., 0.5],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [-1., 0., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 1.],
                                                                                                                                     [1., 0., 0., 1.],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 1.],
                                                                                                                                                                [-1., 0., 0., 1.],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 1.],
                                                                                                                                                                                           [-1., 0., 0., 1.],
                                                                                                                                                                                           [0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 1.],
                                                                                                                                                                                                                      [1., 0., 0., 1.],
                                                                                                                                                                                                                      [0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 1.],
                         [0., 0., 1., 1.],
                         [0., 1., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                    [0., 0., 1., 1.],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                                               [0., 0., -1., 1.],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 1.],
                                                                                                          [0., 0., -1., 1.],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 1.],
                                                                                                                                     [0., 1., 0., 1.],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 1.],
                                                                                                                                                                [0., -1., 0., 1.],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 1.],
                                                                                                                                                                                           [0., 1., 0., 1.],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 1.],
                                                                                                                                                                                                                      [0., -1., 0., 1.],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            220: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [0., 0., 1., 0.5],
                                                    [-1., 0., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.25],
                                                                                                                                     [1., 0., 0., 0.25],
                                                                                                                                     [0., 0., 1., 0.25],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.25],
                                                                                                                                                                [-1., 0., 0., 0.75],
                                                                                                                                                                [0., 0., 1., 0.75],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                                                                                                                                                           [-1., 0., 0., 0.25],
                                                                                                                                                                                           [0., 0., -1., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                                                                                                                                                                                      [1., 0., 0., 0.75],
                                                                                                                                                                                                                      [0., 0., -1., 0.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.25],
                         [0., 0., 1., 0.25],
                         [0., 1., 0., 0.25],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.75],
                                                    [0., 0., 1., 0.75],
                                                    [0., -1., 0., 0.25],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.25],
                                                                               [0., 0., -1., 0.75],
                                                                               [0., 1., 0., 0.75],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.75],
                                                                                                          [0., 0., -1., 0.25],
                                                                                                          [0., -1., 0., 0.75],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.25],
                                                                                                                                     [0., 1., 0., 0.25],
                                                                                                                                     [1., 0., 0., 0.25],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.75],
                                                                                                                                                                [0., -1., 0., 0.25],
                                                                                                                                                                [-1., 0., 0., 0.75],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.75],
                                                                                                                                                                                           [0., 1., 0., 0.75],
                                                                                                                                                                                           [-1., 0., 0., 0.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.25],
                                                                                                                                                                                                                      [0., -1., 0., 0.75],
                                                                                                                                                                                                                      [1., 0., 0., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 1.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 1., 0., 1.],
                                                                               [0., 0., -1., 1.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 1.],
                                                                                                          [0., -1., 0., 1.],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 1.],
                                                                                                                                                                [-1., 0., 0., 1.],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 1.],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 1., 0., 1.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 1.],
                                                                                                                                                                                                                      [0., -1., 0., 1.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [1., 0., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                    [0., 0., 1., 1.],
                                                    [-1., 0., 0., 1.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 1.],
                                                                               [0., 0., -1., 1.],
                                                                               [-1., 0., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 1.],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [1., 0., 0., 1.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                                                                                                     [1., 0., 0., 0.75],
                                                                                                                                     [0., 0., 1., 0.75],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                                                                                                                                [-1., 0., 0., 1.25],
                                                                                                                                                                [0., 0., 1., 1.25],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 1.25],
                                                                                                                                                                                           [-1., 0., 0., 0.75],
                                                                                                                                                                                           [0., 0., -1., 1.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 1.25],
                                                                                                                                                                                                                      [1., 0., 0., 1.25],
                                                                                                                                                                                                                      [0., 0., -1., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.75],
                         [0., 0., 1., 0.75],
                         [0., 1., 0., 0.75],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.25],
                                                    [0., 0., 1., 1.25],
                                                    [0., -1., 0., 0.75],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.75],
                                                                               [0., 0., -1., 1.25],
                                                                               [0., 1., 0., 1.25],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 1.25],
                                                                                                          [0., 0., -1., 0.75],
                                                                                                          [0., -1., 0., 1.25],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.75],
                                                                                                                                     [0., 1., 0., 0.75],
                                                                                                                                     [1., 0., 0., 0.75],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 1.25],
                                                                                                                                                                [0., -1., 0., 0.75],
                                                                                                                                                                [-1., 0., 0., 1.25],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 1.25],
                                                                                                                                                                                           [0., 1., 0., 1.25],
                                                                                                                                                                                           [-1., 0., 0., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.75],
                                                                                                                                                                                                                      [0., -1., 0., 1.25],
                                                                                                                                                                                                                      [1., 0., 0., 1.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            221: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [-1., 0., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 1., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., -1., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 1., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                    [0., 1., 0., 0.],
                                                    [0., 0., -1., 0.],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                               [0., -1., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                          [0., 1., 0., 0.],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., -1., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [-1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                    [0., 0., -1., 0.],
                                                    [1., 0., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [-1., 0., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., -1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                    [0., 0., -1., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                                           [0., -1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                                                                      [0., 1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            222: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.],
                                                    [-1., 0., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.5],
                                                                               [-1., 0., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., -1., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., 0., 1., 0.],
                                                    [0., 1., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., -1., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 1., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                    [0., 1., 0., 0.5],
                                                    [0., 0., -1., 0.],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                               [0., -1., 0., 0.],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                          [0., 1., 0., 0.5],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                [1., 0., 0., 0.5],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., -1., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [-1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                    [0., 0., -1., 0.],
                                                    [1., 0., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                               [0., 0., 1., 0.5],
                                                                               [1., 0., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [-1., 0., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                [1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., -1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 1., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                    [0., 0., -1., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                                           [0., -1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            223: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [-1., 0., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., -1., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [0., 1., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., -1., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 1., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                    [0., 1., 0., 0.],
                                                    [0., 0., -1., 0.],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                               [0., -1., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                          [0., 1., 0., 0.],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., -1., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [-1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                    [0., 0., -1., 0.],
                                                    [1., 0., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [-1., 0., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                [1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.5],
                         [0., 0., -1., 0.5],
                         [0., 1., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                    [0., 0., -1., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                                           [0., -1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            224: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.],
                                                    [-1., 0., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.5],
                                                                               [-1., 0., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., -1., 0., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., 0., 1., 0.5],
                                                    [0., 1., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., -1., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 1., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                    [0., 1., 0., 0.5],
                                                    [0., 0., -1., 0.],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                               [0., -1., 0., 0.],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                          [0., 1., 0., 0.5],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                [1., 0., 0., 0.5],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., -1., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [-1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                    [0., 0., -1., 0.],
                                                    [1., 0., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                               [0., 0., 1., 0.5],
                                                                               [1., 0., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [-1., 0., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.5],
                         [0., 0., -1., 0.5],
                         [0., 1., 0., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                    [0., 0., -1., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                                           [0., -1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                                                                      [0., 1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            225: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [-1., 0., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 1., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., -1., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 1., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                    [0., 1., 0., 0.],
                                                    [0., 0., -1., 0.],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                               [0., -1., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                          [0., 1., 0., 0.],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., -1., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [-1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                    [0., 0., -1., 0.],
                                                    [1., 0., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [-1., 0., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., -1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                    [0., 0., -1., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                                           [0., -1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                                                                      [0., 1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.5],
                         [1., 0., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [0., 0., 1., 0.5],
                                                    [-1., 0., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.5],
                                                                               [-1., 0., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.],
                         [0., 0., 1., 0.5],
                         [0., -1., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., 0., 1., 0.5],
                                                    [0., 1., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., -1., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 1., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [0., -1., 0., 0.5],
                         [0., 0., -1., 0.5],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                    [0., 1., 0., 0.5],
                                                    [0., 0., -1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                               [0., -1., 0., 0.5],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                          [0., 1., 0., 0.5],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                [1., 0., 0., 0.5],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., -1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., -1., 0., 0.],
                         [0., 0., -1., 0.5],
                         [-1., 0., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                    [0., 0., -1., 0.5],
                                                    [1., 0., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                               [0., 0., 1., 0.5],
                                                                               [1., 0., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [-1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                [1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [0., 0., -1., 0.5],
                         [0., 1., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                    [0., 0., -1., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                                           [0., -1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                                                                      [0., 1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.5],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.],
                                                    [-1., 0., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.],
                                                                               [-1., 0., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 0., 1., 0.],
                         [0., -1., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., 0., 1., 0.],
                                                    [0., 1., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 0., -1., 0.],
                                                                               [0., -1., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 1., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.5],
                         [0., -1., 0., 0.],
                         [0., 0., -1., 0.5],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                    [0., 1., 0., 0.],
                                                    [0., 0., -1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                               [0., -1., 0., 0.],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                          [0., 1., 0., 0.],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., -1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., -1., 0., 0.5],
                         [0., 0., -1., 0.],
                         [-1., 0., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                    [0., 0., -1., 0.],
                                                    [1., 0., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                               [0., 0., 1., 0.],
                                                                               [1., 0., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [-1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.5],
                         [0., 0., -1., 0.],
                         [0., 1., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                    [0., 0., -1., 0.],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                                           [0., -1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 1., 0., 0.5],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [-1., 0., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., -1., 0., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [0., 1., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., -1., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 1., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.5],
                         [0., -1., 0., 0.5],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                    [0., 1., 0., 0.5],
                                                    [0., 0., -1., 0.],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                               [0., -1., 0., 0.5],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                          [0., 1., 0., 0.5],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                [1., 0., 0., 0.5],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., -1., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., -1., 0., 0.5],
                         [0., 0., -1., 0.5],
                         [-1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                    [0., 0., -1., 0.5],
                                                    [1., 0., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                               [0., 0., 1., 0.5],
                                                                               [1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [-1., 0., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                [1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., -1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.5],
                         [0., 0., -1., 0.5],
                         [0., 1., 0., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                    [0., 0., -1., 0.5],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                                           [0., -1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            226: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [-1., 0., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., -1., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [0., 1., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., -1., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 1., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                    [0., 1., 0., 0.],
                                                    [0., 0., -1., 0.],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                               [0., -1., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                          [0., 1., 0., 0.],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., -1., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [-1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                    [0., 0., -1., 0.],
                                                    [1., 0., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [-1., 0., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                [1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.5],
                         [0., 0., -1., 0.5],
                         [0., 1., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                    [0., 0., -1., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                                           [0., -1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.5],
                         [1., 0., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [0., 0., 1., 0.5],
                                                    [-1., 0., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.5],
                                                                               [-1., 0., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                     [1., 0., 0., 1.],
                                                                                                                                     [0., 0., -1., 1.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                [-1., 0., 0., 1.],
                                                                                                                                                                [0., 0., -1., 1.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 1.],
                                                                                                                                                                                           [0., 0., 1., 1.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 1.],
                                                                                                                                                                                                                      [0., 0., 1., 1.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 0., 1., 1.],
                         [0., -1., 0., 1.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., 0., 1., 1.],
                                                    [0., 1., 0., 1.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 0., -1., 1.],
                                                                               [0., -1., 0., 1.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., 0., -1., 1.],
                                                                                                          [0., 1., 0., 1.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [0., 1., 0., 1.],
                                                                                                                                     [-1., 0., 0., 1.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [0., -1., 0., 1.],
                                                                                                                                                                [1., 0., 0., 1.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 1., 0., 1.],
                                                                                                                                                                                           [1., 0., 0., 1.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 1.],
                                                                                                                                                                                                                      [-1., 0., 0., 1.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [0., -1., 0., 0.5],
                         [0., 0., -1., 0.5],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                    [0., 1., 0., 0.5],
                                                    [0., 0., -1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                               [0., -1., 0., 0.5],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                          [0., 1., 0., 0.5],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                [1., 0., 0., 0.5],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., -1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., -1., 0., 0.],
                         [0., 0., -1., 0.5],
                         [-1., 0., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                    [0., 0., -1., 0.5],
                                                    [1., 0., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                               [0., 0., 1., 0.5],
                                                                               [1., 0., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [-1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                     [-1., 0., 0., 1.],
                                                                                                                                     [0., 0., 1., 1.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                [1., 0., 0., 1.],
                                                                                                                                                                [0., 0., 1., 1.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                           [1., 0., 0., 1.],
                                                                                                                                                                                           [0., 0., -1., 1.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 1.],
                                                                                                                                                                                                                      [0., 0., -1., 1.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.5],
                         [0., 0., -1., 1.],
                         [0., 1., 0., 1.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                    [0., 0., -1., 1.],
                                                    [0., -1., 0., 1.],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                               [0., 0., 1., 1.],
                                                                               [0., 1., 0., 1.],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                          [0., 0., 1., 1.],
                                                                                                          [0., -1., 0., 1.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                     [0., -1., 0., 1.],
                                                                                                                                     [1., 0., 0., 1.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                [0., 1., 0., 1.],
                                                                                                                                                                [-1., 0., 0., 1.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                                           [0., -1., 0., 1.],
                                                                                                                                                                                           [-1., 0., 0., 1.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 1., 0., 1.],
                                                                                                                                                                                                                      [1., 0., 0., 1.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.5],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.],
                                                    [-1., 0., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.],
                                                                               [-1., 0., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 1.],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 0., -1., 1.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 1.],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 1.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 1.],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 1.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 1.],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 1.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 1.],
                         [0., 0., 1., 0.5],
                         [0., -1., 0., 1.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                    [0., 0., 1., 0.5],
                                                    [0., 1., 0., 1.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., -1., 0., 1.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 1.],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 1., 0., 1.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 1.],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [-1., 0., 0., 1.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 1.],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [1., 0., 0., 1.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 1.],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [1., 0., 0., 1.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 1.],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 1.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.5],
                         [0., -1., 0., 0.],
                         [0., 0., -1., 0.5],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                    [0., 1., 0., 0.],
                                                    [0., 0., -1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                               [0., -1., 0., 0.],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                          [0., 1., 0., 0.],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., -1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., -1., 0., 0.5],
                         [0., 0., -1., 0.],
                         [-1., 0., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                    [0., 0., -1., 0.],
                                                    [1., 0., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                               [0., 0., 1., 0.],
                                                                               [1., 0., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [-1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 1.],
                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 1., 1.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 1.],
                                                                                                                                                                [1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 1.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 1.],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., -1., 1.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 1.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., -1., 1.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 1.],
                         [0., 0., -1., 0.5],
                         [0., 1., 0., 1.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 1.],
                                                    [0., 0., -1., 0.5],
                                                    [0., -1., 0., 1.],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 1.],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 1., 0., 1.],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., -1., 0., 1.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 1.],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [1., 0., 0., 1.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 1.],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [-1., 0., 0., 1.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 1.],
                                                                                                                                                                                           [0., -1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 1.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 1.],
                                                                                                                                                                                                                      [0., 1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 1.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 1., 0., 0.5],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [-1., 0., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 1.],
                                                                                                                                     [1., 0., 0., 1.],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 1.],
                                                                                                                                                                [-1., 0., 0., 1.],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 1.],
                                                                                                                                                                                           [-1., 0., 0., 1.],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 1.],
                                                                                                                                                                                                                      [1., 0., 0., 1.],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 1.],
                         [0., 0., 1., 1.],
                         [0., -1., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                    [0., 0., 1., 1.],
                                                    [0., 1., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                                               [0., 0., -1., 1.],
                                                                               [0., -1., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 1.],
                                                                                                          [0., 0., -1., 1.],
                                                                                                          [0., 1., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 1.],
                                                                                                                                     [0., 1., 0., 1.],
                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 1.],
                                                                                                                                                                [0., -1., 0., 1.],
                                                                                                                                                                [1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 1.],
                                                                                                                                                                                           [0., 1., 0., 1.],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 1.],
                                                                                                                                                                                                                      [0., -1., 0., 1.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.5],
                         [0., -1., 0., 0.5],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                    [0., 1., 0., 0.5],
                                                    [0., 0., -1., 0.],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                               [0., -1., 0., 0.5],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                          [0., 1., 0., 0.5],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                [1., 0., 0., 0.5],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., -1., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., -1., 0., 0.5],
                         [0., 0., -1., 0.5],
                         [-1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                    [0., 0., -1., 0.5],
                                                    [1., 0., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                               [0., 0., 1., 0.5],
                                                                               [1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [-1., 0., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 1.],
                                                                                                                                     [-1., 0., 0., 1.],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 1.],
                                                                                                                                                                [1., 0., 0., 1.],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 1.],
                                                                                                                                                                                           [1., 0., 0., 1.],
                                                                                                                                                                                           [0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 1.],
                                                                                                                                                                                                                      [-1., 0., 0., 1.],
                                                                                                                                                                                                                      [0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 1.],
                         [0., 0., -1., 1.],
                         [0., 1., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 1.],
                                                    [0., 0., -1., 1.],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 1.],
                                                                               [0., 0., 1., 1.],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                                                                          [0., 0., 1., 1.],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 1.],
                                                                                                                                     [0., -1., 0., 1.],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 1.],
                                                                                                                                                                [0., 1., 0., 1.],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 1.],
                                                                                                                                                                                           [0., -1., 0., 1.],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 1.],
                                                                                                                                                                                                                      [0., 1., 0., 1.],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            227: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.75],
                                                    [0., -1., 0., 0.25],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.25],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.75],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., -1., 0., 0.75],
                                                                                                          [0., 0., -1., 0.25],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.75],
                                                                                                                                                                [0., -1., 0., 0.25],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.75],
                                                                                                                                                                                           [-1., 0., 0., 0.25],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.25],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.25],
                                                    [0., 0., 1., 0.5],
                                                    [-1., 0., 0., 0.75],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.75],
                                                                               [-1., 0., 0., 0.25],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                                                                          [0., 0., -1., 0.25],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                                                                                                     [1., 0., 0., 0.25],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.25],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.75],
                                                                                                                                                                                                                      [0., 0., 1., 0.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.75],
                         [0., 0., 1., 0.25],
                         [0., -1., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., 0., 1., 0.75],
                                                    [0., 1., 0., 0.25],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., -1., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.25],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 1., 0., 0.75],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.75],
                                                                                                                                     [0., 1., 0., 0.25],
                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.25],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [1., 0., 0., 0.75],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 1., 0., 0.75],
                                                                                                                                                                                           [1., 0., 0., 0.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.25],
                                                    [0., 1., 0., 0.75],
                                                    [0., 0., -1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.75],
                                                                               [0., -1., 0., 0.5],
                                                                               [0., 0., 1., 0.25],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                          [0., 1., 0., 0.25],
                                                                                                          [0., 0., 1., 0.75],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                [1., 0., 0., 0.25],
                                                                                                                                                                [0., 1., 0., 0.75],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 0.25],
                                                                                                                                                                                           [1., 0., 0., 0.75],
                                                                                                                                                                                           [0., -1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.75],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 1., 0., 0.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [-1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                    [0., 0., -1., 0.5],
                                                    [1., 0., 0., 0.25],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                               [0., 0., 1., 0.25],
                                                                               [1., 0., 0., 0.75],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.25],
                                                                                                          [0., 0., 1., 0.75],
                                                                                                          [-1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.25],
                                                                                                                                     [-1., 0., 0., 0.75],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., -1., 0.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.25],
                                                                                                                                                                                                                      [0., 0., -1., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.25],
                         [0., 0., -1., 0.75],
                         [0., 1., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                    [0., 0., -1., 0.25],
                                                    [0., -1., 0., 0.75],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.75],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., -1., 0., 0.25],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.25],
                                                                                                                                     [0., -1., 0., 0.75],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 0.75],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.25],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                                           [0., -1., 0., 0.25],
                                                                                                                                                                                           [-1., 0., 0., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                                                                      [0., 1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.75],
                                                    [0., -1., 0., 0.75],
                                                    [0., 0., 1., 1.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.25],
                                                                               [0., 1., 0., 1.],
                                                                               [0., 0., -1., 1.25],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., -1., 0., 1.25],
                                                                                                          [0., 0., -1., 0.75],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [-1., 0., 0., 1.25],
                                                                                                                                                                [0., -1., 0., 0.75],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.75],
                                                                                                                                                                                           [-1., 0., 0., 0.75],
                                                                                                                                                                                           [0., 1., 0., 1.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.25],
                                                                                                                                                                                                                      [1., 0., 0., 1.],
                                                                                                                                                                                                                      [0., -1., 0., 1.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.5],
                         [1., 0., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.25],
                                                    [0., 0., 1., 1.],
                                                    [-1., 0., 0., 1.25],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [0., 0., -1., 1.25],
                                                                               [-1., 0., 0., 0.75],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                                                                          [0., 0., -1., 0.75],
                                                                                                          [1., 0., 0., 1.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                                                                                                     [1., 0., 0., 0.75],
                                                                                                                                     [0., 0., -1., 1.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.25],
                                                                                                                                                                                           [-1., 0., 0., 1.],
                                                                                                                                                                                           [0., 0., 1., 1.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 1.25],
                                                                                                                                                                                                                      [0., 0., 1., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.75],
                         [0., 0., 1., 0.75],
                         [0., -1., 0., 1.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., 0., 1., 1.25],
                                                    [0., 1., 0., 0.75],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., -1., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.25],
                                                                                                          [0., 0., -1., 1.],
                                                                                                          [0., 1., 0., 1.25],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.75],
                                                                                                                                     [0., 1., 0., 0.75],
                                                                                                                                     [-1., 0., 0., 1.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.25],
                                                                                                                                                                [0., -1., 0., 1.],
                                                                                                                                                                [1., 0., 0., 1.25],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 1., 0., 1.25],
                                                                                                                                                                                           [1., 0., 0., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [0., -1., 0., 0.5],
                         [0., 0., -1., 0.5],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.25],
                                                    [0., 1., 0., 1.25],
                                                    [0., 0., -1., 1.],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.75],
                                                                               [0., -1., 0., 1.],
                                                                               [0., 0., 1., 0.75],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                          [0., 1., 0., 0.75],
                                                                                                          [0., 0., 1., 1.25],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                [1., 0., 0., 0.75],
                                                                                                                                                                [0., 1., 0., 1.25],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 0.25],
                                                                                                                                                                                           [1., 0., 0., 1.25],
                                                                                                                                                                                           [0., -1., 0., 1.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.75],
                                                                                                                                                                                                                      [-1., 0., 0., 1.],
                                                                                                                                                                                                                      [0., 1., 0., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., -1., 0., 0.],
                         [0., 0., -1., 0.5],
                         [-1., 0., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                    [0., 0., -1., 1.],
                                                    [1., 0., 0., 0.75],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                               [0., 0., 1., 0.75],
                                                                               [1., 0., 0., 1.25],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.25],
                                                                                                          [0., 0., 1., 1.25],
                                                                                                          [-1., 0., 0., 1.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.25],
                                                                                                                                     [-1., 0., 0., 1.25],
                                                                                                                                     [0., 0., 1., 1.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                [1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                                                                                                                                                           [1., 0., 0., 1.],
                                                                                                                                                                                           [0., 0., -1., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.75],
                                                                                                                                                                                                                      [0., 0., -1., 1.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.25],
                         [0., 0., -1., 1.25],
                         [0., 1., 0., 1.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                    [0., 0., -1., 0.75],
                                                    [0., -1., 0., 1.25],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.75],
                                                                                                          [0., 0., 1., 1.],
                                                                                                          [0., -1., 0., 0.75],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.25],
                                                                                                                                     [0., -1., 0., 1.25],
                                                                                                                                     [1., 0., 0., 1.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 0.75],
                                                                                                                                                                [0., 1., 0., 1.],
                                                                                                                                                                [-1., 0., 0., 0.75],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                                           [0., -1., 0., 0.75],
                                                                                                                                                                                           [-1., 0., 0., 1.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                                                                      [0., 1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.25],
                                                    [0., -1., 0., 0.25],
                                                    [0., 0., 1., 1.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.75],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., -1., 1.25],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 1.],
                                                                                                          [0., -1., 0., 0.75],
                                                                                                          [0., 0., -1., 0.75],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 1.],
                                                                                                                                                                [-1., 0., 0., 0.75],
                                                                                                                                                                [0., -1., 0., 0.75],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 1.25],
                                                                                                                                                                                           [-1., 0., 0., 0.25],
                                                                                                                                                                                           [0., 1., 0., 1.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.75],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 1.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.5],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                    [0., 0., 1., 0.5],
                                                    [-1., 0., 0., 1.25],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 1.],
                                                                               [0., 0., -1., 0.75],
                                                                               [-1., 0., 0., 0.75],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 1.25],
                                                                                                          [0., 0., -1., 0.25],
                                                                                                          [1., 0., 0., 1.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 1.25],
                                                                                                                                     [1., 0., 0., 0.25],
                                                                                                                                     [0., 0., -1., 1.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 1.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 1.],
                                                                                                                                                                                                                      [1., 0., 0., 0.75],
                                                                                                                                                                                                                      [0., 0., 1., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 1.25],
                         [0., 0., 1., 0.25],
                         [0., -1., 0., 1.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                    [0., 0., 1., 0.75],
                                                    [0., 1., 0., 0.75],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 0., -1., 0.],
                                                                               [0., -1., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.75],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 1., 0., 1.25],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 1.25],
                                                                                                                                     [0., 1., 0., 0.25],
                                                                                                                                     [-1., 0., 0., 1.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.75],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [1., 0., 0., 1.25],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 1.],
                                                                                                                                                                                           [0., 1., 0., 0.75],
                                                                                                                                                                                           [1., 0., 0., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.5],
                         [0., -1., 0., 0.],
                         [0., 0., -1., 0.5],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.75],
                                                    [0., 1., 0., 0.75],
                                                    [0., 0., -1., 1.],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 1.25],
                                                                               [0., -1., 0., 0.5],
                                                                               [0., 0., 1., 0.75],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                                                                          [0., 1., 0., 0.25],
                                                                                                          [0., 0., 1., 1.25],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 1.],
                                                                                                                                                                [1., 0., 0., 0.25],
                                                                                                                                                                [0., 1., 0., 1.25],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 0.75],
                                                                                                                                                                                           [1., 0., 0., 0.75],
                                                                                                                                                                                           [0., -1., 0., 1.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 1.25],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 1., 0., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., -1., 0., 0.5],
                         [0., 0., -1., 0.],
                         [-1., 0., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., 1., 0., 1.25],
                                                    [0., 0., -1., 0.5],
                                                    [1., 0., 0., 0.75],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 1.],
                                                                               [0., 0., 1., 0.25],
                                                                               [1., 0., 0., 1.25],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                                                                          [0., 0., 1., 0.75],
                                                                                                          [-1., 0., 0., 1.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                                                                                                     [-1., 0., 0., 0.75],
                                                                                                                                     [0., 0., 1., 1.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 1.25],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., -1., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 1.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.25],
                                                                                                                                                                                                                      [0., 0., -1., 1.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.75],
                         [0., 0., -1., 0.75],
                         [0., 1., 0., 1.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 1.],
                                                    [0., 0., -1., 0.25],
                                                    [0., -1., 0., 1.25],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.25],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., -1., 0., 0.75],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.75],
                                                                                                                                     [0., -1., 0., 0.75],
                                                                                                                                     [1., 0., 0., 1.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 1.25],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.75],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 1.],
                                                                                                                                                                                           [0., -1., 0., 0.25],
                                                                                                                                                                                           [-1., 0., 0., 1.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 1., 0., 0.5],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.25],
                                                    [0., -1., 0., 0.75],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.75],
                                                                               [0., 1., 0., 1.],
                                                                               [0., 0., -1., 0.75],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 1.],
                                                                                                          [0., -1., 0., 1.25],
                                                                                                          [0., 0., -1., 0.25],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 1.],
                                                                                                                                                                [-1., 0., 0., 1.25],
                                                                                                                                                                [0., -1., 0., 0.25],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 1.25],
                                                                                                                                                                                           [-1., 0., 0., 0.75],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.75],
                                                                                                                                                                                                                      [1., 0., 0., 1.],
                                                                                                                                                                                                                      [0., -1., 0., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                    [0., 0., 1., 1.],
                                                    [-1., 0., 0., 0.75],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 1.],
                                                                               [0., 0., -1., 1.25],
                                                                               [-1., 0., 0., 0.25],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 1.25],
                                                                                                          [0., 0., -1., 0.75],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 1.25],
                                                                                                                                     [1., 0., 0., 0.75],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                                                                                                                                                           [-1., 0., 0., 1.],
                                                                                                                                                                                           [0., 0., 1., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 1.],
                                                                                                                                                                                                                      [1., 0., 0., 1.25],
                                                                                                                                                                                                                      [0., 0., 1., 0.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 1.25],
                         [0., 0., 1., 0.75],
                         [0., -1., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                    [0., 0., 1., 1.25],
                                                    [0., 1., 0., 0.25],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., -1., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.75],
                                                                                                          [0., 0., -1., 1.],
                                                                                                          [0., 1., 0., 0.75],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 1.25],
                                                                                                                                     [0., 1., 0., 0.75],
                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.75],
                                                                                                                                                                [0., -1., 0., 1.],
                                                                                                                                                                [1., 0., 0., 0.75],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 1.],
                                                                                                                                                                                           [0., 1., 0., 1.25],
                                                                                                                                                                                           [1., 0., 0., 0.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.5],
                         [0., -1., 0., 0.5],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.75],
                                                    [0., 1., 0., 1.25],
                                                    [0., 0., -1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 1.25],
                                                                               [0., -1., 0., 1.],
                                                                               [0., 0., 1., 0.25],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                                                                          [0., 1., 0., 0.75],
                                                                                                          [0., 0., 1., 0.75],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 1.],
                                                                                                                                                                [1., 0., 0., 0.75],
                                                                                                                                                                [0., 1., 0., 0.75],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 0.75],
                                                                                                                                                                                           [1., 0., 0., 1.25],
                                                                                                                                                                                           [0., -1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 1.25],
                                                                                                                                                                                                                      [-1., 0., 0., 1.],
                                                                                                                                                                                                                      [0., 1., 0., 0.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., -1., 0., 0.5],
                         [0., 0., -1., 0.5],
                         [-1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., 1., 0., 1.25],
                                                    [0., 0., -1., 1.],
                                                    [1., 0., 0., 0.25],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 1.],
                                                                               [0., 0., 1., 0.75],
                                                                               [1., 0., 0., 0.75],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                                                                          [0., 0., 1., 1.25],
                                                                                                          [-1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                                                                                                     [-1., 0., 0., 1.25],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                [1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 1.25],
                                                                                                                                                                                           [1., 0., 0., 1.],
                                                                                                                                                                                           [0., 0., -1., 0.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 1.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.75],
                                                                                                                                                                                                                      [0., 0., -1., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.75],
                         [0., 0., -1., 1.25],
                         [0., 1., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 1.],
                                                    [0., 0., -1., 0.75],
                                                    [0., -1., 0., 0.75],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.25],
                                                                                                          [0., 0., 1., 1.],
                                                                                                          [0., -1., 0., 0.25],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.75],
                                                                                                                                     [0., -1., 0., 1.25],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 1.25],
                                                                                                                                                                [0., 1., 0., 1.],
                                                                                                                                                                [-1., 0., 0., 0.25],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 1.],
                                                                                                                                                                                           [0., -1., 0., 0.75],
                                                                                                                                                                                           [-1., 0., 0., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            228: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.25],
                                                    [0., -1., 0., 0.75],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.75],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.25],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., -1., 0., 0.25],
                                                                                                          [0., 0., -1., 0.75],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.25],
                                                                                                                                                                [0., -1., 0., 0.75],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.25],
                                                                                                                                                                                           [-1., 0., 0., 0.75],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.75],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                    [0., 0., 1., 0.5],
                                                    [-1., 0., 0., 0.25],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.25],
                                                                               [-1., 0., 0., 0.75],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.25],
                                                                                                          [0., 0., -1., 0.75],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                                                                                                     [1., 0., 0., 0.25],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.25],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.75],
                                                                                                                                                                                                                      [0., 0., 1., 0.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.75],
                         [0., 0., 1., 0.25],
                         [0., -1., 0., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., 0., 1., 0.75],
                                                    [0., 1., 0., 0.25],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., -1., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.25],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 1., 0., 0.75],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.75],
                                                                                                                                     [0., 1., 0., 0.25],
                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.25],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [1., 0., 0., 0.75],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.75],
                                                                                                                                                                                           [1., 0., 0., 0.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.75],
                                                    [0., 1., 0., 0.25],
                                                    [0., 0., -1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.25],
                                                                               [0., -1., 0., 0.5],
                                                                               [0., 0., 1., 0.75],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                          [0., 1., 0., 0.75],
                                                                                                          [0., 0., 1., 0.25],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                [1., 0., 0., 0.75],
                                                                                                                                                                [0., 1., 0., 0.25],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 0.75],
                                                                                                                                                                                           [1., 0., 0., 0.25],
                                                                                                                                                                                           [0., -1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.25],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 1., 0., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [-1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., 1., 0., 0.25],
                                                    [0., 0., -1., 0.5],
                                                    [1., 0., 0., 0.75],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                               [0., 0., 1., 0.75],
                                                                               [1., 0., 0., 0.25],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                                                                          [0., 0., 1., 0.25],
                                                                                                          [-1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.25],
                                                                                                                                     [-1., 0., 0., 0.75],
                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                [1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., -1., 0.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.25],
                                                                                                                                                                                                                      [0., 0., -1., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.25],
                         [0., 0., -1., 0.75],
                         [0., 1., 0., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                    [0., 0., -1., 0.25],
                                                    [0., -1., 0., 0.75],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.75],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [0., -1., 0., 0.25],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.25],
                                                                                                                                     [0., -1., 0., 0.75],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 0.75],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [-1., 0., 0., 0.25],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                                           [0., -1., 0., 0.25],
                                                                                                                                                                                           [-1., 0., 0., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.25],
                                                    [0., -1., 0., 1.25],
                                                    [0., 0., 1., 1.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.75],
                                                                               [0., 1., 0., 1.],
                                                                               [0., 0., -1., 0.75],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., -1., 0., 0.75],
                                                                                                          [0., 0., -1., 1.25],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.75],
                                                                                                                                                                [0., -1., 0., 1.25],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.25],
                                                                                                                                                                                           [-1., 0., 0., 1.25],
                                                                                                                                                                                           [0., 1., 0., 1.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.75],
                                                                                                                                                                                                                      [1., 0., 0., 1.],
                                                                                                                                                                                                                      [0., -1., 0., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.5],
                         [1., 0., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                    [0., 0., 1., 1.],
                                                    [-1., 0., 0., 0.75],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.75],
                                                                               [-1., 0., 0., 1.25],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.25],
                                                                                                          [0., 0., -1., 1.25],
                                                                                                          [1., 0., 0., 1.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                                                                                                     [1., 0., 0., 0.75],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                [-1., 0., 0., 1.],
                                                                                                                                                                [0., 0., -1., 1.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.25],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 1.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 1.25],
                                                                                                                                                                                                                      [0., 0., 1., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.75],
                         [0., 0., 1., 0.75],
                         [0., -1., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., 0., 1., 1.25],
                                                    [0., 1., 0., 0.75],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 0., -1., 1.],
                                                                               [0., -1., 0., 1.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.25],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 1., 0., 1.25],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.75],
                                                                                                                                     [0., 1., 0., 0.75],
                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.25],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [1., 0., 0., 1.25],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [0., 1., 0., 1.25],
                                                                                                                                                                                           [1., 0., 0., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 1.],
                                                                                                                                                                                                                      [-1., 0., 0., 1.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [0., -1., 0., 0.5],
                         [0., 0., -1., 0.5],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.75],
                                                    [0., 1., 0., 0.75],
                                                    [0., 0., -1., 1.],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.25],
                                                                               [0., -1., 0., 1.],
                                                                               [0., 0., 1., 1.25],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                          [0., 1., 0., 1.25],
                                                                                                          [0., 0., 1., 0.75],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                [1., 0., 0., 1.25],
                                                                                                                                                                [0., 1., 0., 0.75],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 0.75],
                                                                                                                                                                                           [1., 0., 0., 0.75],
                                                                                                                                                                                           [0., -1., 0., 1.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.25],
                                                                                                                                                                                                                      [-1., 0., 0., 1.],
                                                                                                                                                                                                                      [0., 1., 0., 1.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., -1., 0., 0.],
                         [0., 0., -1., 0.5],
                         [-1., 0., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., 1., 0., 0.25],
                                                    [0., 0., -1., 1.],
                                                    [1., 0., 0., 1.25],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                               [0., 0., 1., 1.25],
                                                                               [1., 0., 0., 0.75],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                                                                          [0., 0., 1., 0.75],
                                                                                                          [-1., 0., 0., 1.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.25],
                                                                                                                                     [-1., 0., 0., 1.25],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                [1., 0., 0., 1.],
                                                                                                                                                                [0., 0., 1., 1.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., -1., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.75],
                                                                                                                                                                                                                      [0., 0., -1., 1.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.25],
                         [0., 0., -1., 1.25],
                         [0., 1., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                    [0., 0., -1., 0.75],
                                                    [0., -1., 0., 1.25],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                               [0., 0., 1., 1.],
                                                                               [0., 1., 0., 1.],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.75],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., -1., 0., 0.75],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.25],
                                                                                                                                     [0., -1., 0., 1.25],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 0.75],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.75],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                                           [0., -1., 0., 0.75],
                                                                                                                                                                                           [-1., 0., 0., 1.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 1., 0., 1.],
                                                                                                                                                                                                                      [1., 0., 0., 1.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.75],
                                                    [0., -1., 0., 0.75],
                                                    [0., 0., 1., 1.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.25],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.75],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 1.],
                                                                                                          [0., -1., 0., 0.25],
                                                                                                          [0., 0., -1., 1.25],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 1.],
                                                                                                                                                                [-1., 0., 0., 0.25],
                                                                                                                                                                [0., -1., 0., 1.25],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.75],
                                                                                                                                                                                           [-1., 0., 0., 0.75],
                                                                                                                                                                                           [0., 1., 0., 1.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 1.25],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.5],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 1.25],
                                                    [0., 0., 1., 0.5],
                                                    [-1., 0., 0., 0.75],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 1.],
                                                                               [0., 0., -1., 0.25],
                                                                               [-1., 0., 0., 1.25],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                                                                          [0., 0., -1., 0.75],
                                                                                                          [1., 0., 0., 1.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 1.25],
                                                                                                                                     [1., 0., 0., 0.25],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 1.],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 1.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 1.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.75],
                                                                                                                                                                                                                      [0., 0., 1., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 1.25],
                         [0., 0., 1., 0.25],
                         [0., -1., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., 0., 1., 0.75],
                                                    [0., 1., 0., 0.75],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., -1., 0., 1.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.75],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 1., 0., 1.25],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 1.25],
                                                                                                                                     [0., 1., 0., 0.25],
                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.75],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [1., 0., 0., 1.25],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 1., 0., 0.75],
                                                                                                                                                                                           [1., 0., 0., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 1.],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 1.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.5],
                         [0., -1., 0., 0.],
                         [0., 0., -1., 0.5],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 1.25],
                                                    [0., 1., 0., 0.25],
                                                    [0., 0., -1., 1.],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.75],
                                                                               [0., -1., 0., 0.5],
                                                                               [0., 0., 1., 1.25],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                                                                          [0., 1., 0., 0.75],
                                                                                                          [0., 0., 1., 0.75],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 1.],
                                                                                                                                                                [1., 0., 0., 0.75],
                                                                                                                                                                [0., 1., 0., 0.75],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 1.25],
                                                                                                                                                                                           [1., 0., 0., 0.25],
                                                                                                                                                                                           [0., -1., 0., 1.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.75],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 1., 0., 1.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., -1., 0., 0.5],
                         [0., 0., -1., 0.],
                         [-1., 0., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                    [0., 0., -1., 0.5],
                                                    [1., 0., 0., 1.25],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 1.],
                                                                               [0., 0., 1., 0.75],
                                                                               [1., 0., 0., 0.75],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 1.25],
                                                                                                          [0., 0., 1., 0.25],
                                                                                                          [-1., 0., 0., 1.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                                                                                                     [-1., 0., 0., 0.75],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 1.],
                                                                                                                                                                [1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 1.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 1.25],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., -1., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.25],
                                                                                                                                                                                                                      [0., 0., -1., 1.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.75],
                         [0., 0., -1., 0.75],
                         [0., 1., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                    [0., 0., -1., 0.25],
                                                    [0., -1., 0., 1.25],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 1.],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 1., 0., 1.],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.25],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [0., -1., 0., 0.75],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.75],
                                                                                                                                     [0., -1., 0., 0.75],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 1.25],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [-1., 0., 0., 0.75],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                                           [0., -1., 0., 0.25],
                                                                                                                                                                                           [-1., 0., 0., 1.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 1.],
                                                                                                                                                                                                                      [0., 1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 1.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 1., 0., 0.5],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.75],
                                                    [0., -1., 0., 1.25],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.25],
                                                                               [0., 1., 0., 1.],
                                                                               [0., 0., -1., 0.25],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 1.],
                                                                                                          [0., -1., 0., 0.75],
                                                                                                          [0., 0., -1., 0.75],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 1.],
                                                                                                                                                                [-1., 0., 0., 0.75],
                                                                                                                                                                [0., -1., 0., 0.75],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.75],
                                                                                                                                                                                           [-1., 0., 0., 1.25],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 1.25],
                                                                                                                                                                                                                      [1., 0., 0., 1.],
                                                                                                                                                                                                                      [0., -1., 0., 0.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 1.25],
                                                    [0., 0., 1., 1.],
                                                    [-1., 0., 0., 0.25],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 1.],
                                                                               [0., 0., -1., 0.75],
                                                                               [-1., 0., 0., 0.75],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                                                                          [0., 0., -1., 1.25],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 1.25],
                                                                                                                                     [1., 0., 0., 0.75],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 1.],
                                                                                                                                                                [-1., 0., 0., 1.],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 1.25],
                                                                                                                                                                                                                      [0., 0., 1., 0.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 1.25],
                         [0., 0., 1., 0.75],
                         [0., -1., 0., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., 0., 1., 1.25],
                                                    [0., 1., 0., 0.25],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                                               [0., 0., -1., 1.],
                                                                               [0., -1., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.75],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 1., 0., 0.75],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 1.25],
                                                                                                                                     [0., 1., 0., 0.75],
                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.75],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [1., 0., 0., 0.75],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 1., 0., 1.25],
                                                                                                                                                                                           [1., 0., 0., 0.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 1.],
                                                                                                                                                                                                                      [0., -1., 0., 1.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.5],
                         [0., -1., 0., 0.5],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 1.25],
                                                    [0., 1., 0., 0.75],
                                                    [0., 0., -1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.75],
                                                                               [0., -1., 0., 1.],
                                                                               [0., 0., 1., 0.75],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                                                                          [0., 1., 0., 1.25],
                                                                                                          [0., 0., 1., 0.25],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 1.],
                                                                                                                                                                [1., 0., 0., 1.25],
                                                                                                                                                                [0., 1., 0., 0.25],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 1.25],
                                                                                                                                                                                           [1., 0., 0., 0.75],
                                                                                                                                                                                           [0., -1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.75],
                                                                                                                                                                                                                      [-1., 0., 0., 1.],
                                                                                                                                                                                                                      [0., 1., 0., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., -1., 0., 0.5],
                         [0., 0., -1., 0.5],
                         [-1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                    [0., 0., -1., 1.],
                                                    [1., 0., 0., 0.75],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 1.],
                                                                               [0., 0., 1., 1.25],
                                                                               [1., 0., 0., 0.25],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 1.25],
                                                                                                          [0., 0., 1., 0.75],
                                                                                                          [-1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                                                                                                     [-1., 0., 0., 1.25],
                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 1.],
                                                                                                                                                                [1., 0., 0., 1.],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 1.25],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., -1., 0.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.75],
                                                                                                                                                                                                                      [0., 0., -1., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.75],
                         [0., 0., -1., 1.25],
                         [0., 1., 0., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                    [0., 0., -1., 0.75],
                                                    [0., -1., 0., 0.75],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 1.],
                                                                               [0., 0., 1., 1.],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.25],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., -1., 0., 0.25],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.75],
                                                                                                                                     [0., -1., 0., 1.25],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 1.25],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.25],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                                           [0., -1., 0., 0.75],
                                                                                                                                                                                           [-1., 0., 0., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 1.],
                                                                                                                                                                                                                      [0., 1., 0., 1.],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            229: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [-1., 0., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [1., 0., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 0., -1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., 0., -1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                    [0., 0., 1., 0.],
                                                    [0., 1., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 0., -1., 0.],
                                                                               [0., -1., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 1., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., -1., 0., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                    [0., 1., 0., 0.],
                                                    [0., 0., -1., 0.],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                               [0., -1., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                          [0., 1., 0., 0.],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., -1., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 1., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [-1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                    [0., 0., -1., 0.],
                                                    [1., 0., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [-1., 0., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                     [0., 0., 1., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                [1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 1., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., -1., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., -1., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                    [0., 0., -1., 0.],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                               [0., 0., 1., 0.],
                                                                               [0., 1., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [0., -1., 0., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [-1., 0., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                                           [0., -1., 0., 0.],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                                                                      [0., 1., 0., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [1., 0., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [-1., 0., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [-1., 0., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 0., -1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., -1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., -1., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., 0., 1., 0.5],
                                                    [0., 1., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., -1., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 1., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.5],
                         [0., -1., 0., 0.5],
                         [0., 0., -1., 0.5],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                    [0., 1., 0., 0.5],
                                                    [0., 0., -1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                               [0., -1., 0., 0.5],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                          [0., 1., 0., 0.5],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                [1., 0., 0., 0.5],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., -1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., -1., 0., 0.5],
                         [0., 0., -1., 0.5],
                         [-1., 0., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                    [0., 0., -1., 0.5],
                                                    [1., 0., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                               [0., 0., 1., 0.5],
                                                                               [1., 0., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [-1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 1., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                [1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 1., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., -1., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., -1., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.5],
                         [0., 0., -1., 0.5],
                         [0., 1., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                    [0., 0., -1., 0.5],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                                           [0., -1., 0., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                                                                      [0., 1., 0., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])],
            230: [array([[1., 0., 0., 0.],
                         [0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                    [0., -1., 0., 0.],
                                                    [0., 0., 1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.],
                                                                               [0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                                                          [0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                     [1., 0., 0., 0.],
                                                                                                                                     [0., 1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                [-1., 0., 0., 0.5],
                                                                                                                                                                [0., -1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                           [-1., 0., 0., 0.],
                                                                                                                                                                                           [0., 1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                                                                                                      [1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., -1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.],
                         [0., 0., 1., 0.],
                         [1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.],
                                                    [0., 0., 1., 0.5],
                                                    [-1., 0., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                               [0., 0., -1., 0.5],
                                                                               [-1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                                                          [0., 0., -1., 0.],
                                                                                                          [1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                                                                                                     [1., 0., 0., 0.25],
                                                                                                                                     [0., 0., -1., 0.25],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                                                                                                                                [-1., 0., 0., 0.75],
                                                                                                                                                                [0., 0., -1., 0.75],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.25],
                                                                                                                                                                                           [-1., 0., 0., 0.25],
                                                                                                                                                                                           [0., 0., 1., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.25],
                                                                                                                                                                                                                      [1., 0., 0., 0.75],
                                                                                                                                                                                                                      [0., 0., 1., 0.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.75],
                         [0., 0., 1., 0.25],
                         [0., -1., 0., 0.25],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.25],
                                                    [0., 0., 1., 0.75],
                                                    [0., 1., 0., 0.25],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.75],
                                                                               [0., 0., -1., 0.75],
                                                                               [0., -1., 0., 0.75],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.25],
                                                                                                          [0., 0., -1., 0.25],
                                                                                                          [0., 1., 0., 0.75],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.75],
                                                                                                                                     [0., 1., 0., 0.25],
                                                                                                                                     [-1., 0., 0., 0.25],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.25],
                                                                                                                                                                [0., -1., 0., 0.25],
                                                                                                                                                                [1., 0., 0., 0.75],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.25],
                                                                                                                                                                                           [0., 1., 0., 0.75],
                                                                                                                                                                                           [1., 0., 0., 0.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.75],
                                                                                                                                                                                                                      [0., -1., 0., 0.75],
                                                                                                                                                                                                                      [-1., 0., 0., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.],
                         [0., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                    [0., 1., 0., 0.],
                                                    [0., 0., -1., 0.5],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.],
                                                                               [0., -1., 0., 0.5],
                                                                               [0., 0., 1., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                                                          [0., 1., 0., 0.5],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.],
                                                                                                                                     [-1., 0., 0., 0.],
                                                                                                                                     [0., -1., 0., 0.],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                [1., 0., 0., 0.5],
                                                                                                                                                                [0., 1., 0., 0.],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                                           [1., 0., 0., 0.],
                                                                                                                                                                                           [0., -1., 0., 0.5],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.],
                                                                                                                                                                                                                      [-1., 0., 0., 0.5],
                                                                                                                                                                                                                      [0., 1., 0., 0.5],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., -1., 0., 0.],
                         [0., 0., -1., 0.],
                         [-1., 0., 0., 0.],
                         [0., 0., 0., 1.]]), array([[0., 1., 0., 0.],
                                                    [0., 0., -1., 0.5],
                                                    [1., 0., 0., 0.5],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                                               [0., 0., 1., 0.5],
                                                                               [1., 0., 0., 0.],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                                                                          [0., 0., 1., 0.],
                                                                                                          [-1., 0., 0., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.25],
                                                                                                                                     [-1., 0., 0., 0.75],
                                                                                                                                     [0., 0., 1., 0.75],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.25],
                                                                                                                                                                [1., 0., 0., 0.25],
                                                                                                                                                                [0., 0., 1., 0.25],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                                                                                                                                                           [1., 0., 0., 0.75],
                                                                                                                                                                                           [0., 0., -1., 0.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                                                                                                                                                                                      [-1., 0., 0., 0.25],
                                                                                                                                                                                                                      [0., 0., -1., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.25],
                         [0., 0., -1., 0.75],
                         [0., 1., 0., 0.75],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 0.75],
                                                    [0., 0., -1., 0.25],
                                                    [0., -1., 0., 0.75],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.25],
                                                                               [0., 0., 1., 0.25],
                                                                               [0., 1., 0., 0.25],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.75],
                                                                                                          [0., 0., 1., 0.75],
                                                                                                          [0., -1., 0., 0.25],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.25],
                                                                                                                                     [0., -1., 0., 0.75],
                                                                                                                                     [1., 0., 0., 0.75],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 0.75],
                                                                                                                                                                [0., 1., 0., 0.75],
                                                                                                                                                                [-1., 0., 0., 0.25],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 0.75],
                                                                                                                                                                                           [0., -1., 0., 0.25],
                                                                                                                                                                                           [-1., 0., 0., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.25],
                                                                                                                                                                                                                      [0., 1., 0., 0.25],
                                                                                                                                                                                                                      [1., 0., 0., 0.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 0.5],
                         [0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                    [0., -1., 0., 0.5],
                                                    [0., 0., 1., 1.],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.5],
                                                                               [0., 1., 0., 1.],
                                                                               [0., 0., -1., 1.],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 1.],
                                                                                                          [0., -1., 0., 1.],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                     [1., 0., 0., 0.5],
                                                                                                                                     [0., 1., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 1.],
                                                                                                                                                                [-1., 0., 0., 1.],
                                                                                                                                                                [0., -1., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 1.],
                                                                                                                                                                                           [-1., 0., 0., 0.5],
                                                                                                                                                                                           [0., 1., 0., 1.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                                                                                                      [1., 0., 0., 1.],
                                                                                                                                                                                                                      [0., -1., 0., 1.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., 1., 0., 0.5],
                         [0., 0., 1., 0.5],
                         [1., 0., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., -1., 0., 0.5],
                                                    [0., 0., 1., 1.],
                                                    [-1., 0., 0., 1.],
                                                    [0., 0., 0., 1.]]), array([[0., 1., 0., 1.],
                                                                               [0., 0., -1., 1.],
                                                                               [-1., 0., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., -1., 0., 1.],
                                                                                                          [0., 0., -1., 0.5],
                                                                                                          [1., 0., 0., 1.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 1., 0., 1.25],
                                                                                                                                     [1., 0., 0., 0.75],
                                                                                                                                     [0., 0., -1., 0.75],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., -1., 0., 1.25],
                                                                                                                                                                [-1., 0., 0., 1.25],
                                                                                                                                                                [0., 0., -1., 1.25],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                                                                                                                                                           [-1., 0., 0., 0.75],
                                                                                                                                                                                           [0., 0., 1., 1.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                                                                                                                                                                                      [1., 0., 0., 1.25],
                                                                                                                                                                                                                      [0., 0., 1., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[1., 0., 0., 1.25],
                         [0., 0., 1., 0.75],
                         [0., -1., 0., 0.75],
                         [0., 0., 0., 1.]]), array([[-1., 0., 0., 0.75],
                                                    [0., 0., 1., 1.25],
                                                    [0., 1., 0., 0.75],
                                                    [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.25],
                                                                               [0., 0., -1., 1.25],
                                                                               [0., -1., 0., 1.25],
                                                                               [0., 0., 0., 1.]]), array([[1., 0., 0., 0.75],
                                                                                                          [0., 0., -1., 0.75],
                                                                                                          [0., 1., 0., 1.25],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., 1., 1.25],
                                                                                                                                     [0., 1., 0., 0.75],
                                                                                                                                     [-1., 0., 0., 0.75],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., 1., 0.75],
                                                                                                                                                                [0., -1., 0., 0.75],
                                                                                                                                                                [1., 0., 0., 1.25],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., -1., 0.75],
                                                                                                                                                                                           [0., 1., 0., 1.25],
                                                                                                                                                                                           [1., 0., 0., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., -1., 1.25],
                                                                                                                                                                                                                      [0., -1., 0., 1.25],
                                                                                                                                                                                                                      [-1., 0., 0., 1.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.5],
                         [0., -1., 0., 0.5],
                         [0., 0., -1., 0.5],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 1.],
                                                    [0., 1., 0., 0.5],
                                                    [0., 0., -1., 1.],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.5],
                                                                               [0., -1., 0., 1.],
                                                                               [0., 0., 1., 1.],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.],
                                                                                                          [0., 1., 0., 1.],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.5],
                                                                                                                                     [-1., 0., 0., 0.5],
                                                                                                                                     [0., -1., 0., 0.5],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 1.],
                                                                                                                                                                [1., 0., 0., 1.],
                                                                                                                                                                [0., 1., 0., 0.5],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 1.],
                                                                                                                                                                                           [1., 0., 0., 0.5],
                                                                                                                                                                                           [0., -1., 0., 1.],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.5],
                                                                                                                                                                                                                      [-1., 0., 0., 1.],
                                                                                                                                                                                                                      [0., 1., 0., 1.],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[0., -1., 0., 0.5],
                         [0., 0., -1., 0.5],
                         [-1., 0., 0., 0.5],
                         [0., 0., 0., 1.]]), array([[0., 1., 0., 0.5],
                                                    [0., 0., -1., 1.],
                                                    [1., 0., 0., 1.],
                                                    [0., 0., 0., 1.]]), array([[0., -1., 0., 1.],
                                                                               [0., 0., 1., 1.],
                                                                               [1., 0., 0., 0.5],
                                                                               [0., 0., 0., 1.]]), array([[0., 1., 0., 1.],
                                                                                                          [0., 0., 1., 0.5],
                                                                                                          [-1., 0., 0., 1.],
                                                                                                          [0., 0., 0., 1.]]), array([[0., -1., 0., 0.75],
                                                                                                                                     [-1., 0., 0., 1.25],
                                                                                                                                     [0., 0., 1., 1.25],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 1., 0., 0.75],
                                                                                                                                                                [1., 0., 0., 0.75],
                                                                                                                                                                [0., 0., 1., 0.75],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., -1., 0., 1.25],
                                                                                                                                                                                           [1., 0., 0., 1.25],
                                                                                                                                                                                           [0., 0., -1., 0.75],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 1., 0., 1.25],
                                                                                                                                                                                                                      [-1., 0., 0., 0.75],
                                                                                                                                                                                                                      [0., 0., -1., 1.25],
                                                                                                                                                                                                                      [0., 0., 0., 1.]]),
                  array([[-1., 0., 0., 0.75],
                         [0., 0., -1., 1.25],
                         [0., 1., 0., 1.25],
                         [0., 0., 0., 1.]]), array([[1., 0., 0., 1.25],
                                                    [0., 0., -1., 0.75],
                                                    [0., -1., 0., 1.25],
                                                    [0., 0., 0., 1.]]), array([[1., 0., 0., 0.75],
                                                                               [0., 0., 1., 0.75],
                                                                               [0., 1., 0., 0.75],
                                                                               [0., 0., 0., 1.]]), array([[-1., 0., 0., 1.25],
                                                                                                          [0., 0., 1., 1.25],
                                                                                                          [0., -1., 0., 0.75],
                                                                                                          [0., 0., 0., 1.]]), array([[0., 0., -1., 0.75],
                                                                                                                                     [0., -1., 0., 1.25],
                                                                                                                                     [1., 0., 0., 1.25],
                                                                                                                                     [0., 0., 0., 1.]]), array([[0., 0., -1., 1.25],
                                                                                                                                                                [0., 1., 0., 1.25],
                                                                                                                                                                [-1., 0., 0., 0.75],
                                                                                                                                                                [0., 0., 0., 1.]]), array([[0., 0., 1., 1.25],
                                                                                                                                                                                           [0., -1., 0., 0.75],
                                                                                                                                                                                           [-1., 0., 0., 1.25],
                                                                                                                                                                                           [0., 0., 0., 1.]]), array([[0., 0., 1., 0.75],
                                                                                                                                                                                                                      [0., 1., 0., 0.75],
                                                                                                                                                                                                                      [1., 0., 0., 0.75],
                                                                                                                                                                                                                      [0., 0., 0., 1.]])]}